OCamllabs icon Home|Differences with the last checks|Previous runs


Building on x86-bm-10.ocamllabs.io

(from ocaml/opam:debian-unstable@sha256:5d9d58dd88e8e3a7a3c180578c753118efcfd5a451781452c6731c99fc9e27dd)
2022-11-15 08:20.13 ---> using "32efe2878d8713cc073fbcba05b477fab5020dac81ac1f841ea37ae67b4d70a6" from cache

/: (user (uid 1000) (gid 1000))

/: (env OPAMPRECISETRACKING 1)

/: (env OPAMUTF8 never)

/: (env OPAMEXTERNALSOLVER builtin-0install)

/: (env OPAMCRITERIA +removed)

/: (run (shell "sudo ln -f /usr/bin/opam-dev /usr/bin/opam"))
2022-11-15 08:20.13 ---> using "c06b21e9e23147ff65065b0caeb2932b761f6e4408d2fb429e6eafaede540fdc" from cache

/: (run (network host)
        (shell "rm -rf ~/opam-repository && git clone -q 'https://github.com/ocaml/opam-repository' ~/opam-repository && git -C ~/opam-repository checkout -q 88d0c6b952c255f868635fbb4c8bc650f1fa4fd8"))
2022-11-15 08:20.13 ---> using "f5ff03689bfa4493e0d56b41d99787e727484001ba6ca3d348cc9bb14b0a105c" from cache

/: (run (shell "rm -rf ~/.opam && opam init -ya --bare --config ~/.opamrc-sandbox ~/opam-repository"))
Configuring from /home/opam/.opamrc-sandbox, then /home/opam/.opamrc, and finally from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.


<><> Fetching repository information ><><><><><><><><><><><><><><><><><><><><><>
[default] Initialised

User configuration:
  ~/.profile is already up-to-date.
[NOTE] Make sure that ~/.profile is well sourced in your ~/.bashrc.

2022-11-15 08:20.13 ---> using "c8ce34507d61810fd57bc948c6ee6daad97dafa9d9e05febabf80edf14a81a6c" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam switch create --repositories=default '4.04' '4.04.2'"))

<><> Installing new switch packages <><><><><><><><><><><><><><><><><><><><><><>
Switch invariant: ["ocaml-base-compiler" {= "4.04.2"} | "ocaml-system" {= "4.04.2"}]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> retrieved ocaml-base-compiler.4.04.2  (cached)
-> installed ocaml-base-compiler.4.04.2
-> installed ocaml-config.1
-> installed ocaml.4.04.2
Done.
# Run eval $(opam env --switch=4.04) to update the current shell environment
2022-11-15 08:20.13 ---> using "d7f581f11cca5eda289e2151bf14ec8df5e6d959c29b6864197eed85fc7e48ac" from cache

/: (run (network host)
        (shell "opam update --depexts"))
+ /usr/bin/sudo "apt-get" "update"
- Get:1 http://deb.debian.org/debian unstable InRelease [161 kB]
- Get:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index [63.6 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2022-11-15-0207.35-F-2022-11-08-2013.29.pdiff [530 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2022-11-15-0207.35-F-2022-11-08-2013.29.pdiff [530 kB]
- Fetched 755 kB in 2s (403 kB/s)
- Reading package lists...
- 
2022-11-15 08:20.13 ---> using "a9096cb7371739a73345669333e5de322add9550d1b1890eb8876d4d45703e8a" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam install -y ocaml-secondary-compiler"))
The following actions will be performed:
=== install 1 package
  - install ocaml-secondary-compiler 4.08.1-1

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved ocaml-secondary-compiler.4.08.1-1  (cached)
-> installed ocaml-secondary-compiler.4.08.1-1
Done.
# Run eval $(opam env) to update the current shell environment
2022-11-15 08:20.13 ---> using "09d9a91f887c4b53207707303a06311769625a35b50854d789918c899e8bd57c" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell  "\
               \nopam remove -y \"arakoon.1.9.17\"\
               \nopam install -vy \"arakoon.1.9.17\"\
               \nres=$?\
               \nif [ $res = 31 ]; then\
               \n    if opam show -f x-ci-accept-failures: \"arakoon.1.9.17\" | grep -q '\"debian-unstable\"'; then\
               \n        echo \"This package failed and has been disabled for CI using the 'x-ci-accept-failures' field.\"\
               \n        exit 69\
               \n    fi\
               \nfi\
               \n\
               \n\
               \nexit $res\
               \n"))
[NOTE] arakoon.1.9.17 is not installed.

Nothing to do.
The following actions will be performed:
=== install 90 packages
  - install angstrom                0.14.1               [required by uri]
  - install arakoon                 1.9.17
  - install base                    v0.11.1              [required by core]
  - install base-bytes              base                 [required by redis]
  - install base-num                base                 [required by num]
  - install bigarray-compat         1.1.0                [required by bigstringaf]
  - install bigstringaf             0.6.1                [required by angstrom]
  - install bin_prot                v0.11.0              [required by core_kernel]
  - install bisect                  1.3.1                [required by arakoon]
  - install camlbz2                 0.7.0                [required by arakoon]
  - install camlp4                  4.04+1               [required by bisect]
  - install camltc                  0.9.8                [required by arakoon]
  - install conf-aclocal            2                    [required by camlbz2]
  - install conf-autoconf           0.1                  [required by camlbz2]
  - install conf-automake           1                    [required by conf-aclocal]
  - install conf-libbz2             1                    [required by camlbz2]
  - install conf-libev              4-12                 [required by arakoon]
  - install conf-libssl             4                    [required by ssl]
  - install conf-pkg-config         2                    [required by conf-libssl]
  - install conf-snappy             1                    [required by snappy]
  - install conf-which              1                    [required by conf-autoconf]
  - install configurator            v0.11.0 (deprecated) [required by core]
  - install core                    v0.11.3              [required by arakoon]
  - install core_kernel             v0.11.1              [required by core]
  - install cppo                    1.6.9                [required by lwt]
  - install dune                    1.11.4               [required by snappy, camltc, lwt_ssl, uri]
  - install dune-configurator       1.0.0                [required by ssl]
  - install fieldslib               v0.11.0              [required by core_kernel]
  - install jane-street-headers     v0.11.0              [required by core_kernel]
  - install jbuilder                transition           [required by core]
  - install logs                    0.7.0                [required by camltc]
  - install lwt                     5.2.0                [required by arakoon]
  - install lwt_ssl                 1.1.3                [required by arakoon]
  - install mmap                    1.2.0                [required by lwt]
  - install num                     0                    [required by sexplib]
  - install ocaml-compiler-libs     v0.12.3              [required by ppxlib]
  - install ocaml-migrate-parsetree 1.8.0                [required by core]
  - install ocamlbuild              0.14.2               [required by arakoon]
  - install ocamlfind               1.9.5                [required by arakoon]
  - install ocplib-endian           1.2                  [required by arakoon]
  - install octavius                1.2.2                [required by ppx_js_style]
  - install optcomp                 1.6                  [required by quickcheck]
  - install ounit                   2.2.6                [required by arakoon]
  - install ounit2                  2.2.6                [required by ounit]
  - install parsexp                 v0.11.0              [required by sexplib]
  - install ppx_assert              v0.11.0              [required by core]
  - install ppx_base                v0.11.0              [required by core_kernel]
  - install ppx_bench               v0.11.0              [required by ppx_jane]
  - install ppx_bin_prot            v0.11.1              [required by ppx_jane]
  - install ppx_compare             v0.11.1              [required by ppx_assert, bin_prot, ppx_base]
  - install ppx_custom_printf       v0.11.0              [required by bin_prot, ppx_jane]
  - install ppx_derivers            1.2.1                [required by ocaml-migrate-parsetree]
  - install ppx_enumerate           v0.11.1              [required by ppx_base]
  - install ppx_expect              v0.11.1              [required by ppx_jane]
  - install ppx_fail                v0.11.0              [required by ppx_jane]
  - install ppx_fields_conv         v0.11.0              [required by bin_prot, ppx_jane]
  - install ppx_hash                v0.11.1              [required by core_kernel]
  - install ppx_here                v0.11.0              [required by ppx_assert, ppx_jane]
  - install ppx_inline_test         v0.11.0              [required by core_kernel]
  - install ppx_jane                v0.11.0              [required by core]
  - install ppx_js_style            v0.11.0              [required by ppx_base]
  - install ppx_let                 v0.11.0              [required by ppx_jane]
  - install ppx_optcomp             v0.11.0              [required by ppx_jane]
  - install ppx_optional            v0.11.0              [required by ppx_jane]
  - install ppx_pipebang            v0.11.0              [required by ppx_jane]
  - install ppx_sexp_conv           v0.11.2              [required by core_kernel]
  - install ppx_sexp_message        v0.11.0              [required by core_kernel]
  - install ppx_sexp_value          v0.11.0              [required by ppx_jane]
  - install ppx_typerep_conv        v0.11.1              [required by ppx_jane]
  - install ppx_variants_conv       v0.11.1              [required by bin_prot, ppx_jane]
  - install ppxlib                  0.8.1                [required by core]
  - install quickcheck              1.0.2                [required by arakoon]
  - install re                      1.9.0                [required by redis]
  - install redis                   0.3.3                [required by arakoon]
  - install result                  1.5                  [required by angstrom]
  - install seq                     0.2.2                [required by ounit2]
  - install sexplib                 v0.11.0              [required by core]
  - install sexplib0                v0.11.0              [required by base]
  - install snappy                  0.1.2                [required by arakoon]
  - install spawn                   v0.13.0              [required by core]
  - install splittable_random       v0.11.0              [required by core_kernel]
  - install ssl                     0.5.9                [required by arakoon]
  - install stdio                   v0.11.0              [required by core]
  - install stdlib-shims            0.3.0                [required by ounit2]
  - install stringext               1.6.0                [required by uri]
  - install topkg                   1.0.4                [required by logs, uuidm]
  - install typerep                 v0.11.0              [required by core_kernel]
  - install uri                     4.2.0                [required by arakoon]
  - install uuidm                   0.9.7                [required by redis]
  - install variantslib             v0.11.0              [required by core_kernel]

The following system packages will first need to be installed:
    autoconf automake help2man libbz2-dev libev-dev libsnappy-dev libssl-dev pkg-config

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>

opam believes some required external dependencies are missing. opam can:
> 1. Run apt-get to install them (may need root/sudo access)
  2. Display the recommended apt-get command and wait while you run it manually (e.g. in another terminal)
  3. Attempt installation anyway, and permanently register that this external dependency is present, but not detectable
  4. Abort the installation

[1/2/3/4] 1

+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "autoconf" "automake" "help2man" "libbz2-dev" "libev-dev" "libsnappy-dev" "libssl-dev" "pkg-config"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package m4.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 19056 files and directories currently installed.)
- Preparing to unpack .../00-m4_1.4.19-1_amd64.deb ...
- Unpacking m4 (1.4.19-1) ...
- Selecting previously unselected package autoconf.
- Preparing to unpack .../01-autoconf_2.71-2_all.deb ...
- Unpacking autoconf (2.71-2) ...
- Selecting previously unselected package autotools-dev.
- Preparing to unpack .../02-autotools-dev_20220109.1_all.deb ...
- Unpacking autotools-dev (20220109.1) ...
- Selecting previously unselected package automake.
- Preparing to unpack .../03-automake_1%3a1.16.5-1.3_all.deb ...
- Unpacking automake (1:1.16.5-1.3) ...
- Selecting previously unselected package bzip2-doc.
- Preparing to unpack .../04-bzip2-doc_1.0.8-5_all.deb ...
- Unpacking bzip2-doc (1.0.8-5) ...
- Selecting previously unselected package help2man.
- Preparing to unpack .../05-help2man_1.49.2_amd64.deb ...
- Unpacking help2man (1.49.2) ...
- Selecting previously unselected package libbz2-dev:amd64.
- Preparing to unpack .../06-libbz2-dev_1.0.8-5+b1_amd64.deb ...
- Unpacking libbz2-dev:amd64 (1.0.8-5+b1) ...
- Selecting previously unselected package libev4:amd64.
- Preparing to unpack .../07-libev4_1%3a4.33-1_amd64.deb ...
- Unpacking libev4:amd64 (1:4.33-1) ...
- Selecting previously unselected package libev-dev:amd64.
- Preparing to unpack .../08-libev-dev_1%3a4.33-1_amd64.deb ...
- Unpacking libev-dev:amd64 (1:4.33-1) ...
- Selecting previously unselected package libpkgconf3:amd64.
- Preparing to unpack .../09-libpkgconf3_1.8.0-10_amd64.deb ...
- Unpacking libpkgconf3:amd64 (1.8.0-10) ...
- Selecting previously unselected package libsnappy1v5:amd64.
- Preparing to unpack .../10-libsnappy1v5_1.1.9-2_amd64.deb ...
- Unpacking libsnappy1v5:amd64 (1.1.9-2) ...
- Selecting previously unselected package libsnappy-dev:amd64.
- Preparing to unpack .../11-libsnappy-dev_1.1.9-2_amd64.deb ...
- Unpacking libsnappy-dev:amd64 (1.1.9-2) ...
- Selecting previously unselected package libssl-dev:amd64.
- Preparing to unpack .../12-libssl-dev_3.0.7-1_amd64.deb ...
- Unpacking libssl-dev:amd64 (3.0.7-1) ...
- Selecting previously unselected package pkgconf-bin.
- Preparing to unpack .../13-pkgconf-bin_1.8.0-10_amd64.deb ...
- Unpacking pkgconf-bin (1.8.0-10) ...
- Selecting previously unselected package pkgconf:amd64.
- Preparing to unpack .../14-pkgconf_1.8.0-10_amd64.deb ...
- Unpacking pkgconf:amd64 (1.8.0-10) ...
- Selecting previously unselected package pkg-config:amd64.
- Preparing to unpack .../15-pkg-config_1.8.0-10_amd64.deb ...
- Unpacking pkg-config:amd64 (1.8.0-10) ...
- Setting up bzip2-doc (1.0.8-5) ...
- Setting up libev4:amd64 (1:4.33-1) ...
- Setting up m4 (1.4.19-1) ...
- Setting up libsnappy1v5:amd64 (1.1.9-2) ...
- Setting up help2man (1.49.2) ...
- Setting up autotools-dev (20220109.1) ...
- Setting up libpkgconf3:amd64 (1.8.0-10) ...
- Setting up libssl-dev:amd64 (3.0.7-1) ...
- Setting up pkgconf-bin (1.8.0-10) ...
- Setting up autoconf (2.71-2) ...
- Setting up libev-dev:amd64 (1:4.33-1) ...
- Setting up libbz2-dev:amd64 (1.0.8-5+b1) ...
- Setting up automake (1:1.16.5-1.3) ...
- update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
- Setting up libsnappy-dev:amd64 (1.1.9-2) ...
- Setting up pkgconf:amd64 (1.8.0-10) ...
- Setting up pkg-config:amd64 (1.8.0-10) ...
- Processing triggers for libc-bin (2.36-4) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/269:
Processing  2/269: [arakoon.1.9.17: http]
Processing  3/269: [arakoon.1.9.17: http]
-> retrieved angstrom.0.14.1  (cached)
Processing  4/269: [arakoon.1.9.17: http]
Processing  5/269: [arakoon.1.9.17: http]
Processing  6/269: [arakoon.1.9.17: http]
Processing  7/269: [arakoon.1.9.17: http]
-> installed base-num.base
Processing  8/269: [arakoon.1.9.17: http]
-> retrieved bigarray-compat.1.1.0  (cached)
Processing  9/269: [arakoon.1.9.17: http]
-> retrieved bigstringaf.0.6.1  (cached)
Processing 10/269: [arakoon.1.9.17: http]
-> retrieved base.v0.11.1  (cached)
Processing 11/269: [arakoon.1.9.17: http]
-> retrieved bin_prot.v0.11.0  (cached)
Processing 12/269: [arakoon.1.9.17: http]
-> retrieved bisect.1.3.1  (cached)
Processing 13/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
-> retrieved camlbz2.0.7.0  (cached)
Processing 14/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
-> retrieved camltc.0.9.8  (cached)
Processing 15/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
Processing 16/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
Processing 17/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
Processing 18/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
Processing 19/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
Processing 20/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
Processing 21/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
Processing 22/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
Processing 23/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
Processing 24/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http]
Processing 25/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [conf-libbz2: sh echo '#include <bzlib.h>' > test.c]
Processing 26/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [conf-libbz2: sh echo '#include <bzlib.h>' > test.c] [conf-libev: sh]
Processing 27/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [conf-libbz2: sh echo '#include <bzlib.h>' > test.c] [conf-libev: sh] [conf-pkg-config: pkg-config]
Processing 28/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [conf-libbz2: sh echo '#include <bzlib.h>' > test.c] [conf-libev: sh] [conf-pkg-config: pkg-config] [conf-snappy: c++ test.cpp]
Processing 29/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [conf-libbz2: sh echo '#include <bzlib.h>' > test.c] [conf-libev: sh] [conf-pkg-config: pkg-config] [conf-snappy: c++ test.cpp] [conf-which: which which]
-> retrieved configurator.v0.11.0  (cached)
Processing 30/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [core.v0.11.3: http] [conf-libbz2: sh echo '#include <bzlib.h>' > test.c] [conf-libev: sh] [conf-pkg-config: pkg-config] [conf-snappy: c++ test.cpp] [conf-which: which which]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "sh" "-exc" "echo '#include <bzlib.h>' > test.c" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-libbz2.1)
- + echo #include <bzlib.h>
Processing 30/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [core.v0.11.3: http] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-libev: sh] [conf-pkg-config: pkg-config] [conf-snappy: c++ test.cpp] [conf-which: which which]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "which" "which" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-which.1)
- /usr/bin/which
-> compiled  conf-which.1
Processing 30/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [core.v0.11.3: http] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-libev: sh] [conf-pkg-config: pkg-config] [conf-snappy: c++ test.cpp]
-> installed conf-which.1
Processing 31/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [core.v0.11.3: http] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-libev: sh] [conf-pkg-config: pkg-config] [conf-snappy: c++ test.cpp]
Processing 32/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [core.v0.11.3: http] [conf-autoconf: which autoconf] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-libev: sh] [conf-pkg-config: pkg-config] [conf-snappy: c++ test.cpp]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "pkg-config" "--help" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-pkg-config.2)
- usage: pkgconf [OPTIONS] [LIBRARIES]
- 
- basic options:
- 
-   --help                            this message
-   --about                           print pkgconf version and license to stdout
-   --version                         print supported pkg-config version to stdout
-   --atleast-pkgconfig-version       check whether or not pkgconf is compatible
-                                     with a specified pkg-config version
-   --errors-to-stdout                print all errors on stdout instead of stderr
-   --print-errors                    ensure all errors are printed
-   --short-errors                    be less verbose about some errors
-   --silence-errors                  explicitly be silent about errors
-   --list-all                        list all known packages
-   --list-package-names              list all known package names
-   --simulate                        simulate walking the calculated dependency graph
-   --no-cache                        do not cache already seen packages when
-                                     walking the dependency graph
-   --log-file=filename               write an audit log to a specified file
-   --with-path=path                  adds a directory to the search path
-   --define-prefix                   override the prefix variable with one that is guessed based on
-                                     the location of the .pc file
-   --dont-define-prefix              do not override the prefix variable under any circumstances
-   --prefix-variable=varname         sets the name of the variable that pkgconf considers
-                                     to be the package prefix
-   --relocate=path                   relocates a path and exits (mostly for testsuite)
-   --dont-relocate-paths             disables path relocation support
- 
- cross-compilation personality support:
- 
-   --personality=triplet|filename    sets the personality to 'triplet' or a file named 'filename'
-   --dump-personality                dumps details concerning selected personality
- 
- checking specific pkg-config database entries:
- 
-   --atleast-version                 require a specific version of a module
-   --exact-version                   require an exact version of a module
-   --max-version                     require a maximum version of a module
-   --exists                          check whether or not a module exists
-   --uninstalled                     check whether or not an uninstalled module will be used
-   --no-uninstalled                  never use uninstalled modules when satisfying dependencies
-   --no-provides                     do not use 'provides' rules to resolve dependencies
-   --maximum-traverse-depth          maximum allowed depth for dependency graph
-   --static                          be more aggressive when computing dependency graph
-                                     (for static linking)
-   --shared                          use a simplified dependency graph (usually default)
-   --pure                            optimize a static dependency graph as if it were a normal
-                                     dependency graph
-   --env-only                        look only for package entries in PKG_CONFIG_PATH
-   --ignore-conflicts                ignore 'conflicts' rules in modules
-   --validate                        validate specific .pc files for correctness
- 
- querying specific pkg-config database fields:
- 
-   --define-variable=varname=value   define variable 'varname' as 'value'
-   --variable=varname                print specified variable entry to stdout
-   --cflags                          print required CFLAGS to stdout
-   --cflags-only-I                   print required include-dir CFLAGS to stdout
-   --cflags-only-other               print required non-include-dir CFLAGS to stdout
-   --libs                            print required linker flags to stdout
-   --libs-only-L                     print required LDPATH linker flags to stdout
-   --libs-only-l                     print required LIBNAME linker flags to stdout
-   --libs-only-other                 print required other linker flags to stdout
-   --print-requires                  print required dependency frameworks to stdout
-   --print-requires-private          print required dependency frameworks for static
-                                     linking to stdout
-   --print-provides                  print provided dependencies to stdout
-   --print-variables                 print all known variables in module to stdout
-   --digraph                         print entire dependency graph in graphviz 'dot' format
-   --keep-system-cflags              keep -I/usr/include entries in cflags output
-   --keep-system-libs                keep -L/lib:/lib/i386-linux-gnu:/lib/x86_64-linux-gnu:/lib/x86_64-linux-gnux32:/lib32:/libx32:/usr/lib:/usr/lib/i386-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnux32:/usr/lib32:/usr/libx32 entries in libs output
-   --path                            show the exact filenames for any matching .pc files
-   --modversion                      print the specified module's version to stdout
-   --internal-cflags                 do not filter 'internal' cflags from output
- 
- filtering output:
- 
-   --msvc-syntax                     print translatable fragments in MSVC syntax
-   --fragment-filter=types           filter output fragments to the specified types
- 
- report bugs to <https://github.com/pkgconf/pkgconf/issues/new>.
-> compiled  conf-pkg-config.2
Processing 32/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [core.v0.11.3: http] [conf-autoconf: which autoconf] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-libev: sh] [conf-snappy: c++ test.cpp]
Processing 33/269: [arakoon.1.9.17: http] [camlp4.4.04+1: http] [core.v0.11.3: http] [conf-autoconf: which autoconf] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-libev: sh] [conf-snappy: c++ test.cpp] [conf-pkg-config: mkdir]
Processing 33/269: [camlp4.4.04+1: http] [core.v0.11.3: http] [conf-autoconf: which autoconf] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-libev: sh] [conf-snappy: c++ test.cpp] [conf-pkg-config: mkdir]
Processing 33/269: [core.v0.11.3: http] [conf-autoconf: which autoconf] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-libev: sh] [conf-snappy: c++ test.cpp] [conf-pkg-config: mkdir]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "sh" "./build.sh" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-libev.4-12)
- testing for libev: ............................. available
-> compiled  conf-libev.4-12
Processing 33/269: [core.v0.11.3: http] [conf-autoconf: which autoconf] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-snappy: c++ test.cpp] [conf-pkg-config: mkdir]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "c++" "test.cpp" "-lsnappy" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-snappy.1)
-> compiled  conf-snappy.1
Processing 33/269: [core.v0.11.3: http] [conf-autoconf: which autoconf] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-pkg-config: mkdir]
Processing 33/269: [conf-autoconf: which autoconf] [conf-libbz2: sh echo 'int main() { return 0; }' >> test.c] [conf-pkg-config: mkdir]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "sh" "-exc" "echo 'int main() { return 0; }' >> test.c" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-libbz2.1)
- + echo int main() { return 0; }
Processing 33/269: [conf-autoconf: which autoconf] [conf-libbz2: cc test.c] [conf-pkg-config: mkdir]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "which" "autoconf" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-autoconf.0.1)
- /usr/bin/autoconf
-> compiled  conf-autoconf.0.1
Processing 33/269: [conf-libbz2: cc test.c] [conf-pkg-config: mkdir]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "mkdir" "-p" "/home/opam/.opam/4.04/lib/pkgconfig" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-pkg-config.2)
-> installed conf-pkg-config.2
Processing 33/269: [conf-libbz2: cc test.c]
Processing 34/269: [conf-libbz2: cc test.c] [conf-libssl: pkg-config openssl]
-> installed conf-autoconf.0.1
Processing 35/269: [conf-libbz2: cc test.c] [conf-libssl: pkg-config openssl]
Processing 36/269: [conf-automake: automake] [conf-libbz2: cc test.c] [conf-libssl: pkg-config openssl]
-> installed conf-libev.4-12
Processing 37/269: [conf-automake: automake] [conf-libbz2: cc test.c] [conf-libssl: pkg-config openssl]
-> installed conf-snappy.1
Processing 38/269: [conf-automake: automake] [conf-libbz2: cc test.c] [conf-libssl: pkg-config openssl]
-> retrieved arakoon.1.9.17  (https://github.com/openvstorage/arakoon/archive/1a5da78cd06e7662c6d262ae0c723c4d54d94542.tar.gz)
Processing 39/269: [core_kernel.v0.11.1: http] [conf-automake: automake] [conf-libbz2: cc test.c] [conf-libssl: pkg-config openssl]
-> retrieved camlp4.4.04+1  (https://github.com/ocaml/camlp4/archive/4.04+1.tar.gz)
Processing 40/269: [core_kernel.v0.11.1: http] [conf-automake: automake] [conf-libbz2: cc test.c] [conf-libssl: pkg-config openssl]
-> retrieved core.v0.11.3  (https://github.com/janestreet/core/releases/download/v0.11.3/core-v0.11.3.tbz)
Processing 41/269: [core_kernel.v0.11.1: http] [conf-automake: automake] [conf-libbz2: cc test.c] [conf-libssl: pkg-config openssl]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "cc" "-lbz2" "test.c" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-libbz2.1)
-> compiled  conf-libbz2.1
Processing 41/269: [core_kernel.v0.11.1: http] [conf-automake: automake] [conf-libssl: pkg-config openssl]
-> installed conf-libbz2.1
Processing 42/269: [core_kernel.v0.11.1: http] [conf-automake: automake] [conf-libssl: pkg-config openssl]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "pkg-config" "--print-errors" "--exists" "openssl" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-libssl.4)
-> compiled  conf-libssl.4
Processing 42/269: [core_kernel.v0.11.1: http] [conf-automake: automake]
-> installed conf-libssl.4
Processing 43/269: [core_kernel.v0.11.1: http] [conf-automake: automake]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "automake" "--help" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-automake.1)
- Usage: /usr/bin/automake [OPTION]... [Makefile]...
- 
- Generate Makefile.in for configure from Makefile.am.
- 
- Operation modes:
-       --help               print this help, then exit
-       --version            print version number, then exit
-   -v, --verbose            verbosely list files processed
-       --no-force           only update Makefile.in's that are out of date
-   -W, --warnings=CATEGORY  report the warnings falling in CATEGORY
- 
- Dependency tracking:
-   -i, --ignore-deps      disable dependency tracking code
-       --include-deps     enable dependency tracking code
- 
- Flavors:
-       --foreign          set strictness to foreign
-       --gnits            set strictness to gnits
-       --gnu              set strictness to gnu
- 
- Library files:
-   -a, --add-missing      add missing standard files to package
-       --libdir=DIR       set directory storing library files
-       --print-libdir     print directory storing library files
-   -c, --copy             with -a, copy missing files (default is symlink)
-   -f, --force-missing    force update of standard files
- 
- Warning categories include:
-   cross                  cross compilation issues
-   gnu                    GNU coding standards (default in gnu and gnits modes)
-   obsolete               obsolete features or constructions (default)
-   override               user redefinitions of Automake rules or variables
-   portability            portability issues (default in gnu and gnits modes)
-   portability-recursive  nested Make variables (default with -Wportability)
-   extra-portability      extra portability issues related to obscure tools
-   syntax                 dubious syntactic constructs (default)
-   unsupported            unsupported or incomplete features (default)
-   all                    all the warnings
-   no-CATEGORY            turn off warnings in CATEGORY
-   none                   turn off all the warnings
-   error                  treat warnings as errors
- 
- Files automatically distributed if found (always):
-   ABOUT-GNU           TODO                install-sh          mdate-sh
-   ABOUT-NLS           ar-lib              libversion.in       missing
-   BACKLOG             compile             ltcf-c.sh           mkinstalldirs
-   COPYING             config.guess        ltcf-cxx.sh         py-compile
-   COPYING.DOC         config.rpath        ltcf-gcj.sh         texinfo.tex
-   COPYING.LESSER      config.sub          ltconfig            ylwrap
-   COPYING.LIB         depcomp             ltmain.sh
- 
- Files automatically distributed if found (as .md if needed):
-   AUTHORS[.md]        INSTALL[.md]        README[.md]         THANKS[.md]
-   ChangeLog[.md]      NEWS[.md]
- 
- Files automatically distributed if found (under certain conditions):
-   README-alpha[.md]   config.h.bot        configure           configure.in
-   acconfig.h          config.h.top        configure.ac        stamp-vti
-   aclocal.m4
- 
- Report bugs to <bug-automake@gnu.org>.
- GNU Automake home page: <https://www.gnu.org/software/automake/>.
- General help using GNU software: <https://www.gnu.org/gethelp/>.
-> compiled  conf-automake.1
Processing 43/269: [core_kernel.v0.11.1: http]
-> installed conf-automake.1
Processing 44/269: [core_kernel.v0.11.1: http]
Processing 45/269: [core_kernel.v0.11.1: http] [conf-aclocal: aclocal]
-> retrieved cppo.1.6.9  (cached)
Processing 46/269: [core_kernel.v0.11.1: http] [conf-aclocal: aclocal]
Processing 47/269: [core_kernel.v0.11.1: http] [conf-aclocal: aclocal]
-> retrieved fieldslib.v0.11.0  (cached)
Processing 48/269: [core_kernel.v0.11.1: http] [conf-aclocal: aclocal]
-> retrieved jane-street-headers.v0.11.0  (cached)
Processing 49/269: [core_kernel.v0.11.1: http] [conf-aclocal: aclocal]
Processing 50/269: [core_kernel.v0.11.1: http] [conf-aclocal: aclocal]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "aclocal" "--version" (CWD=/home/opam/.opam/4.04/.opam-switch/build/conf-aclocal.2)
- aclocal (GNU automake) 1.16.5
- Copyright (C) 2021 Free Software Foundation, Inc.
- License GPLv2+: GNU GPL version 2 or later <https://gnu.org/licenses/gpl-2.0.html>
- This is free software: you are free to change and redistribute it.
- There is NO WARRANTY, to the extent permitted by law.
- 
- Written by Tom Tromey <tromey@redhat.com>
-        and Alexandre Duret-Lutz <adl@gnu.org>.
-> compiled  conf-aclocal.2
Processing 50/269: [core_kernel.v0.11.1: http]
-> installed conf-aclocal.2
Processing 51/269: [core_kernel.v0.11.1: http]
-> retrieved logs.0.7.0  (cached)
Processing 52/269: [core_kernel.v0.11.1: http]
-> retrieved lwt.5.2.0  (cached)
Processing 53/269: [core_kernel.v0.11.1: http]
-> retrieved dune.1.11.4  (cached)
Processing 54/269: [core_kernel.v0.11.1: http]
Processing 55/269: [core_kernel.v0.11.1: http] [dune: ocaml bootstrap.ml]
Processing 55/269: [dune: ocaml bootstrap.ml]
-> retrieved lwt_ssl.1.1.3  (cached)
Processing 56/269: [dune: ocaml bootstrap.ml]
Processing 57/269: [dune: ocaml bootstrap.ml]
Processing 58/269: [dune: ocaml bootstrap.ml]
-> installed num.0
Processing 59/269: [dune: ocaml bootstrap.ml]
-> retrieved mmap.1.2.0  (cached)
Processing 60/269: [dune: ocaml bootstrap.ml]
-> retrieved core_kernel.v0.11.1  (https://github.com/janestreet/core_kernel/archive/v0.11.1.tar.gz)
Processing 61/269: [dune: ocaml bootstrap.ml]
-> retrieved ocaml-compiler-libs.v0.12.3  (cached)
Processing 62/269: [dune: ocaml bootstrap.ml]
-> retrieved ocamlbuild.0.14.2  (cached)
Processing 63/269: [dune: ocaml bootstrap.ml]
Processing 64/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make configure.make]
-> retrieved ocaml-migrate-parsetree.1.8.0  (cached)
Processing 65/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make configure.make]
-> retrieved ocamlfind.1.9.5  (cached)
Processing 66/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make configure.make]
[ocamlfind: patch] applying 0001-Fix-bug-when-installing-with-a-system-compiler.patch
Processing 67/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make configure.make] [ocamlfind: patch]
-> retrieved ocplib-endian.1.2  (cached)
Processing 68/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make configure.make] [ocamlfind: patch]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "-f" "configure.make" "all" "OCAMLBUILD_PREFIX=/home/opam/.opam/4.04" "OCAMLBUILD_BINDIR=/home/opam/.opam/4.04/bin" "OCAMLBUILD_LIBDIR=/home/opam/.opam/4.04/lib" "OCAMLBUILD_MANDIR=/home/opam/.opam/4.04/man" "OCAML_NATIVE=true" "OCAML_NATIVE_TOOLS=true" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2)
- (echo "# This file was generated from configure.make"; \
- echo ;\
- echo "OCAML_PREFIX=/home/opam/.opam/4.04"; \
- echo "OCAML_BINDIR=/home/opam/.opam/4.04/bin"; \
- echo "OCAML_LIBDIR=/home/opam/.opam/4.04/lib/ocaml"; \
- echo "OCAML_MANDIR=/home/opam/.opam/4.04/man"; \
- echo ;\
- echo "EXT_OBJ=.o"; \
- echo "EXT_ASM=.s"; \
- echo "EXT_LIB=.a"; \
- echo "EXT_DLL=.so"; \
- echo "EXE="; \
- echo ;\
- echo "OCAML_NATIVE=true"; \
- echo "OCAML_NATIVE_TOOLS=true"; \
- echo "NATDYNLINK=true"; \
- echo "SUPPORT_SHARED_LIBRARIES=true"; \
- echo ;\
- echo "PREFIX=/home/opam/.opam/4.04"; \
- echo "BINDIR=/home/opam/.opam/4.04/bin"; \
- echo "LIBDIR=/home/opam/.opam/4.04/lib"; \
- echo "MANDIR=/home/opam/.opam/4.04/man"; \
- ) > Makefile.config
- (echo "(* This file was generated from ../configure.make *)"; \
- echo ;\
- echo 'let bindir = "/home/opam/.opam/4.04/bin"'; \
- echo 'let libdir = "/home/opam/.opam/4.04/lib"'; \
- echo 'let ocaml_libdir = "/home/opam/.opam/4.04/lib/ocaml"'; \
- echo 'let libdir_abs = "/home/opam/.opam/4.04/lib"'; \
- echo 'let ocaml_native = true'; \
- echo 'let ocaml_native_tools = true'; \
- echo 'let supports_shared_libraries = true';\
- echo 'let a = "a"'; \
- echo 'let o = "o"'; \
- echo 'let so = "so"'; \
- echo 'let ext_dll = ".so"'; \
- echo 'let exe = ""'; \
- echo 'let version = "0.14.2"'; \
- ) > src/ocamlbuild_config.ml
Processing 68/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: patch]
-> retrieved octavius.1.2.2  (cached)
Processing 69/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: patch]
Processing 69/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ounit.2.2.6, ounit2.2.2.6  (cached)
Processing 70/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved parsexp.v0.11.0  (cached)
Processing 71/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_assert.v0.11.0  (cached)
Processing 72/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_base.v0.11.0  (cached)
Processing 73/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_bench.v0.11.0  (cached)
Processing 74/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_bin_prot.v0.11.1  (cached)
Processing 75/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_compare.v0.11.1  (cached)
Processing 76/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_custom_printf.v0.11.0  (cached)
Processing 77/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_derivers.1.2.1  (cached)
Processing 78/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_enumerate.v0.11.1  (cached)
Processing 79/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_expect.v0.11.1  (cached)
Processing 80/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_fail.v0.11.0  (cached)
Processing 81/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
-> retrieved ppx_fields_conv.v0.11.0  (cached)
Processing 82/269: [optcomp.1.6: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
Processing 82/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./configure" "-bindir" "/home/opam/.opam/4.04/bin" "-sitelib" "/home/opam/.opam/4.04/lib" "-mandir" "/home/opam/.opam/4.04/man" "-config" "/home/opam/.opam/4.04/lib/findlib.conf" "-no-custom" "-no-camlp4" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5)
- Welcome to findlib version 1.9.5
- Configuring core...
- Checking for #remove_directory...
- Testing threading model...
- systhread_supported: true
- Testing DLLs...
- Testing whether ppxopt can be supported...
- Checking for ocamlc -opaque...
- Querying installation: META list not found
- make install will double-check installed META files
- Configuring libraries...
- unix: found
- dynlink: found
- bigarray: found
- compiler-libs: found
- dbm: not present (normal since 4.00)
- graphics: found
- num: found
- ocamlbuild: not present (normal since 4.03)
- ocamldoc: found (in +ocamldoc)
- raw_spacetime: found
- threads: found (in +threads)
- runtime_events: not present
- str: found
- labltk: not present (normal since 4.02)
- native dynlink: found
- camlp4: disabled
- bytes: found, installing fake library
- Configuration for stdlib written to site-lib-src/stdlib/META
- Configuration for unix written to site-lib-src/unix/META
- Configuration for dynlink written to site-lib-src/dynlink/META
- Configuration for bigarray written to site-lib-src/bigarray/META
- Configuration for compiler-libs written to site-lib-src/compiler-libs/META
- Configuration for graphics written to site-lib-src/graphics/META
- Configuration for num written to site-lib-src/num/META
- Configuration for num-top written to site-lib-src/num-top/META
- Configuration for ocamldoc written to site-lib-src/ocamldoc/META
- Configuration for raw_spacetime written to site-lib-src/raw_spacetime/META
- Configuration for threads written to site-lib-src/threads/META
- Configuration for str written to site-lib-src/str/META
- Configuration for bytes written to site-lib-src/bytes/META
- Detecting compiler arguments: (extractor built) ok
- 
- About the OCAML core installation:
-     Standard library:      /home/opam/.opam/4.04/lib/ocaml
-     Binaries:              /home/opam/.opam/4.04/bin
-     Manual pages:          /home/opam/.opam/4.04/man
-     Multi-threading type:  posix
- The directory of site-specific packages will be
-     site-lib:              /home/opam/.opam/4.04/lib
- The configuration file is written to:
-     findlib config file:   /home/opam/.opam/4.04/lib/findlib.conf
- Software will be installed:
-     Libraries:             in <site-lib>/findlib
-     Binaries:              /home/opam/.opam/4.04/bin
-     Manual pages:          /home/opam/.opam/4.04/man
-     topfind script:        /home/opam/.opam/4.04/lib/ocaml
- Topfind ppxopt support:    yes
- Toolbox:                   no
- Link custom runtime:       no
- Need bytes compatibility:  no
- 
- Configuration has been written to Makefile.config
- 
- You can now do 'make all', and optionally 'make opt', to build ocamlfind.
Processing 82/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_hash.v0.11.1  (cached)
Processing 83/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_here.v0.11.0  (cached)
Processing 84/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved optcomp.1.6  (https://github.com/ocaml/opam-source-archives/raw/main/optcomp-1.6.tar.gz)
Processing 85/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_inline_test.v0.11.0  (cached)
Processing 86/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_jane.v0.11.0  (cached)
Processing 87/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_js_style.v0.11.0  (cached)
Processing 88/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_let.v0.11.0  (cached)
Processing 89/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_optcomp.v0.11.0  (cached)
Processing 90/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_optional.v0.11.0  (cached)
Processing 91/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_pipebang.v0.11.0  (cached)
Processing 92/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_sexp_conv.v0.11.2  (cached)
Processing 93/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_sexp_message.v0.11.0  (cached)
Processing 94/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_sexp_value.v0.11.0  (cached)
Processing 95/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_typerep_conv.v0.11.1  (cached)
Processing 96/269: [quickcheck.1.0.2: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppx_variants_conv.v0.11.1  (cached)
Processing 97/269: [quickcheck.1.0.2: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved ppxlib.0.8.1  (cached)
Processing 98/269: [quickcheck.1.0.2: http] [redis.0.3.3: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved re.1.9.0  (cached)
Processing 99/269: [quickcheck.1.0.2: http] [redis.0.3.3: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved result.1.5  (cached)
Processing 100/269: [quickcheck.1.0.2: http] [redis.0.3.3: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved seq.0.2.2  (cached)
Processing 101/269: [quickcheck.1.0.2: http] [redis.0.3.3: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved sexplib.v0.11.0  (cached)
Processing 102/269: [quickcheck.1.0.2: http] [redis.0.3.3: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved sexplib0.v0.11.0  (cached)
Processing 103/269: [quickcheck.1.0.2: http] [redis.0.3.3: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved snappy.0.1.2  (cached)
Processing 104/269: [quickcheck.1.0.2: http] [redis.0.3.3: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
-> retrieved spawn.v0.13.0  (cached)
Processing 105/269: [quickcheck.1.0.2: http] [redis.0.3.3: http] [splittable_random.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make all]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "all" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5)
- for p in findlib; do ( cd src/$p; make all ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- ocamllex fl_meta.mll
- 22 states, 392 transitions, table size 1700 bytes
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib_config.mlp | \
-          ../../tools/patch '@CONFIGFILE@' '/home/opam/.opam/4.04/lib/findlib.conf' | \
-          ../../tools/patch '@STDLIB@' '/home/opam/.opam/4.04/lib/ocaml' | \
- 	sed -e 's;@AUTOLINK@;true;g' \
- 	    -e 's;@SYSTEM@;linux;g' \
- 	     >findlib_config.ml
- if [ "true" = "true" ]; then                 \
- 	cp topfind.ml.in topfind.ml;                             \
- else                                                             \
- 	sed -e '/PPXOPT_BEGIN/,/PPXOPT_END/ d' topfind.ml.in     \
- 		> topfind.ml ;                                   \
- fi
- ocamldep *.ml *.mli >depend
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c findlib_config.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_split.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_metatoken.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_meta.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_metascanner.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_metascanner.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_topo.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_topo.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_package_base.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_package_base.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c findlib.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c findlib.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_args.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_lint.ml
- ocamlc -I +compiler-libs -a -o findlib.cma findlib_config.cmo fl_split.cmo fl_metatoken.cmo fl_meta.cmo fl_metascanner.cmo fl_topo.cmo fl_package_base.cmo findlib.cmo fl_args.cmo fl_lint.cmo
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c ocaml_args.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c frontend.ml
- ocamlc -I +compiler-libs  -o ocamlfind -g findlib.cma unix.cma \
-            -I +unix -I +dynlink ocaml_args.cmo frontend.cmo
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c topfind.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c topfind.ml
- ocamlc -I +compiler-libs -a -o findlib_top.cma topfind.cmo
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat topfind_rd1.p | \
-          ../../tools/patch '@SITELIB@' '/home/opam/.opam/4.04/lib' \
-     	    >topfind
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c num_top_printers.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c num_top_printers.ml
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c num_top.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c num_top.ml
- ocamlc -I +compiler-libs -a -o num_top.cma num_top_printers.cmo num_top.cmo
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -c fl_dynload.mli
- ocamlc -I +compiler-libs -opaque   -I +unix -I +dynlink -g -c fl_dynload.ml
- ocamlc -I +compiler-libs -a -o findlib_dynload.cma fl_dynload.cmo
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- make all-config
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5'
- USE_CYGPATH="0"; \
- export USE_CYGPATH; \
- cat findlib.conf.in | \
-      tools/patch '@SITELIB@' '/home/opam/.opam/4.04/lib' >findlib.conf
- if ./tools/cmd_from_same_dir ocamlc; then \
- 	echo 'ocamlc="ocamlc.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamlopt; then \
- 	echo 'ocamlopt="ocamlopt.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldep; then \
- 	echo 'ocamldep="ocamldep.opt"' >>findlib.conf; \
- fi
- if ./tools/cmd_from_same_dir ocamldoc; then \
- 	echo 'ocamldoc="ocamldoc.opt"' >>findlib.conf; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5'
Processing 105/269: [quickcheck.1.0.2: http] [redis.0.3.3: http] [splittable_random.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
Processing 105/269: [redis.0.3.3: http] [splittable_random.v0.11.0: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
Processing 105/269: [redis.0.3.3: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved quickcheck.1.0.2  (https://github.com/domsj/ocaml-quickcheck/archive/1.0.2.zip)
Processing 106/269: [redis.0.3.3: http] [ssl.0.5.9: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved splittable_random.v0.11.0  (https://ocaml.janestreet.com/ocaml-core/v0.11/files/splittable_random-v0.11.0.tar.gz)
Processing 107/269: [redis.0.3.3: http] [ssl.0.5.9: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved stdio.v0.11.0  (cached)
Processing 108/269: [redis.0.3.3: http] [ssl.0.5.9: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved stdlib-shims.0.3.0  (cached)
Processing 109/269: [redis.0.3.3: http] [ssl.0.5.9: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved stringext.1.6.0  (cached)
Processing 110/269: [redis.0.3.3: http] [ssl.0.5.9: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
Processing 110/269: [ssl.0.5.9: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved topkg.1.0.4  (cached)
Processing 111/269: [ssl.0.5.9: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved redis.0.3.3  (https://github.com/0xffea/ocaml-redis/archive/0.3.3.tar.gz)
Processing 112/269: [ssl.0.5.9: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved typerep.v0.11.0  (cached)
Processing 113/269: [ssl.0.5.9: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved uuidm.0.9.7  (cached)
Processing 114/269: [ssl.0.5.9: http] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved variantslib.v0.11.0  (cached)
-> retrieved uri.4.2.0  (cached)
Processing 114/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make opt]
-> retrieved ssl.0.5.9  (https://github.com/savonet/ocaml-ssl/archive/0.5.9.tar.gz)
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "opt" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5)
- for p in findlib; do ( cd src/$p; make opt ) || exit; done
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c findlib_config.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_split.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_metatoken.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_meta.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_metascanner.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_topo.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_package_base.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c findlib.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_args.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_lint.ml
- ocamlopt -I +compiler-libs -g -a -o findlib.cmxa findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib.cmxs findlib_config.cmx fl_split.cmx fl_metatoken.cmx fl_meta.cmx fl_metascanner.cmx fl_topo.cmx fl_package_base.cmx findlib.cmx fl_args.cmx fl_lint.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c ocaml_args.ml
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c frontend.ml
- ocamlopt -I +compiler-libs -g -o ocamlfind_opt findlib.cmxa unix.cmxa \
- 	   -I +unix -I +dynlink ocaml_args.cmx frontend.cmx
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c topfind.ml
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Topdirs, and its interface was not compiled with -opaque
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Toploop, and its interface was not compiled with -opaque
- ocamlopt -I +compiler-libs -g -a -o findlib_top.cmxa topfind.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_top.cmxs topfind.cmx; \
- fi
- ocamlopt -I +compiler-libs -g -opaque  -I +unix -I +dynlink -c fl_dynload.ml
- ocamlopt -I +compiler-libs -g -a -o findlib_dynload.cmxa fl_dynload.cmx
- if [ 1 -gt 0 ]; then \
-     ocamlopt -I +compiler-libs -g -shared -o findlib_dynload.cmxs fl_dynload.cmx; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
-> compiled  ocamlfind.1.9.5
Processing 114/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
Processing 115/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled] [ocamlfind: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5)
- if [ "1" -eq 1 ]; then \
-     for x in camlp4 dbm graphics labltk num ocamlbuild; do \
-       if [ -f "/home/opam/.opam/4.04/lib/$x/META" ]; then \
-         if ! grep -Fq '[distributed with Ocaml]' "//home/opam/.opam/4.04/lib/$x/META"; then \
-           rm -f site-lib-src/$x/META; \
-         fi; \
-       fi; \
-     done; \
-     test -f "site-lib-src/num/META" || rm -f "site-lib-src/num-top/META"; \
-   fi
- echo 'SITELIB_META =' > Makefile.packages.in
- for x in `ls site-lib-src`; do test ! -f "site-lib-src/$x/META" || echo $x >> Makefile.packages.in; done
- tr '\n' ' ' < Makefile.packages.in > Makefile.packages
- rm Makefile.packages.in
- install -d "/home/opam/.opam/4.04/bin"
- install -d "/home/opam/.opam/4.04/man"
- make install-config
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5'
- install -d "`dirname \"/home/opam/.opam/4.04/lib/findlib.conf\"`"
- test -f "/home/opam/.opam/4.04/lib/findlib.conf" || install -c findlib.conf "/home/opam/.opam/4.04/lib/findlib.conf"
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5'
- for p in findlib; do ( cd src/$p; make install ); done
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- install -d "/home/opam/.opam/4.04/lib/findlib"
- install -d "/home/opam/.opam/4.04/bin"
- test 1 -eq 0 || install -d "/home/opam/.opam/4.04/lib/ocaml"
- test 1 -eq 0 || install -c topfind "/home/opam/.opam/4.04/lib/ocaml/"
- files=` ../../tools/collect_files ../../Makefile.config \
- findlib.cmi findlib.mli findlib.cma findlib.cmxa findlib.a findlib.cmxs \
- findlib_config.cmi findlib_config.ml topfind.cmi topfind.mli \
- fl_args.cmi fl_lint.cmi fl_meta.cmi fl_split.cmi fl_topo.cmi ocaml_args.cmi \
- fl_package_base.mli fl_package_base.cmi fl_metascanner.mli fl_metascanner.cmi \
- fl_metatoken.cmi findlib_top.cma findlib_top.cmxa findlib_top.a findlib_top.cmxs \
- findlib_dynload.cma findlib_dynload.cmxa findlib_dynload.a findlib_dynload.cmxs fl_dynload.mli fl_dynload.cmi \
- META` && \
- install -c $files "/home/opam/.opam/4.04/lib/findlib/"
- f="ocamlfind"; { test -f ocamlfind_opt && f="ocamlfind_opt"; }; \
- install -c $f "/home/opam/.opam/4.04/bin/ocamlfind"
- # the following "if" block is only needed for 4.00beta2
- if [ 1 -eq 0 -a -f "/home/opam/.opam/4.04/lib/ocaml/compiler-libs/topdirs.cmi" ]; then \
-     cd "/home/opam/.opam/4.04/lib/ocaml/compiler-libs/"; \
-     install -c topdirs.cmi toploop.cmi "/home/opam/.opam/4.04/lib/findlib/"; \
- fi
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- make install-meta
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5'
- for x in bigarray bytes compiler-libs dynlink graphics num num-top ocamldoc raw_spacetime stdlib str threads unix ; do install -d "/home/opam/.opam/4.04/lib/$x"; install -c site-lib-src/$x/META "/home/opam/.opam/4.04/lib/$x/META.tmp" && mv "/home/opam/.opam/4.04/lib/$x/META.tmp" "/home/opam/.opam/4.04/lib/$x/META"; done
- install -d "/home/opam/.opam/4.04/lib/findlib"; install -c Makefile.packages "/home/opam/.opam/4.04/lib/findlib/Makefile.packages"
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5'
- test ! -f 'site-lib-src/num-top/META' || { cd src/findlib; make install-num-top; }
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- install -d "/home/opam/.opam/4.04/lib/num-top"
- install -c num_top.cma num_top.cmi num_top_printers.cmi \
- 	"/home/opam/.opam/4.04/lib/num-top/"
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5/src/findlib'
- test ! -f 'site-lib-src/camlp4/META' ||	install -c tools/safe_camlp4 "/home/opam/.opam/4.04/bin"
- make install-doc
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5'
- install -d "/home/opam/.opam/4.04/man/man1" "/home/opam/.opam/4.04/man/man3" "/home/opam/.opam/4.04/man/man5"
- install -c doc/ref-man/ocamlfind.1 "/home/opam/.opam/4.04/man/man1"
- install -c doc/ref-man/META.5 doc/ref-man/site-lib.5 doc/ref-man/findlib.conf.5 "/home/opam/.opam/4.04/man/man5"
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlfind.1.9.5'
-> installed ocamlfind.1.9.5
Processing 115/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
Processing 116/269: [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
Processing 117/269: [camlbz2: aclocal .] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
-> installed base-bytes.base
Processing 118/269: [camlbz2: aclocal .] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "aclocal" "-I" "." (CWD=/home/opam/.opam/4.04/.opam-switch/build/camlbz2.0.7.0)
- aclocal: warning: autoconf input should be named 'configure.ac', not 'configure.in'
- ocaml.m4:20: warning: underquoted definition of AC_PROG_OCAML
- ocaml.m4:20:   run info Automake 'Extending aclocal'
- ocaml.m4:20:   or see https://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
Processing 118/269: [camlbz2: autoconf] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "autoconf" (CWD=/home/opam/.opam/4.04/.opam-switch/build/camlbz2.0.7.0)
- configure.in:42: warning: AC_OUTPUT should be used without arguments.
- configure.in:42: You should run autoupdate.
Processing 118/269: [camlbz2: ./configure] [dune: ocaml bootstrap.ml] [ocamlbuild: make check-if-preinstalled]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "check-if-preinstalled" "all" "opam-install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2)
- if test -d /home/opam/.opam/4.04/lib/ocaml/ocamlbuild; then\
-   >&2 echo "ERROR: Preinstalled ocamlbuild detected at"\
-        "/home/opam/.opam/4.04/lib/ocaml/ocamlbuild";\
-   >&2 echo "Installation aborted; if you want to bypass this"\
-         "safety check, pass CHECK_IF_PREINSTALLED=false to make";\
-   exit 2;\
- fi
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/const.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/loc.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/loc.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/discard_printf.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/discard_printf.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/signatures.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/my_std.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/my_std.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/my_unix.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/my_unix.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/tags.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/tags.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/display.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/display.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/log.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/log.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/shell.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/shell.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/bool.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/bool.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_ast.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_ast.ml
- ocamllex.opt src/glob_lexer.mll
- 55 states, 419 transitions, table size 2006 bytes
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_lexer.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_lexer.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/glob.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/glob.ml
- ocamllex.opt src/lexers.mll
- 251 states, 1051 transitions, table size 5710 bytes
- 4334 additional bytes used for bindings
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/lexers.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/lexers.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/param_tags.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/param_tags.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/command.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/command.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_config.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_where.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_where.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/slurp.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/slurp.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/options.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/options.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/pathname.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/pathname.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/configuration.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/configuration.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/flags.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/flags.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/hygiene.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/hygiene.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/digest_cache.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/digest_cache.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/resource.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/resource.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/rule.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/rule.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/solver.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/solver.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/report.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/report.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/tools.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/tools.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/fda.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/fda.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/findlib.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/findlib.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_arch.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_arch.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_utils.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_utils.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_dependencies.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_dependencies.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_compiler.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_compiler.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_tools.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_tools.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_specific.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_specific.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/exit_codes.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/exit_codes.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/plugin.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/plugin.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/hooks.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/hooks.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/main.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/main.ml
- mkdir -p tmp
- ocamlc.opt -pack src/const.cmo src/loc.cmo src/discard_printf.cmo src/signatures.cmi src/my_std.cmo src/my_unix.cmo src/tags.cmo src/display.cmo src/log.cmo src/shell.cmo src/bool.cmo src/glob_ast.cmo src/glob_lexer.cmo src/glob.cmo src/lexers.cmo src/param_tags.cmo src/command.cmo src/ocamlbuild_config.cmo src/ocamlbuild_where.cmo src/slurp.cmo src/options.cmo src/pathname.cmo src/configuration.cmo src/flags.cmo src/hygiene.cmo src/digest_cache.cmo src/resource.cmo src/rule.cmo src/solver.cmo src/report.cmo src/tools.cmo src/fda.cmo src/findlib.cmo src/ocaml_arch.cmo src/ocaml_utils.cmo src/ocaml_dependencies.cmo src/ocaml_compiler.cmo src/ocaml_tools.cmo src/ocaml_specific.cmo src/exit_codes.cmo src/plugin.cmo src/hooks.cmo src/main.cmo -o tmp/ocamlbuild_pack.cmo
- mv tmp/ocamlbuild_pack.cmi src/ocamlbuild_pack.cmi
- mv tmp/ocamlbuild_pack.cmo src/ocamlbuild_pack.cmo
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c plugin-lib/ocamlbuild_plugin.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c plugin-lib/ocamlbuild_plugin.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c plugin-lib/ocamlbuild_executor.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c plugin-lib/ocamlbuild_executor.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c plugin-lib/ocamlbuild_unix_plugin.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c plugin-lib/ocamlbuild_unix_plugin.ml
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c bin/ocamlbuild.mli
- ocamlc.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c bin/ocamlbuild.ml
- ocamlc.opt -I +unix -I src -o ocamlbuild.byte unix.cma src/ocamlbuild_pack.cmo plugin-lib/ocamlbuild_plugin.cmo plugin-lib/ocamlbuild_executor.cmo plugin-lib/ocamlbuild_unix_plugin.cmo bin/ocamlbuild.cmo
- ocamlc.opt -a -o plugin-lib/ocamlbuildlib.cma src/ocamlbuild_pack.cmo plugin-lib/ocamlbuild_plugin.cmo plugin-lib/ocamlbuild_executor.cmo plugin-lib/ocamlbuild_unix_plugin.cmo
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/const.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/loc.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/discard_printf.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/my_std.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/my_unix.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/tags.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/display.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/log.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/shell.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/bool.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_ast.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/glob_lexer.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/glob.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/lexers.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/param_tags.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/command.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_config.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocamlbuild_where.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/slurp.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/options.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/pathname.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/configuration.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/flags.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/hygiene.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/digest_cache.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/resource.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/rule.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/solver.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/report.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/tools.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/fda.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/findlib.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_arch.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_utils.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_dependencies.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_compiler.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_tools.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/ocaml_specific.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/exit_codes.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/plugin.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/hooks.ml
- ocamlopt.opt -for-pack Ocamlbuild_pack -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c src/main.ml
- mkdir -p tmp
- ocamlopt.opt -pack src/const.cmx src/loc.cmx src/discard_printf.cmx src/signatures.cmi src/my_std.cmx src/my_unix.cmx src/tags.cmx src/display.cmx src/log.cmx src/shell.cmx src/bool.cmx src/glob_ast.cmx src/glob_lexer.cmx src/glob.cmx src/lexers.cmx src/param_tags.cmx src/command.cmx src/ocamlbuild_config.cmx src/ocamlbuild_where.cmx src/slurp.cmx src/options.cmx src/pathname.cmx src/configuration.cmx src/flags.cmx src/hygiene.cmx src/digest_cache.cmx src/resource.cmx src/rule.cmx src/solver.cmx src/report.cmx src/tools.cmx src/fda.cmx src/findlib.cmx src/ocaml_arch.cmx src/ocaml_utils.cmx src/ocaml_dependencies.cmx src/ocaml_compiler.cmx src/ocaml_tools.cmx src/ocaml_specific.cmx src/exit_codes.cmx src/plugin.cmx src/hooks.cmx src/main.cmx -o tmp/ocamlbuild_pack.cmx
- mv tmp/ocamlbuild_pack.cmx src/ocamlbuild_pack.cmx
- mv tmp/ocamlbuild_pack.o src/ocamlbuild_pack.o
- ocamlopt.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c plugin-lib/ocamlbuild_plugin.ml
- ocamlopt.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c plugin-lib/ocamlbuild_executor.ml
- ocamlopt.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c plugin-lib/ocamlbuild_unix_plugin.ml
- ocamlopt.opt -w +L -w +R -w +Z -I src -I plugin-lib -I bin -I +unix -safe-string -bin-annot -strict-sequence -c bin/ocamlbuild.ml
- ocamlopt.opt -I +unix -I src -o ocamlbuild.native unix.cmxa src/ocamlbuild_pack.cmx plugin-lib/ocamlbuild_plugin.cmx plugin-lib/ocamlbuild_executor.cmx plugin-lib/ocamlbuild_unix_plugin.cmx bin/ocamlbuild.cmx
- ocamlopt.opt -a -o plugin-lib/ocamlbuildlib.cmxa src/ocamlbuild_pack.cmx plugin-lib/ocamlbuild_plugin.cmx plugin-lib/ocamlbuild_executor.cmx plugin-lib/ocamlbuild_unix_plugin.cmx
- ocamlc.opt src/ocamlbuild_pack.cmo -I src man/options_man.ml -o man/options_man.byte
- ./man/options_man.byte > man/ocamlbuild.options.1
- cat man/ocamlbuild.header.1 man/ocamlbuild.options.1 man/ocamlbuild.footer.1 > man/ocamlbuild.1
- make ocamlbuild.install
- make[1]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- rm -f ocamlbuild.install
- touch ocamlbuild.install
- make install-bin-opam
- make[2]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- echo 'bin: [' >> ocamlbuild.install
- echo '  "ocamlbuild.byte" {"ocamlbuild.byte"}' >> ocamlbuild.install
- echo '  "ocamlbuild.native" {"ocamlbuild.native"}' >> ocamlbuild.install
- echo '  "ocamlbuild.native" {"ocamlbuild"}' >> ocamlbuild.install
- echo ']' >> ocamlbuild.install
- echo >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- make install-lib-opam
- make[2]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- echo 'lib: [' >> ocamlbuild.install
- make install-lib-basics-opam
- make[3]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- echo '  "ocamlbuild.opam" {"opam"}' >> ocamlbuild.install
- echo '  "META"' >> ocamlbuild.install
- for lib in src/signatures.mli src/signatures.cmi src/signatures.cmti; do \
-   echo "  \"$lib\" {\"$(basename $lib)\"}" >> ocamlbuild.install; \
- done
- make[3]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- make install-lib-byte-opam
- make[3]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- for lib in plugin-lib/ocamlbuildlib.cma bin/ocamlbuild.cmo src/ocamlbuild_pack.cmi plugin-lib/ocamlbuild_plugin.cmi plugin-lib/ocamlbuild_executor.cmi plugin-lib/ocamlbuild_unix_plugin.cmi; do \
-   echo "  \"$lib\" {\"$(basename $lib)\"}" >> ocamlbuild.install; \
- done
- make[3]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- make install-lib-native-opam
- make[3]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- for lib in plugin-lib/ocamlbuildlib.cmxa plugin-lib/ocamlbuildlib.a bin/ocamlbuild.cmx bin/ocamlbuild.o src/ocamlbuild_pack.cmx plugin-lib/ocamlbuild_plugin.cmx plugin-lib/ocamlbuild_executor.cmx plugin-lib/ocamlbuild_unix_plugin.cmx plugin-lib/ocamlbuild_plugin.o plugin-lib/ocamlbuild_executor.o plugin-lib/ocamlbuild_unix_plugin.o; do \
-   echo "  \"$lib\" {\"$(basename $lib)\"}" >> ocamlbuild.install; \
- done
- make[3]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- echo ']' >> ocamlbuild.install
- echo >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- make install-man-opam
- make[2]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- echo 'man: [' >> ocamlbuild.install
- echo '  "man/ocamlbuild.1" {"man1/ocamlbuild.1"}' >> ocamlbuild.install
- echo ']' >> ocamlbuild.install
- echo >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- make install-doc-opam
- make[2]: Entering directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- echo 'doc: [' >> ocamlbuild.install
- echo '  "LICENSE"' >> ocamlbuild.install
- echo '  "Changes"' >> ocamlbuild.install
- echo '  "Readme.md"' >> ocamlbuild.install
- echo ']' >> ocamlbuild.install
- make[2]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
- make[1]: Leaving directory '/home/opam/.opam/4.04/.opam-switch/build/ocamlbuild.0.14.2'
-> compiled  ocamlbuild.0.14.2
Processing 118/269: [camlbz2: ./configure] [dune: ocaml bootstrap.ml]
-> installed ocamlbuild.0.14.2
Processing 119/269: [camlbz2: ./configure] [dune: ocaml bootstrap.ml]
[camlp4: patch] applying termux.patch
Processing 120/269: [camlbz2: ./configure] [camlp4: patch] [dune: ocaml bootstrap.ml]
Processing 121/269: [camlbz2: ./configure] [camlp4: patch] [dune: ocaml bootstrap.ml] [topkg: ocaml build]
[camlp4: patch] applying f0ea53725465260556832398096cef8d3f20b49d.patch
Processing 121/269: [camlbz2: ./configure] [camlp4: ./configure] [dune: ocaml bootstrap.ml] [topkg: ocaml build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./configure" "--bindir=/home/opam/.opam/4.04/bin" "--libdir=/home/opam/.opam/4.04/lib/ocaml" "--pkgdir=/home/opam/.opam/4.04/lib" (CWD=/home/opam/.opam/4.04/.opam-switch/build/camlp4.4.04+1)
Processing 121/269: [camlbz2: ./configure] [camlp4: make clean] [dune: ocaml bootstrap.ml] [topkg: ocaml build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "clean" (CWD=/home/opam/.opam/4.04/.opam-switch/build/camlp4.4.04+1)
- rm -rf _build
Processing 121/269: [camlbz2: ./configure] [camlp4: make all] [dune: ocaml bootstrap.ml] [topkg: ocaml build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./configure" "--prefix" "/home/opam/.opam/4.04" (CWD=/home/opam/.opam/4.04/.opam-switch/build/camlbz2.0.7.0)
- checking for ocamlc... ocamlc
- OCaml version is 4.04.2
- OCaml library path is /home/opam/.opam/4.04/lib/ocaml
- checking for ocamlopt... ocamlopt
- checking for ocamlc.opt... ocamlc.opt
- checking for ocamlopt.opt... ocamlopt.opt
- checking for ocamldep... ocamldep
- checking for ocamlmktop... ocamlmktop
- checking for ocamlmklib... ocamlmklib
- checking for ocamldoc... ocamldoc
- awk: line 1: regular expression compile failed (syntax error ^* or ^+)
- ^+
- OCaml uses to compile C files
- checking for ocamlfind... ocamlfind
- checking for gcc... gcc
- checking whether the C compiler works... yes
- checking for C compiler default output file name... a.out
- checking for suffix of executables... 
- checking whether we are cross compiling... no
- checking for suffix of object files... o
- checking whether the compiler supports GNU C... yes
- checking whether gcc accepts -g... yes
- checking for gcc option to enable C11 features... none needed
- checking for a BSD-compatible install... /usr/bin/install -c
- checking for stdio.h... yes
- checking for stdlib.h... yes
- checking for string.h... yes
- checking for inttypes.h... yes
- checking for stdint.h... yes
- checking for strings.h... yes
- checking for sys/stat.h... yes
- checking for sys/types.h... yes
- checking for unistd.h... yes
- checking for bzlib.h... yes
- checking for BZ2_bzReadOpen in -lbz2... yes
- configure: creating ./config.status
- config.status: creating Makefile
Processing 121/269: [camlbz2: make] [camlp4: make all] [dune: ocaml bootstrap.ml] [topkg: ocaml build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" (CWD=/home/opam/.opam/4.04/.opam-switch/build/camlbz2.0.7.0)
- ocamlc.opt -ccopt "-D BZ_PREFIX  " -c c_bz.c
- ocamlmklib -oc camlbz2 c_bz.o -lbz2 
- ocamlc.opt -c bz2.mli
- ocamlc.opt -c bz2.ml
- ocamlmklib -oc camlbz2 -o bz2 bz2.cmo -lbz2 
- ocamlopt.opt -c bz2.ml
- ocamlmklib -oc camlbz2 -o bz2 bz2.cmx -lbz2 
-> compiled  camlbz2.0.7.0
Processing 121/269: [camlp4: make all] [dune: ocaml bootstrap.ml] [topkg: ocaml build]
Processing 122/269: [camlp4: make all] [dune: ocaml bootstrap.ml] [topkg: ocaml build] [camlbz2: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/camlbz2.0.7.0)
- ocamlfind remove  bz2
- ocamlfind: [WARNING] No such file: /home/opam/.opam/4.04/lib/bz2/META
- ocamlfind install  \
- 	-patch-version 0.6.0 -ldconf ignore \
- 	bz2 META bz2.cmi bz2.mli bz2.cma dllcamlbz2.so libcamlbz2.a bz2.cmx bz2.cmxa bz2.a
- Installed /home/opam/.opam/4.04/lib/bz2/bz2.a
- Installed /home/opam/.opam/4.04/lib/bz2/bz2.cmxa
- Installed /home/opam/.opam/4.04/lib/bz2/bz2.cmx
- Installed /home/opam/.opam/4.04/lib/bz2/libcamlbz2.a
- Installed /home/opam/.opam/4.04/lib/bz2/bz2.cma
- Installed /home/opam/.opam/4.04/lib/bz2/bz2.mli
- Installed /home/opam/.opam/4.04/lib/bz2/bz2.cmi
- Installed /home/opam/.opam/4.04/lib/stublibs/dllcamlbz2.so
- Installed /home/opam/.opam/4.04/lib/stublibs/dllcamlbz2.so.owner
- Installed /home/opam/.opam/4.04/lib/bz2/META
-> installed camlbz2.0.7.0
Processing 122/269: [camlp4: make all] [dune: ocaml bootstrap.ml] [topkg: ocaml build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "pkg/pkg.ml" "build" "--pkg-name" "topkg" "--dev-pkg" "false" (CWD=/home/opam/.opam/4.04/.opam-switch/build/topkg.1.0.4)
- ocamlfind ocamldep -modules src/topkg.ml > src/topkg.ml.depends
- ocamlfind ocamldep -modules src/topkg.mli > src/topkg.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg.cmi src/topkg.mli
- ocamlfind ocamldep -modules src/topkg_build.ml > src/topkg_build.ml.depends
- ocamlfind ocamldep -modules src/topkg_build.mli > src/topkg_build.mli.depends
- ocamlfind ocamldep -modules src/topkg_cmd.mli > src/topkg_cmd.mli.depends
- ocamlfind ocamldep -modules src/topkg_fpath.mli > src/topkg_fpath.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_fpath.cmi src/topkg_fpath.mli
- ocamlfind ocamldep -modules src/topkg_codec.mli > src/topkg_codec.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_cmd.cmi src/topkg_cmd.mli
- ocamlfind ocamldep -modules src/topkg_result.mli > src/topkg_result.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_result.cmi src/topkg_result.mli
- ocamlfind ocamldep -modules src/topkg_conf.mli > src/topkg_conf.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_codec.cmi src/topkg_codec.mli
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_conf.cmi src/topkg_conf.mli
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_build.cmi src/topkg_build.mli
- ocamlfind ocamldep -modules src/topkg_cmd.ml > src/topkg_cmd.ml.depends
- ocamlfind ocamldep -modules src/topkg_fpath.ml > src/topkg_fpath.ml.depends
- ocamlfind ocamldep -modules src/topkg_string.ml > src/topkg_string.ml.depends
- ocamlfind ocamldep -modules src/topkg_string.mli > src/topkg_string.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_string.cmi src/topkg_string.mli
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_string.cmx src/topkg_string.ml
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_fpath.cmx src/topkg_fpath.ml
- ocamlfind ocamldep -modules src/topkg_codec.ml > src/topkg_codec.ml.depends
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_cmd.cmx src/topkg_cmd.ml
- ocamlfind ocamldep -modules src/topkg_os.ml > src/topkg_os.ml.depends
- ocamlfind ocamldep -modules src/topkg_os.mli > src/topkg_os.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_os.cmi src/topkg_os.mli
- ocamlfind ocamldep -modules src/topkg_log.ml > src/topkg_log.ml.depends
- ocamlfind ocamldep -modules src/topkg_log.mli > src/topkg_log.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_log.cmi src/topkg_log.mli
- ocamlfind ocamldep -modules src/topkg_result.ml > src/topkg_result.ml.depends
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_result.cmx src/topkg_result.ml
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_log.cmx src/topkg_log.ml
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_os.cmx src/topkg_os.ml
- ocamlfind ocamldep -modules src/topkg_conf.ml > src/topkg_conf.ml.depends
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_codec.cmx src/topkg_codec.ml
- ocamlfind ocamldep -modules src/topkg_vcs.ml > src/topkg_vcs.ml.depends
- ocamlfind ocamldep -modules src/topkg_vcs.mli > src/topkg_vcs.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_vcs.cmi src/topkg_vcs.mli
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_vcs.cmx src/topkg_vcs.ml
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_conf.cmx src/topkg_conf.ml
- ocamlfind ocamldep -modules src/topkg_distrib.ml > src/topkg_distrib.ml.depends
- ocamlfind ocamldep -modules src/topkg_distrib.mli > src/topkg_distrib.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_distrib.cmi src/topkg_distrib.mli
- ocamlfind ocamldep -modules src/topkg_opam.ml > src/topkg_opam.ml.depends
- ocamlfind ocamldep -modules src/topkg_opam.mli > src/topkg_opam.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_opam.cmi src/topkg_opam.mli
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_opam.cmx src/topkg_opam.ml
- ocamlfind ocamldep -modules src/topkg_fexts.ml > src/topkg_fexts.ml.depends
- ocamlfind ocamldep -modules src/topkg_fexts.mli > src/topkg_fexts.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_fexts.cmi src/topkg_fexts.mli
- ocamlfind ocamldep -modules src/topkg_install.ml > src/topkg_install.ml.depends
- ocamlfind ocamldep -modules src/topkg_install.mli > src/topkg_install.mli.depends
- ocamlfind ocamldep -modules src/topkg_test.mli > src/topkg_test.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_test.cmi src/topkg_test.mli
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_install.cmi src/topkg_install.mli
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_fexts.cmx src/topkg_fexts.ml
- ocamlfind ocamldep -modules src/topkg_test.ml > src/topkg_test.ml.depends
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_test.cmx src/topkg_test.ml
- ocamlfind ocamldep -modules src/topkg_ipc.ml > src/topkg_ipc.ml.depends
- ocamlfind ocamldep -modules src/topkg_ipc.mli > src/topkg_ipc.mli.depends
- ocamlfind ocamldep -modules src/topkg_pkg.mli > src/topkg_pkg.mli.depends
- ocamlfind ocamldep -modules src/topkg_publish.mli > src/topkg_publish.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_publish.cmi src/topkg_publish.mli
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_pkg.cmi src/topkg_pkg.mli
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_ipc.cmi src/topkg_ipc.mli
- ocamlfind ocamldep -modules src/topkg_pkg.ml > src/topkg_pkg.ml.depends
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_build.cmx src/topkg_build.ml
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_distrib.cmx src/topkg_distrib.ml
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_install.cmx src/topkg_install.ml
- ocamlfind ocamldep -modules src/topkg_publish.ml > src/topkg_publish.ml.depends
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_publish.cmx src/topkg_publish.ml
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_pkg.cmx src/topkg_pkg.ml
- ocamlfind ocamldep -modules src/topkg_main.ml > src/topkg_main.ml.depends
- ocamlfind ocamldep -modules src/topkg_main.mli > src/topkg_main.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_main.cmi src/topkg_main.mli
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_ipc.cmx src/topkg_ipc.ml
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_main.cmx src/topkg_main.ml
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg.cmx src/topkg.ml
- ocamlfind ocamlopt -a -I src src/topkg_string.cmx src/topkg_fpath.cmx src/topkg_cmd.cmx src/topkg_result.cmx src/topkg_log.cmx src/topkg_os.cmx src/topkg_codec.cmx src/topkg_vcs.cmx src/topkg_conf.cmx src/topkg_build.cmx src/topkg_opam.cmx src/topkg_distrib.cmx src/topkg_fexts.cmx src/topkg_test.cmx src/topkg_install.cmx src/topkg_publish.cmx src/topkg_pkg.cmx src/topkg_ipc.cmx src/topkg_main.cmx src/topkg.cmx -o src/topkg.cmxa
- ocamlfind ocamlopt -shared -linkall -I src src/topkg.cmxa -o src/topkg.cmxs
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg.cmo src/topkg.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_build.cmo src/topkg_build.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_cmd.cmo src/topkg_cmd.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_codec.cmo src/topkg_codec.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_conf.cmo src/topkg_conf.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_distrib.cmo src/topkg_distrib.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_fexts.cmo src/topkg_fexts.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_fpath.cmo src/topkg_fpath.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_install.cmo src/topkg_install.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_ipc.cmo src/topkg_ipc.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_log.cmo src/topkg_log.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_main.cmo src/topkg_main.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_opam.cmo src/topkg_opam.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_os.cmo src/topkg_os.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_pkg.cmo src/topkg_pkg.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_publish.cmo src/topkg_publish.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_result.cmo src/topkg_result.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_string.cmo src/topkg_string.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_test.cmo src/topkg_test.ml
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -I src-care -I src-bin -o src/topkg_vcs.cmo src/topkg_vcs.ml
- ocamlfind ocamlc -a -I src src/topkg_string.cmo src/topkg_fpath.cmo src/topkg_cmd.cmo src/topkg_result.cmo src/topkg_log.cmo src/topkg_os.cmo src/topkg_codec.cmo src/topkg_vcs.cmo src/topkg_conf.cmo src/topkg_build.cmo src/topkg_opam.cmo src/topkg_distrib.cmo src/topkg_fexts.cmo src/topkg_test.cmo src/topkg_install.cmo src/topkg_publish.cmo src/topkg_pkg.cmo src/topkg_ipc.cmo src/topkg_main.cmo src/topkg.cmo -o src/topkg.cma
- # Parallel statistics: { count(total): 2(84), max: 20, min: 2, average(total): 11.000(1.238) }
-> compiled  topkg.1.0.4
Processing 122/269: [camlp4: make all] [dune: ocaml bootstrap.ml]
-> installed topkg.1.0.4
Processing 123/269: [camlp4: make all] [dune: ocaml bootstrap.ml]
Processing 124/269: [camlp4: make all] [dune: ocaml bootstrap.ml] [uuidm: ocaml build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "pkg/pkg.ml" "build" "--pinned" "false" "--with-cmdliner" "false" (CWD=/home/opam/.opam/4.04/.opam-switch/build/uuidm.0.9.7)
- ocamlfind ocamldep -package bytes -modules src/uuidm.ml > src/uuidm.ml.depends
- ocamlfind ocamldep -package bytes -modules src/uuidm.mli > src/uuidm.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -package bytes -I src -I test -o src/uuidm.cmi src/uuidm.mli
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -package bytes -I src -I test -o src/uuidm.cmx src/uuidm.ml
- ocamlfind ocamlopt -a -package bytes -I src src/uuidm.cmx -o src/uuidm.cmxa
- ocamlfind ocamlopt -shared -linkall -package bytes -I src src/uuidm.cmxa -o src/uuidm.cmxs
- ocamlfind ocamlc -c -g -bin-annot -safe-string -package bytes -I src -I test -o src/uuidm.cmo src/uuidm.ml
- ocamlfind ocamlc -a -package bytes -I src src/uuidm.cmo -o src/uuidm.cma
- # No parallelism done
-> compiled  uuidm.0.9.7
Processing 124/269: [camlp4: make all] [dune: ocaml bootstrap.ml]
-> installed uuidm.0.9.7
Processing 125/269: [camlp4: make all] [dune: ocaml bootstrap.ml]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "bootstrap.ml" (CWD=/home/opam/.opam/4.04/.opam-switch/build/dune.1.11.4)
- cp src/ocaml-syntax-shims/pp.real.ml src/ocaml-syntax-shims/pp.ml
- cp src/ocaml-syntax-shims/shims.403.ml src/ocaml-syntax-shims/shims.ml
- /home/opam/.opam/4.04/bin/ocamllex.opt -q src/ocaml-syntax-shims/let_trail.mll
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/ocaml-syntax-shims/let_trail.mli src/ocaml-syntax-shims/let_trail.ml src/ocaml-syntax-shims/pp.ml src/ocaml-syntax-shims/shims.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamlopt.opt -g -w -40 -o boot-pp.exe -I +compiler-libs ocamlcommon.cmxa boot_pp.ml
- /home/opam/.opam/4.04/bin/ocamllex.opt -q src/ocamlobjinfo.mll
- /home/opam/.opam/4.04/bin/ocamllex.opt -q src/meta_lexer.mll
- /home/opam/.opam/4.04/bin/ocamllex.opt -q src/dune_lexer.mll
- /home/opam/.opam/4.04/bin/ocamllex.opt -q src/dune_lang/dune_lexer.mll
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/action.mli src/action.ml src/action_ast.ml src/action_dune_lang.mli src/action_dune_lang.ml src/action_exec.mli src/action_exec.ml src/action_intf.ml src/action_mapper.mli src/action_mapper.ml src/action_to_sh.mli src/action_to_sh.boot.ml src/action_unexpanded.mli src/action_unexpanded.ml src/alias.mli src/alias.ml src/artifact_substitution.mli src/artifact_substitution.ml src/artifacts.mli src/artifacts.ml src/binary_kind.mli src/binary_kind.ml src/bindings.mli src/bindings.ml src/blang.mli src/blang.ml src/bootstrap.mli src/bootstrap.boot.ml src/build.mli src/build.ml otherlibs/build-info/src/build_info.mli otherlibs/build-info/src/build_info.ml otherlibs/build-info/src/build_info_data.mli otherlibs/build-info/src/build_info_data.boot.ml src/build_system.mli src/build_system.ml src/c.mli src/c.ml src/c_sources.mli src/c_sources.ml src/cached_digest.mli src/cached_digest.ml src/check_rules.mli src/check_rules.ml src/cinaps.mli src/cinaps.boot.ml src/clflags.mli src/clflags.ml src/cm_files.mli src/cm_files.ml src/cm_kind.mli src/cm_kind.ml src/colors.mli src/colors.ml src/command.mli src/command.ml src/compilation_context.mli src/compilation_context.ml src/config.mli src/config.ml src/context.mli src/context.ml src/coq_module.mli src/coq_module.ml src/coq_rules.mli src/coq_rules.boot.ml src/dep.mli src/dep.ml src/dep_graph.mli src/dep_graph.ml src/dep_path.mli src/dep_path.ml src/dep_rules.mli src/dep_rules.ml src/dialect.mli src/dialect.ml src/diff.mli src/diff.ml src/dir_contents.mli src/dir_contents.ml src/dir_set.mli src/dir_set.ml src/dir_status.mli src/dir_status.ml src/dir_with_dune.mli src/dir_with_dune.ml src/dpath.mli src/dpath.ml src/dune_env.mli src/dune_env.ml src/dune_file.mli src/dune_file.ml src/dune_init.mli src/dune_init.ml src/dune_lexer.mli src/dune_lexer.ml src/dune_load.mli src/dune_load.ml src/dune_package.mli src/dune_package.ml src/dune_project.mli src/dune_project.ml vendor/boot/dune_re.ml src/dynlink_supported.mli src/dynlink_supported.ml src/env_node.mli src/env_node.ml src/exe.mli src/exe.ml src/exe_rules.mli src/exe_rules.ml src/expander.mli src/expander.ml src/file_binding.mli src/file_binding.ml src/file_selector.mli src/file_selector.ml src/file_tree.mli src/file_tree.ml src/findlib.mli src/findlib.ml src/format_dune_lang.mli src/format_dune_lang.ml src/format_rules.mli src/format_rules.ml src/gen_meta.mli src/gen_meta.ml src/gen_rules.mli src/gen_rules.ml src/glob.mli src/glob.ml src/glob_lexer.mli src/glob_lexer.boot.ml src/hooks.mli src/hooks.ml src/import.ml src/inline_tests.mli src/inline_tests.boot.ml src/install.mli src/install.ml src/install_rules.mli src/install_rules.ml src/installed_dune_file.mli src/installed_dune_file.ml src/js_of_ocaml_rules.mli src/js_of_ocaml_rules.boot.ml src/lib.mli src/lib.ml src/lib_archives.mli src/lib_archives.ml src/lib_config.mli src/lib_config.ml src/lib_deps_info.mli src/lib_deps_info.ml src/lib_file_deps.mli src/lib_file_deps.ml src/lib_info.mli src/lib_info.ml src/lib_kind.mli src/lib_kind.ml src/lib_name.mli src/lib_name.ml src/lib_rules.mli src/lib_rules.ml src/link_time_code_gen.mli src/link_time_code_gen.ml src/local_package.mli src/local_package.ml src/main.mli src/main.ml src/menhir.mli src/menhir.boot.ml src/merlin.mli src/merlin.ml src/meta.mli src/meta.ml src/meta_lexer.mli src/meta_lexer.ml src/ml_kind.mli src/ml_kind.ml src/mode.mli src/mode.ml src/module.mli src/module.ml src/module_compilation.mli src/module_compilation.ml src/modules.mli src/modules.ml src/modules_field_evaluator.mli src/modules_field_evaluator.ml src/obj_dir.mli src/obj_dir.ml src/ocaml_flags.mli src/ocaml_flags.ml src/ocaml_version.mli src/ocaml_version.ml src/ocamldep.mli src/ocamldep.ml src/ocamlobjinfo.mli src/ocamlobjinfo.ml src/odoc.mli src/odoc.boot.ml vendor/boot/opamBaseParser.ml vendor/boot/opamLexer.ml vendor/boot/opamParserTypes.ml vendor/boot/opamPrinter.ml src/opam_create.mli src/opam_create.boot.ml src/opam_file.mli src/opam_file.ml src/ordered_set_lang.mli src/ordered_set_lang.ml src/package.mli src/package.ml src/packages.mli src/packages.ml src/per_item.mli src/per_item.ml src/persistent.mli src/persistent.ml src/pform.mli src/pform.ml src/predicate.mli src/predicate.ml src/predicate_lang.mli src/predicate_lang.ml src/preprocessing.mli src/preprocessing.ml src/print_diff.mli src/print_diff.ml src/process.mli src/process.ml src/promotion.mli src/promotion.ml src/report_error.mli src/report_error.ml src/response_file.mli src/response_file.ml src/rule.mli src/rule.ml src/rules.mli src/rules.ml src/scheduler.mli src/scheduler.ml src/scheme.mli src/scheme.ml src/scope.mli src/scope.ml src/setup.mli src/setup.boot.ml src/simple_rules.mli src/simple_rules.ml src/spawn.mli src/spawn.ml src/stanza.mli src/stanza.ml src/static_deps.mli src/static_deps.ml src/stats.mli src/stats.boot.ml src/string_with_vars.mli src/string_with_vars.ml src/sub_dirs.mli src/sub_dirs.ml src/sub_system.mli src/sub_system.ml src/sub_system_info.mli src/sub_system_info.ml src/sub_system_intf.ml src/sub_system_name.mli src/sub_system_name.ml src/super_context.mli src/super_context.ml src/syntax.mli src/syntax.ml src/test_rules.mli src/test_rules.boot.ml src/top_closure.mli src/top_closure.ml src/toplevel.mli src/toplevel.ml src/upgrader.mli src/upgrader.boot.ml src/utils.mli src/utils.ml src/utop.mli src/utop.boot.ml src/value.mli src/value.ml src/variant.mli src/variant.ml src/vcs.mli src/vcs.ml src/versioned_file.mli src/versioned_file.ml src/vimpl.mli src/vimpl.ml src/virtual_rules.mli src/virtual_rules.ml src/visibility.mli src/visibility.ml src/watermarks.mli src/watermarks.ml src/workspace.mli src/workspace.ml src/wrapped.mli src/wrapped.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/dag/dag.mli src/dag/dag.ml src/dag/dag_intf.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/stdune/caml/dune_caml.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/dune_lang/dune_lang.mli src/dune_lang/dune_lang.ml src/dune_lang/atom.mli src/dune_lang/atom.ml src/dune_lang/combinators.ml src/dune_lang/dune_lexer.mli src/dune_lang/dune_lexer.ml src/dune_lang/escape.mli src/dune_lang/escape.ml src/dune_lang/file_syntax.mli src/dune_lang/file_syntax.ml src/dune_lang/jbuild_lexer.mli src/dune_lang/jbuild_lexer.boot.ml src/dune_lang/lexer.mli src/dune_lang/lexer.ml src/dune_lang/lexer_shared.mli src/dune_lang/lexer_shared.ml src/dune_lang/template.mli src/dune_lang/template.ml src/dune_lang/types.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/stdune/result/dune_result.ml src/stdune/result/result.mli src/stdune/result/result.ml src/stdune/result/result_compat.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/fiber/fiber.mli src/fiber/fiber.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' vendor/incremental-cycles/src/incremental_cycles.mli vendor/incremental-cycles/src/incremental_cycles.ml vendor/incremental-cycles/src/incremental_cycles_intf.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/memo/memo.mli src/memo/memo.ml src/memo/implicit_output.mli src/memo/implicit_output.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/ocaml-config/ocaml_config.mli src/ocaml-config/ocaml_config.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/stdune/stdune.ml src/stdune/ansi_color.mli src/stdune/ansi_color.ml src/stdune/appendable_list.mli src/stdune/appendable_list.ml src/stdune/array.ml src/stdune/bin.mli src/stdune/bin.ml src/stdune/bool.mli src/stdune/bool.ml src/stdune/bytes.mli src/stdune/bytes.ml src/stdune/char.ml src/stdune/code_error.mli src/stdune/code_error.ml src/stdune/common.ml src/stdune/comparable.mli src/stdune/comparable.ml src/stdune/comparable_intf.ml src/stdune/comparator.mli src/stdune/comparator.ml src/stdune/console.mli src/stdune/console.ml src/stdune/csexp.mli src/stdune/csexp.ml src/stdune/digest.mli src/stdune/digest.ml src/stdune/dyn.mli src/stdune/dyn.ml src/stdune/either.mli src/stdune/either.ml src/stdune/env.mli src/stdune/env.ml src/stdune/escape.mli src/stdune/escape.ml src/stdune/exn.mli src/stdune/exn.ml src/stdune/exn_with_backtrace.mli src/stdune/exn_with_backtrace.ml src/stdune/fdecl.mli src/stdune/fdecl.ml src/stdune/filename.mli src/stdune/filename.ml src/stdune/float.mli src/stdune/float.ml src/stdune/fmt.mli src/stdune/fmt.ml src/stdune/fn.mli src/stdune/fn.ml src/stdune/hashable.ml src/stdune/hashtbl.mli src/stdune/hashtbl.ml src/stdune/hashtbl_intf.ml src/stdune/id.mli src/stdune/id.ml src/stdune/int.mli src/stdune/int.ml src/stdune/interned.mli src/stdune/interned.ml src/stdune/io.mli src/stdune/io.ml src/stdune/lexbuf.mli src/stdune/lexbuf.ml src/stdune/list.mli src/stdune/list.ml src/stdune/loc.mli src/stdune/loc.ml src/stdune/loc0.ml src/stdune/log.mli src/stdune/log.ml src/stdune/map.mli src/stdune/map.ml src/stdune/map_intf.ml src/stdune/monad.mli src/stdune/monad.ml src/stdune/nothing.mli src/stdune/nothing.ml src/stdune/option.mli src/stdune/option.ml src/stdune/or_exn.mli src/stdune/or_exn.ml src/stdune/ordered.mli src/stdune/ordered.ml src/stdune/ordering.mli src/stdune/ordering.ml src/stdune/path.mli src/stdune/path.ml src/stdune/path_intf.ml src/stdune/poly.mli src/stdune/poly.ml src/stdune/pp.mli src/stdune/pp.ml src/stdune/proc.mli src/stdune/proc.ml src/stdune/result.mli src/stdune/result.ml src/stdune/set.mli src/stdune/set.ml src/stdune/set_intf.ml src/stdune/sexp.mli src/stdune/sexp.ml src/stdune/signal.mli src/stdune/signal.ml src/stdune/staged.mli src/stdune/staged.ml src/stdune/string.mli src/stdune/string.ml src/stdune/string_split.mli src/stdune/string_split.ml src/stdune/table.mli src/stdune/table.ml src/stdune/tuple.mli src/stdune/tuple.ml src/stdune/type_eq.mli src/stdune/type_eq.ml src/stdune/unit.mli src/stdune/unit.ml src/stdune/univ_map.mli src/stdune/univ_map.ml src/stdune/user_error.mli src/stdune/user_error.ml src/stdune/user_message.mli src/stdune/user_message.ml src/stdune/user_warning.mli src/stdune/user_warning.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/wp/wp.mli src/wp/wp.boot.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules -pp './boot-pp.exe -dump-ast' src/xdg/xdg.mli src/xdg/xdg.ml > boot-depends.txt
- /home/opam/.opam/4.04/bin/ocamlc.opt -g -w -40 -o boot.exe -pp './boot-pp.exe -dump-ast' -I +threads unix.cma threads.cma boot.ml
Processing 125/269: [camlp4: make all] [dune: ./boot.exe 31]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./boot.exe" "--release" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/dune.1.11.4)
-> compiled  dune.1.11.4
Processing 125/269: [camlp4: make all]
-> installed dune.1.11.4
Processing 126/269: [camlp4: make all]
Processing 127/269: [bigarray-compat: dune build] [camlp4: make all]
Processing 128/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build]
Processing 129/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build]
Processing 130/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build]
Processing 131/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build]
Processing 132/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build]
Processing 133/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build]
Processing 134/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build]
Processing 135/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build] [seq: dune build]
Processing 136/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build] [seq: dune build] [snappy: dune build]
Processing 137/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build] [seq: dune build] [snappy: dune build] [spawn: dune build]
Processing 138/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build] [seq: dune build] [snappy: dune build] [spawn: dune build] [stdlib-shims: dune build]
Processing 139/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build] [seq: dune build] [snappy: dune build] [spawn: dune build] [stdlib-shims: dune build] [stringext: dune build]
-> installed dune-configurator.1.0.0
Processing 140/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build] [seq: dune build] [snappy: dune build] [spawn: dune build] [stdlib-shims: dune build] [stringext: dune build]
Processing 141/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build] [seq: dune build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
-> installed jbuilder.transition
Processing 142/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build] [seq: dune build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
Processing 143/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [jane-street-headers: jbuilder build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build] [seq: dune build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
Processing 144/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [jane-street-headers: jbuilder build] [ocaml-compiler-libs: dune build] [octavius: dune build] [ppx_derivers: dune build] [result: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppx_derivers" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_derivers.1.2.1)
-> compiled  ppx_derivers.1.2.1
Processing 144/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [jane-street-headers: jbuilder build] [ocaml-compiler-libs: dune build] [octavius: dune build] [result: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
-> installed ppx_derivers.1.2.1
Processing 145/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [jane-street-headers: jbuilder build] [ocaml-compiler-libs: dune build] [octavius: dune build] [result: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "jane-street-headers" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/jane-street-headers.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "include/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  jane-street-headers.v0.11.0
Processing 145/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [result: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
-> installed jane-street-headers.v0.11.0
Processing 146/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [result: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "result" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/result.1.5)
-> compiled  result.1.5
Processing 146/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
-> installed result.1.5
Processing 147/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [octavius: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
Processing 148/269: [bigarray-compat: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "bigarray-compat" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/bigarray-compat.1.1.0)
-> compiled  bigarray-compat.1.1.0
Processing 148/269: [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
-> installed bigarray-compat.1.1.0
Processing 149/269: [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
Processing 150/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
Processing 151/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [seq: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "seq" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/seq.0.2.2)
-> compiled  seq.0.2.2
Processing 151/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
-> installed seq.0.2.2
Processing 152/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
Processing 153/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build] [sexplib0: jbuilder build] [snappy: dune build] [spawn: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "spawn" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/spawn.v0.13.0)
-       ocamlc src/spawn_stubs.o
- spawn_stubs.c: In function 'subprocess_failure':
- spawn_stubs.c:146:10: warning: variable 'ignored' set but not used [-Wunused-but-set-variable]
-   146 |   size_t ignored;
-       |          ^~~~~~~
-> compiled  spawn.v0.13.0
Processing 153/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build] [sexplib0: jbuilder build] [snappy: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
-> installed spawn.v0.13.0
Processing 154/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build] [sexplib0: jbuilder build] [snappy: dune build] [ssl: dune build] [stdlib-shims: dune build] [stringext: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "stdlib-shims" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/stdlib-shims.0.3.0)
-> compiled  stdlib-shims.0.3.0
Processing 154/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build] [sexplib0: jbuilder build] [snappy: dune build] [ssl: dune build] [stringext: dune build]
-> installed stdlib-shims.0.3.0
Processing 155/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [re: dune build] [sexplib0: jbuilder build] [snappy: dune build] [ssl: dune build] [stringext: dune build]
Processing 156/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [re: dune build] [sexplib0: jbuilder build] [snappy: dune build] [ssl: dune build] [stringext: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "stringext" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/stringext.1.6.0)
-> compiled  stringext.1.6.0
Processing 156/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [re: dune build] [sexplib0: jbuilder build] [snappy: dune build] [ssl: dune build]
-> installed stringext.1.6.0
Processing 157/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [re: dune build] [sexplib0: jbuilder build] [snappy: dune build] [ssl: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "snappy" "-j" "31" "@install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/snappy.0.1.2)
-       ocamlc src/snappy_stubs.o
- cc1plus: warning: command-line option '-std=gnu99' is valid for C/ObjC but not for C++
-> compiled  snappy.0.1.2
Processing 157/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [re: dune build] [sexplib0: jbuilder build] [ssl: dune build]
-> installed snappy.0.1.2
Processing 158/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [re: dune build] [sexplib0: jbuilder build] [ssl: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "sexplib0" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/sexplib0.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  sexplib0.v0.11.0
Processing 158/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [re: dune build] [ssl: dune build]
-> installed sexplib0.v0.11.0
Processing 159/269: [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [re: dune build] [ssl: dune build]
Processing 160/269: [base: jbuilder build] [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [re: dune build] [ssl: dune build]
Processing 161/269: [base: jbuilder build] [bigstringaf: dune build] [camlp4: make all] [cppo: dune build] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "cppo" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/cppo.1.6.9)
-> compiled  cppo.1.6.9
Processing 161/269: [base: jbuilder build] [bigstringaf: dune build] [camlp4: make all] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
-> installed cppo.1.6.9
Processing 162/269: [base: jbuilder build] [bigstringaf: dune build] [camlp4: make all] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [octavius: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
Processing 163/269: [base: jbuilder build] [bigstringaf: dune build] [camlp4: make all] [mmap: dune build] [ocaml-compiler-libs: dune build] [ocaml-migrate-parsetree: dune build] [ocplib-endian: dune build] [octavius: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ocaml-compiler-libs" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocaml-compiler-libs.v0.12.3)
-> compiled  ocaml-compiler-libs.v0.12.3
Processing 163/269: [base: jbuilder build] [bigstringaf: dune build] [camlp4: make all] [mmap: dune build] [ocaml-migrate-parsetree: dune build] [ocplib-endian: dune build] [octavius: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
-> installed ocaml-compiler-libs.v0.12.3
Processing 164/269: [base: jbuilder build] [bigstringaf: dune build] [camlp4: make all] [mmap: dune build] [ocaml-migrate-parsetree: dune build] [ocplib-endian: dune build] [octavius: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "bigstringaf" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/bigstringaf.0.6.1)
-> compiled  bigstringaf.0.6.1
Processing 164/269: [base: jbuilder build] [camlp4: make all] [mmap: dune build] [ocaml-migrate-parsetree: dune build] [ocplib-endian: dune build] [octavius: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
-> installed bigstringaf.0.6.1
Processing 165/269: [base: jbuilder build] [camlp4: make all] [mmap: dune build] [ocaml-migrate-parsetree: dune build] [ocplib-endian: dune build] [octavius: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
Processing 166/269: [angstrom: dune build] [base: jbuilder build] [camlp4: make all] [mmap: dune build] [ocaml-migrate-parsetree: dune build] [ocplib-endian: dune build] [octavius: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "octavius" "-j" "31" "@install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/octavius.1.2.2)
-> compiled  octavius.1.2.2
Processing 166/269: [angstrom: dune build] [base: jbuilder build] [camlp4: make all] [mmap: dune build] [ocaml-migrate-parsetree: dune build] [ocplib-endian: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
-> installed octavius.1.2.2
Processing 167/269: [angstrom: dune build] [base: jbuilder build] [camlp4: make all] [mmap: dune build] [ocaml-migrate-parsetree: dune build] [ocplib-endian: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "mmap" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/mmap.1.2.0)
-> compiled  mmap.1.2.0
Processing 167/269: [angstrom: dune build] [base: jbuilder build] [camlp4: make all] [ocaml-migrate-parsetree: dune build] [ocplib-endian: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
-> installed mmap.1.2.0
Processing 168/269: [angstrom: dune build] [base: jbuilder build] [camlp4: make all] [ocaml-migrate-parsetree: dune build] [ocplib-endian: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ocplib-endian" "-j" "31" "@install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocplib-endian.1.2)
-> compiled  ocplib-endian.1.2
Processing 168/269: [angstrom: dune build] [base: jbuilder build] [camlp4: make all] [ocaml-migrate-parsetree: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
-> installed ocplib-endian.1.2
Processing 169/269: [angstrom: dune build] [base: jbuilder build] [camlp4: make all] [ocaml-migrate-parsetree: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
Processing 170/269: [angstrom: dune build] [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [ounit2: dune build] [parsexp: jbuilder build] [re: dune build] [ssl: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "re" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/re.1.9.0)
-> compiled  re.1.9.0
Processing 170/269: [angstrom: dune build] [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [ounit2: dune build] [parsexp: jbuilder build] [ssl: dune build]
-> installed re.1.9.0
Processing 171/269: [angstrom: dune build] [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [ounit2: dune build] [parsexp: jbuilder build] [ssl: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "angstrom" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/angstrom.0.14.1)
-> compiled  angstrom.0.14.1
Processing 171/269: [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [ounit2: dune build] [parsexp: jbuilder build] [ssl: dune build]
-> installed angstrom.0.14.1
Processing 172/269: [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [ounit2: dune build] [parsexp: jbuilder build] [ssl: dune build]
Processing 173/269: [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [ounit2: dune build] [parsexp: jbuilder build] [ssl: dune build] [uri: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ounit2" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ounit2.2.2.6)
-> compiled  ounit2.2.2.6
Processing 173/269: [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build] [ssl: dune build] [uri: dune build]
-> installed ounit2.2.2.6
Processing 174/269: [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build] [ssl: dune build] [uri: dune build]
Processing 175/269: [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build] [ssl: dune build] [uri: dune build]
Processing 176/269: [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build] [ssl: dune build] [uri: dune build] [ounit: make install-ounit]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ssl" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ssl.0.5.9)
-       ocamlc src/ssl_stubs.o
- ssl_stubs.c: In function 'get_method':
- ssl_stubs.c:335:11: warning: 'TLSv1_client_method' is deprecated: Since OpenSSL 1.1.0 [-Wdeprecated-declarations]
-   335 |           method = TLSv1_client_method();
-       |           ^~~~~~
- In file included from ssl_stubs.c:46:
- /usr/include/openssl/ssl.h:2017:50: note: declared here
-  2017 | OSSL_DEPRECATEDIN_1_1_0 __owur const SSL_METHOD *TLSv1_client_method(void);
-       |                                                  ^~~~~~~~~~~~~~~~~~~
- ssl_stubs.c:339:11: warning: 'TLSv1_server_method' is deprecated: Since OpenSSL 1.1.0 [-Wdeprecated-declarations]
-   339 |           method = TLSv1_server_method();
-       |           ^~~~~~
- /usr/include/openssl/ssl.h:2016:50: note: declared here
-  2016 | OSSL_DEPRECATEDIN_1_1_0 __owur const SSL_METHOD *TLSv1_server_method(void);
-       |                                                  ^~~~~~~~~~~~~~~~~~~
- ssl_stubs.c:343:11: warning: 'TLSv1_method' is deprecated: Since OpenSSL 1.1.0 [-Wdeprecated-declarations]
-   343 |           method = TLSv1_method();
-       |           ^~~~~~
- /usr/include/openssl/ssl.h:2015:50: note: declared here
-  2015 | OSSL_DEPRECATEDIN_1_1_0 __owur const SSL_METHOD *TLSv1_method(void); /* TLSv1.0 */
-       |                                                  ^~~~~~~~~~~~
- ssl_stubs.c:353:11: warning: 'TLSv1_1_client_method' is deprecated: Since OpenSSL 1.1.0 [-Wdeprecated-declarations]
-   353 |           method = TLSv1_1_client_method();
-       |           ^~~~~~
- /usr/include/openssl/ssl.h:2025:50: note: declared here
-  2025 | OSSL_DEPRECATEDIN_1_1_0 __owur const SSL_METHOD *TLSv1_1_client_method(void);
-       |                                                  ^~~~~~~~~~~~~~~~~~~~~
- ssl_stubs.c:357:11: warning: 'TLSv1_1_server_method' is deprecated: Since OpenSSL 1.1.0 [-Wdeprecated-declarations]
-   357 |           method = TLSv1_1_server_method();
-       |           ^~~~~~
- /usr/include/openssl/ssl.h:2024:50: note: declared here
-  2024 | OSSL_DEPRECATEDIN_1_1_0 __owur const SSL_METHOD *TLSv1_1_server_method(void);
-       |                                                  ^~~~~~~~~~~~~~~~~~~~~
- ssl_stubs.c:361:11: warning: 'TLSv1_1_method' is deprecated: Since OpenSSL 1.1.0 [-Wdeprecated-declarations]
-   361 |           method = TLSv1_1_method();
-       |           ^~~~~~
- /usr/include/openssl/ssl.h:2023:50: note: declared here
-  2023 | OSSL_DEPRECATEDIN_1_1_0 __owur const SSL_METHOD *TLSv1_1_method(void); /* TLSv1.1 */
-       |                                                  ^~~~~~~~~~~~~~
- ssl_stubs.c:372:11: warning: 'TLSv1_2_client_method' is deprecated: Since OpenSSL 1.1.0 [-Wdeprecated-declarations]
-   372 |           method = TLSv1_2_client_method();
-       |           ^~~~~~
- /usr/include/openssl/ssl.h:2033:50: note: declared here
-  2033 | OSSL_DEPRECATEDIN_1_1_0 __owur const SSL_METHOD *TLSv1_2_client_method(void);
-       |                                                  ^~~~~~~~~~~~~~~~~~~~~
- ssl_stubs.c:376:11: warning: 'TLSv1_2_server_method' is deprecated: Since OpenSSL 1.1.0 [-Wdeprecated-declarations]
-   376 |           method = TLSv1_2_server_method();
-       |           ^~~~~~
- /usr/include/openssl/ssl.h:2032:50: note: declared here
-  2032 | OSSL_DEPRECATEDIN_1_1_0 __owur const SSL_METHOD *TLSv1_2_server_method(void);
-       |                                                  ^~~~~~~~~~~~~~~~~~~~~
- ssl_stubs.c:380:11: warning: 'TLSv1_2_method' is deprecated: Since OpenSSL 1.1.0 [-Wdeprecated-declarations]
-   380 |           method = TLSv1_2_method();
-       |           ^~~~~~
- /usr/include/openssl/ssl.h:2031:50: note: declared here
-  2031 | OSSL_DEPRECATEDIN_1_1_0 __owur const SSL_METHOD *TLSv1_2_method(void); /* TLSv1.2 */
-       |                                                  ^~~~~~~~~~~~~~
- ssl_stubs.c: In function 'alpn_select_cb':
- ssl_stubs.c:682:8: warning: pointer targets in assignment from 'char *' to 'const unsigned char *' differ in signedness [-Wpointer-sign]
-   682 |   *out = String_val(selected_protocol);
-       |        ^
- ssl_stubs.c: In function 'ocaml_ssl_ctx_init_dh_from_file':
- ssl_stubs.c:870:5: warning: 'DH_free' is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
-   870 |     DH_free(dh);
-       |     ^~~~~~~
- In file included from /usr/include/openssl/dsa.h:51,
-                  from /usr/include/openssl/x509.h:37,
-                  from /usr/include/openssl/ssl.h:31:
- /usr/include/openssl/dh.h:200:28: note: declared here
-   200 | OSSL_DEPRECATEDIN_3_0 void DH_free(DH *dh);
-       |                            ^~~~~~~
- ssl_stubs.c: In function 'ocaml_ssl_ctx_init_ec_from_named_curve':
- ssl_stubs.c:897:3: warning: 'EC_KEY_new_by_curve_name' is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
-   897 |   ecdh = EC_KEY_new_by_curve_name(nid);
-       |   ^~~~
- In file included from /usr/include/openssl/x509.h:33:
- /usr/include/openssl/ec.h:998:31: note: declared here
-   998 | OSSL_DEPRECATEDIN_3_0 EC_KEY *EC_KEY_new_by_curve_name(int nid);
-       |                               ^~~~~~~~~~~~~~~~~~~~~~~~
- ssl_stubs.c:905:5: warning: 'EC_KEY_free' is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
-   905 |     EC_KEY_free(ecdh);
-       |     ^~~~~~~~~~~
- /usr/include/openssl/ec.h:1003:28: note: declared here
-  1003 | OSSL_DEPRECATEDIN_3_0 void EC_KEY_free(EC_KEY *key);
-       |                            ^~~~~~~~~~~
- ssl_stubs.c: In function 'load_dh_param':
- ssl_stubs.c:1662:3: warning: 'PEM_read_bio_DHparams' is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]
-  1662 |   ret=PEM_read_bio_DHparams(bio,NULL,NULL,NULL);
-       |   ^~~
- In file included from /usr/include/openssl/ssl.h:36:
- /usr/include/openssl/pem.h:469:1: note: declared here
-   469 | DECLARE_PEM_rw_attr(OSSL_DEPRECATEDIN_3_0, DHparams, DH)
-       | ^~~~~~~~~~~~~~~~~~~
- ssl_stubs.c: At top level:
- ssl_stubs.c:212:13: warning: 'dyn_destroy_function' defined but not used [-Wunused-function]
-   212 | static void dyn_destroy_function(struct CRYPTO_dynlock_value *l, const char *file, int line)
-       |             ^~~~~~~~~~~~~~~~~~~~
- ssl_stubs.c:204:13: warning: 'dyn_lock_function' defined but not used [-Wunused-function]
-   204 | static void dyn_lock_function(int mode, struct CRYPTO_dynlock_value *l, const char *file, int line)
-       |             ^~~~~~~~~~~~~~~~~
- ssl_stubs.c:192:37: warning: 'dyn_create_function' defined but not used [-Wunused-function]
-   192 | static struct CRYPTO_dynlock_value *dyn_create_function(const char *file, int line)
-       |                                     ^~~~~~~~~~~~~~~~~~~
- ssl_stubs.c:187:22: warning: 'id_function' defined but not used [-Wunused-function]
-   187 | static unsigned long id_function(void)
-       |                      ^~~~~~~~~~~
- ssl_stubs.c:179:13: warning: 'locking_function' defined but not used [-Wunused-function]
-   179 | static void locking_function(int mode, int n, const char *file, int line)
-       |             ^~~~~~~~~~~~~~~~
-> compiled  ssl.0.5.9
Processing 176/269: [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [parsexp: jbuilder build] [uri: dune build] [ounit: make install-ounit]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "parsexp" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/parsexp.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "fuzz/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/gen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/gen/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  parsexp.v0.11.0
Processing 176/269: [base: jbuilder build] [camlp4: make all] [lwt: dune exec] [ocaml-migrate-parsetree: dune build] [uri: dune build] [ounit: make install-ounit]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "exec" "-p" "lwt" "src/unix/config/discover.exe" "--" "--save" "--use-libev" "true" (CWD=/home/opam/.opam/4.04/.opam-switch/build/lwt.5.2.0)
Processing 176/269: [base: jbuilder build] [camlp4: make all] [lwt: dune build] [ocaml-migrate-parsetree: dune build] [uri: dune build] [ounit: make install-ounit]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install-ounit" "version=2.2.6" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ounit.2.2.6)
- ocamlfind remove oUnit
- ocamlfind: [WARNING] No such file: /home/opam/.opam/4.04/lib/oUnit/META
- ocamlfind install oUnit src/lib/oUnit/META -patch-version 2.2.6
- Installed /home/opam/.opam/4.04/lib/oUnit/META
-> installed ounit.2.2.6
Processing 176/269: [base: jbuilder build] [camlp4: make all] [lwt: dune build] [ocaml-migrate-parsetree: dune build] [uri: dune build]
-> installed parsexp.v0.11.0
Processing 177/269: [base: jbuilder build] [camlp4: make all] [lwt: dune build] [ocaml-migrate-parsetree: dune build] [uri: dune build]
Processing 178/269: [base: jbuilder build] [camlp4: make all] [lwt: dune build] [ocaml-migrate-parsetree: dune build] [sexplib: jbuilder build] [uri: dune build]
-> installed ssl.0.5.9
Processing 179/269: [base: jbuilder build] [camlp4: make all] [lwt: dune build] [ocaml-migrate-parsetree: dune build] [sexplib: jbuilder build] [uri: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "uri" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/uri.4.2.0)
-> compiled  uri.4.2.0
Processing 179/269: [base: jbuilder build] [camlp4: make all] [lwt: dune build] [ocaml-migrate-parsetree: dune build] [sexplib: jbuilder build]
-> installed uri.4.2.0
Processing 180/269: [base: jbuilder build] [camlp4: make all] [lwt: dune build] [ocaml-migrate-parsetree: dune build] [sexplib: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "sexplib" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/sexplib.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "num/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "unix/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  sexplib.v0.11.0
Processing 180/269: [base: jbuilder build] [camlp4: make all] [lwt: dune build] [ocaml-migrate-parsetree: dune build]
-> installed sexplib.v0.11.0
Processing 181/269: [base: jbuilder build] [camlp4: make all] [lwt: dune build] [ocaml-migrate-parsetree: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "lwt" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/lwt.5.2.0)
-       ocamlc src/unix/lwt_unix_stubs.o
- lwt_unix_stubs.c: In function 'pipe_notification_send':
- lwt_unix_stubs.c:668:10: warning: 'buf' is used uninitialized [-Wuninitialized]
-   668 |   return write(notification_fds[1], &buf, 1);
-       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- In file included from /usr/include/x86_64-linux-gnu/bits/sigstksz.h:24,
-                  from /usr/include/signal.h:328,
-                  from lwt_unix_stubs.c:25:
- /usr/include/unistd.h:378:16: note: in a call to 'write' declared with attribute 'access (read_only, 2, 3)' here
-   378 | extern ssize_t write (int __fd, const void *__buf, size_t __n) __wur
-       |                ^~~~~
- lwt_unix_stubs.c:667:8: note: 'buf' declared here
-   667 |   char buf;
-       |        ^~~
-> compiled  lwt.5.2.0
Processing 181/269: [base: jbuilder build] [camlp4: make all] [ocaml-migrate-parsetree: dune build]
-> installed lwt.5.2.0
Processing 182/269: [base: jbuilder build] [camlp4: make all] [ocaml-migrate-parsetree: dune build]
Processing 183/269: [base: jbuilder build] [camlp4: make all] [logs: ocaml build] [ocaml-migrate-parsetree: dune build]
Processing 184/269: [base: jbuilder build] [camlp4: make all] [logs: ocaml build] [lwt_ssl: dune build] [ocaml-migrate-parsetree: dune build]
Processing 185/269: [base: jbuilder build] [camlp4: make all] [logs: ocaml build] [lwt_ssl: dune build] [ocaml-migrate-parsetree: dune build] [redis: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "lwt_ssl" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/lwt_ssl.1.1.3)
-> compiled  lwt_ssl.1.1.3
Processing 185/269: [base: jbuilder build] [camlp4: make all] [logs: ocaml build] [ocaml-migrate-parsetree: dune build] [redis: ./configure]
-> installed lwt_ssl.1.1.3
Processing 186/269: [base: jbuilder build] [camlp4: make all] [logs: ocaml build] [ocaml-migrate-parsetree: dune build] [redis: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "pkg/pkg.ml" "build" "--pinned" "false" "--with-js_of_ocaml" "false" "--with-fmt" "false" "--with-cmdliner" "false" "--with-lwt" "true" "--with-base-threads" "true" (CWD=/home/opam/.opam/4.04/.opam-switch/build/logs.0.7.0)
- ocamlfind ocamldep -modules src/logs.ml > src/logs.ml.depends
- ocamlfind ocamldep -modules src/logs.mli > src/logs.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -o src/logs.cmi src/logs.mli
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -I src -I test -o src/logs.cmx src/logs.ml
- ocamlfind ocamlopt -a -I src src/logs.cmx -o src/logs.cmxa
- ocamlfind ocamlopt -shared -linkall -I src src/logs.cmxa -o src/logs.cmxs
- ocamlfind ocamlc -c -g -bin-annot -safe-string -I src -I test -o src/logs.cmo src/logs.ml
- ocamlfind ocamlc -a -I src src/logs.cmo -o src/logs.cma
- ocamlfind ocamldep -package lwt -modules src/logs_lwt.ml > src/logs_lwt.ml.depends
- ocamlfind ocamldep -package lwt -modules src/logs_lwt.mli > src/logs_lwt.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -package lwt -I src -I test -o src/logs_lwt.cmi src/logs_lwt.mli
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -package lwt -I src -I test -o src/logs_lwt.cmx src/logs_lwt.ml
- ocamlfind ocamlopt -a -package lwt -I src src/logs_lwt.cmx -o src/logs_lwt.cmxa
- ocamlfind ocamlopt -shared -linkall -package lwt -I src src/logs_lwt.cmxa -o src/logs_lwt.cmxs
- ocamlfind ocamlc -c -g -bin-annot -safe-string -package lwt -I src -I test -o src/logs_lwt.cmo src/logs_lwt.ml
- ocamlfind ocamlc -a -package lwt -I src src/logs_lwt.cmo -o src/logs_lwt.cma
- ocamlfind ocamldep -package threads -modules src/logs_threaded.ml > src/logs_threaded.ml.depends
- ocamlfind ocamldep -package threads -modules src/logs_threaded.mli > src/logs_threaded.mli.depends
- ocamlfind ocamlc -c -g -bin-annot -safe-string -thread -package threads -I src -I test -o src/logs_threaded.cmi src/logs_threaded.mli
- ocamlfind ocamlopt -c -g -bin-annot -safe-string -thread -package threads -I src -I test -o src/logs_threaded.cmx src/logs_threaded.ml
- ocamlfind ocamlopt -a -thread -package threads -I src src/logs_threaded.cmx -o src/logs_threaded.cmxa
- ocamlfind ocamlopt -shared -linkall -thread -package threads -I src src/logs_threaded.cmxa -o src/logs_threaded.cmxs
- ocamlfind ocamlc -c -g -bin-annot -safe-string -thread -package threads -I src -I test -o src/logs_threaded.cmo src/logs_threaded.ml
- ocamlfind ocamlc -a -thread -package threads -I src src/logs_threaded.cmo -o src/logs_threaded.cma
- # No parallelism done
-> compiled  logs.0.7.0
Processing 186/269: [base: jbuilder build] [camlp4: make all] [ocaml-migrate-parsetree: dune build] [redis: ./configure]
-> installed logs.0.7.0
Processing 187/269: [base: jbuilder build] [camlp4: make all] [ocaml-migrate-parsetree: dune build] [redis: ./configure]
Processing 188/269: [base: jbuilder build] [camlp4: make all] [camltc: dune build] [ocaml-migrate-parsetree: dune build] [redis: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./configure" "--prefix" "/home/opam/.opam/4.04" "--enable-lwt" (CWD=/home/opam/.opam/4.04/.opam-switch/build/redis.0.3.3)
- 
- Configuration: 
- ocamlfind: ........................................... /home/opam/.opam/4.04/bin/ocamlfind
- ocamlc: .............................................. /home/opam/.opam/4.04/bin/ocamlc.opt
- ocamlopt: ............................................ /home/opam/.opam/4.04/bin/ocamlopt.opt
- ocamlbuild: .......................................... /home/opam/.opam/4.04/bin/ocamlbuild
- Package name: ........................................ redis
- Package version: ..................................... 0.3.3
- os_type: ............................................. Unix
- system: .............................................. linux
- architecture: ........................................ amd64
- ccomp_type: .......................................... cc
- ocaml_version: ....................................... 4.04.2
- standard_library_default: ............................ /home/opam/.opam/4.04/lib/ocaml
- standard_library: .................................... /home/opam/.opam/4.04/lib/ocaml
- standard_runtime: .................................... /home/opam/.opam/4.04/bin/ocamlrun
- bytecomp_c_compiler: ................................. gcc -std=gnu99 -O2 -fno-strict-aliasing -fwrapv -fcommon -Wall -D_FILE_OFFSET_BITS=64 -D_REENTRANT -fPIC
- native_c_compiler: ................................... gcc -std=gnu99 -O2 -fno-strict-aliasing -fwrapv -fcommon -Wall -D_FILE_OFFSET_BITS=64 -D_REENTRANT
- model: ............................................... default
- ext_obj: ............................................. .o
- ext_asm: ............................................. .s
- ext_lib: ............................................. .a
- ext_dll: ............................................. .so
- default_executable_name: ............................. a.out
- systhread_supported: ................................. true
- Install architecture-independent files dir: .......... /home/opam/.opam/4.04
- Install architecture-dependent files in dir: ......... $prefix
- User executables: .................................... $exec_prefix/bin
- System admin executables: ............................ $exec_prefix/sbin
- Program executables: ................................. $exec_prefix/libexec
- Read-only single-machine data: ....................... $prefix/etc
- Modifiable architecture-independent data: ............ $prefix/com
- Modifiable single-machine data: ...................... $prefix/var
- Object code libraries: ............................... $exec_prefix/lib
- Read-only arch-independent data root: ................ $prefix/share
- Read-only architecture-independent data: ............. $datarootdir
- Info documentation: .................................. $datarootdir/info
- Locale-dependent data: ............................... $datarootdir/locale
- Man documentation: ................................... $datarootdir/man
- Documentation root: .................................. $datarootdir/doc/$pkg_name
- HTML documentation: .................................. $docdir
- DVI documentation: ................................... $docdir
- PDF documentation: ................................... $docdir
- PS documentation: .................................... $docdir
- findlib_version: ..................................... 1.9.5
- is_native: ........................................... true
- suffix_program: ...................................... 
- Remove a file.: ...................................... rm -f
- Remove a directory.: ................................. rm -rf
- Turn ocaml debug flag on: ............................ true
- Turn ocaml profile flag on: .......................... false
- Compiler support generation of .cmxs.: ............... true
- OCamlbuild additional flags: ......................... 
- Build the Lwt client: ................................ true
- Build the examples: .................................. false
- Create documentations: ............................... true
- Compile tests executable and library and run them: ... false
- pkg_bytes: ........................................... /home/opam/.opam/4.04/lib/bytes
- pkg_re_str: .......................................... /home/opam/.opam/4.04/lib/re/str
- pkg_uuidm: ........................................... /home/opam/.opam/4.04/lib/uuidm
- pkg_lwt_unix: ........................................ /home/opam/.opam/4.04/lib/lwt/unix
- pkg_lwt: ............................................. /home/opam/.opam/4.04/lib/lwt
- ocamldoc: ............................................ /home/opam/.opam/4.04/bin/ocamldoc
- 
Processing 188/269: [base: jbuilder build] [camlp4: make all] [camltc: dune build] [ocaml-migrate-parsetree: dune build] [redis: make]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ocaml-migrate-parsetree" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ocaml-migrate-parsetree.1.8.0)
-> compiled  ocaml-migrate-parsetree.1.8.0
Processing 188/269: [base: jbuilder build] [camlp4: make all] [camltc: dune build] [redis: make]
-> installed ocaml-migrate-parsetree.1.8.0
Processing 189/269: [base: jbuilder build] [camlp4: make all] [camltc: dune build] [redis: make]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "base" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/base.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "compiler-stdlib/gen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "compiler-stdlib/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "generate/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "lint/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "md5/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shadow-stdlib/gen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shadow-stdlib/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  base.v0.11.1
Processing 189/269: [camlp4: make all] [camltc: dune build] [redis: make]
-> installed base.v0.11.1
Processing 190/269: [camlp4: make all] [camltc: dune build] [redis: make]
Processing 191/269: [camlp4: make all] [camltc: dune build] [redis: make] [stdio: jbuilder build]
Processing 192/269: [camlp4: make all] [camltc: dune build] [redis: make] [stdio: jbuilder build] [typerep: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "stdio" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/stdio.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  stdio.v0.11.0
Processing 192/269: [camlp4: make all] [camltc: dune build] [redis: make] [typerep: jbuilder build]
-> installed stdio.v0.11.0
Processing 193/269: [camlp4: make all] [camltc: dune build] [redis: make] [typerep: jbuilder build]
Processing 194/269: [camlp4: make all] [camltc: dune build] [configurator: jbuilder build] [redis: make] [typerep: jbuilder build]
Processing 195/269: [camlp4: make all] [camltc: dune build] [configurator: jbuilder build] [ppxlib: dune build] [redis: make] [typerep: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "configurator" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/configurator.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  configurator.v0.11.0
Processing 195/269: [camlp4: make all] [camltc: dune build] [ppxlib: dune build] [redis: make] [typerep: jbuilder build]
-> installed configurator.v0.11.0
Processing 196/269: [camlp4: make all] [camltc: dune build] [ppxlib: dune build] [redis: make] [typerep: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "typerep" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/typerep.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  typerep.v0.11.0
Processing 196/269: [camlp4: make all] [camltc: dune build] [ppxlib: dune build] [redis: make]
-> installed typerep.v0.11.0
Processing 197/269: [camlp4: make all] [camltc: dune build] [ppxlib: dune build] [redis: make]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" (CWD=/home/opam/.opam/4.04/.opam-switch/build/redis.0.3.3)
- ocaml setup.ml -build 
- W: Cannot find source file matching module 'redis' in library redis
- ocamlfind ocamlopt unix.cmxa -I /home/opam/.opam/4.04/lib/ocamlbuild /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuildlib.cmxa -linkpkg myocamlbuild.ml /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src/s.mli > src/s.mli.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -I src -o src/s.cmi src/s.mli
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src/utils.mli > src/utils.mli.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -I src -o src/utils.cmi src/utils.mli
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src/utils.ml > src/utils.ml.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src/client.mli > src/client.mli.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -I src -o src/client.cmi src/client.mli
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src/client.ml > src/client.ml.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src/cache.mli > src/cache.mli.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -I src -o src/cache.cmi src/cache.mli
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src/cache.ml > src/cache.ml.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src/mutex.mli > src/mutex.mli.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -I src -o src/mutex.cmi src/mutex.mli
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src/mutex.ml > src/mutex.ml.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -I src -o src/utils.cmo src/utils.ml
- + /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -I src -o src/utils.cmo src/utils.ml
- File "src/utils.ml", line 35, characters 15-21:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -I src -o src/client.cmo src/client.ml
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -I src -o src/cache.cmo src/cache.ml
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -I src -o src/mutex.cmo src/mutex.ml
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -pack -g -annot -bin-annot src/s.cmi src/utils.cmo src/client.cmo src/cache.cmo src/mutex.cmo -o src/redis.cmo
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -a -I src src/redis.cmo -o src/redis.cma
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -for-pack Redis -I src -o src/utils.cmx src/utils.ml
- + /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -for-pack Redis -I src -o src/utils.cmx src/utils.ml
- File "src/utils.ml", line 35, characters 15-21:
- Warning 3: deprecated: module Re_str
- Use Re.Str
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -for-pack Redis -I src -o src/client.cmx src/client.ml
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -for-pack Redis -I src -o src/cache.cmx src/cache.ml
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -annot -bin-annot -package uuidm -package re.str -package bytes -for-pack Redis -I src -o src/mutex.cmx src/mutex.ml
- touch src/redis.mli  ; if  /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -pack -g -annot -bin-annot -I src src/s.cmi src/utils.cmx src/client.cmx src/cache.cmx src/mutex.cmx -o src/redis.cmx  ; then  rm -f src/redis.mli  ; else  rm -f src/redis.mli  ; exit 1; fi
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -a -I src src/redis.cmx -o src/redis.cmxa
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -shared -I src src/redis.cmxa src/redis.cmx -o src/redis.cmxs
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src_sync/redis_sync.mli > src_sync/redis_sync.mli.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -I src -package uuidm -package re.str -package bytes -I src_sync -I src -o src_sync/redis_sync.cmi src_sync/redis_sync.mli
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package bytes -modules src_sync/redis_sync.ml > src_sync/redis_sync.ml.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -I src -package uuidm -package re.str -package bytes -I src_sync -I src -o src_sync/redis_sync.cmo src_sync/redis_sync.ml
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -a -I src_sync src_sync/redis_sync.cmo -o src_sync/redis_sync.cma
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -annot -bin-annot -I src -package uuidm -package re.str -package bytes -I src_sync -I src -o src_sync/redis_sync.cmx src_sync/redis_sync.ml
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -a -I src_sync src_sync/redis_sync.cmx -o src_sync/redis_sync.cmxa
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -shared -I src_sync src_sync/redis_sync.cmxa src_sync/redis_sync.cmx -o src_sync/redis_sync.cmxs
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package lwt.unix -package lwt -package bytes -modules src_lwt/redis_lwt.mli > src_lwt/redis_lwt.mli.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -I src -package uuidm -package re.str -package lwt.unix -package lwt -package bytes -I src_lwt -I src -o src_lwt/redis_lwt.cmi src_lwt/redis_lwt.mli
- + /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -I src -package uuidm -package re.str -package lwt.unix -package lwt -package bytes -I src_lwt -I src -o src_lwt/redis_lwt.cmi src_lwt/redis_lwt.mli
- ocamlfind: [WARNING] Package `threads': Linking problems may arise because of the missing -thread or -vmthread switch
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package uuidm -package re.str -package lwt.unix -package lwt -package bytes -modules src_lwt/redis_lwt.ml > src_lwt/redis_lwt.ml.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -I src -package uuidm -package re.str -package lwt.unix -package lwt -package bytes -I src_lwt -I src -o src_lwt/redis_lwt.cmo src_lwt/redis_lwt.ml
- + /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -annot -bin-annot -I src -package uuidm -package re.str -package lwt.unix -package lwt -package bytes -I src_lwt -I src -o src_lwt/redis_lwt.cmo src_lwt/redis_lwt.ml
- ocamlfind: [WARNING] Package `threads': Linking problems may arise because of the missing -thread or -vmthread switch
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -a -I src_lwt src_lwt/redis_lwt.cmo -o src_lwt/redis_lwt.cma
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -annot -bin-annot -I src -package uuidm -package re.str -package lwt.unix -package lwt -package bytes -I src_lwt -I src -o src_lwt/redis_lwt.cmx src_lwt/redis_lwt.ml
- + /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -annot -bin-annot -I src -package uuidm -package re.str -package lwt.unix -package lwt -package bytes -I src_lwt -I src -o src_lwt/redis_lwt.cmx src_lwt/redis_lwt.ml
- ocamlfind: [WARNING] Package `threads': Linking problems may arise because of the missing -thread or -vmthread switch
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -a -I src_lwt src_lwt/redis_lwt.cmx -o src_lwt/redis_lwt.cmxa
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -shared -I src_lwt src_lwt/redis_lwt.cmxa src_lwt/redis_lwt.cmx -o src_lwt/redis_lwt.cmxs
-> compiled  redis.0.3.3
Processing 197/269: [camlp4: make all] [camltc: dune build] [ppxlib: dune build]
Processing 198/269: [camlp4: make all] [camltc: dune build] [ppxlib: dune build] [redis: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "PREFIX=/home/opam/.opam/4.04" "install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/redis.0.3.3)
- ocaml setup.ml -install 
- Installed /home/opam/.opam/4.04/lib/redis/s.mli
- Installed /home/opam/.opam/4.04/lib/redis/utils.mli
- Installed /home/opam/.opam/4.04/lib/redis/client.mli
- Installed /home/opam/.opam/4.04/lib/redis/cache.mli
- Installed /home/opam/.opam/4.04/lib/redis/mutex.mli
- Installed /home/opam/.opam/4.04/lib/redis/redis.cmt
- Installed /home/opam/.opam/4.04/lib/redis/redis.cmi
- Installed /home/opam/.opam/4.04/lib/redis/redis.cma
- Installed /home/opam/.opam/4.04/lib/redis/redis.cmxa
- Installed /home/opam/.opam/4.04/lib/redis/redis.a
- Installed /home/opam/.opam/4.04/lib/redis/redis.cmxs
- Installed /home/opam/.opam/4.04/lib/redis/mutex.cmti
- Installed /home/opam/.opam/4.04/lib/redis/mutex.cmt
- Installed /home/opam/.opam/4.04/lib/redis/mutex.annot
- Installed /home/opam/.opam/4.04/lib/redis/cache.cmti
- Installed /home/opam/.opam/4.04/lib/redis/cache.cmt
- Installed /home/opam/.opam/4.04/lib/redis/cache.annot
- Installed /home/opam/.opam/4.04/lib/redis/client.cmti
- Installed /home/opam/.opam/4.04/lib/redis/client.cmt
- Installed /home/opam/.opam/4.04/lib/redis/client.annot
- Installed /home/opam/.opam/4.04/lib/redis/utils.cmti
- Installed /home/opam/.opam/4.04/lib/redis/utils.cmt
- Installed /home/opam/.opam/4.04/lib/redis/utils.annot
- Installed /home/opam/.opam/4.04/lib/redis/s.cmti
- Installed /home/opam/.opam/4.04/lib/redis/redis.cmx
- Installed /home/opam/.opam/4.04/lib/redis/redis_sync.mli
- Installed /home/opam/.opam/4.04/lib/redis/redis_sync.cma
- Installed /home/opam/.opam/4.04/lib/redis/redis_sync.cmxa
- Installed /home/opam/.opam/4.04/lib/redis/redis_sync.a
- Installed /home/opam/.opam/4.04/lib/redis/redis_sync.cmxs
- Installed /home/opam/.opam/4.04/lib/redis/redis_sync.cmi
- Installed /home/opam/.opam/4.04/lib/redis/redis_sync.cmti
- Installed /home/opam/.opam/4.04/lib/redis/redis_sync.cmt
- Installed /home/opam/.opam/4.04/lib/redis/redis_sync.annot
- Installed /home/opam/.opam/4.04/lib/redis/redis_sync.cmx
- Installed /home/opam/.opam/4.04/lib/redis/redis_lwt.mli
- Installed /home/opam/.opam/4.04/lib/redis/redis_lwt.cma
- Installed /home/opam/.opam/4.04/lib/redis/redis_lwt.cmxa
- Installed /home/opam/.opam/4.04/lib/redis/redis_lwt.a
- Installed /home/opam/.opam/4.04/lib/redis/redis_lwt.cmxs
- Installed /home/opam/.opam/4.04/lib/redis/redis_lwt.cmi
- Installed /home/opam/.opam/4.04/lib/redis/redis_lwt.cmti
- Installed /home/opam/.opam/4.04/lib/redis/redis_lwt.cmt
- Installed /home/opam/.opam/4.04/lib/redis/redis_lwt.annot
- Installed /home/opam/.opam/4.04/lib/redis/redis_lwt.cmx
- Installed /home/opam/.opam/4.04/lib/redis/META
-> installed redis.0.3.3
Processing 198/269: [camlp4: make all] [camltc: dune build] [ppxlib: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "camltc" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/camltc.0.9.8)
- File "_build/default/src/3rd-party/tokyocabinet/bros", line 1, characters 0-0:
- Warning: Source file maptest.cc with extension .cc is not allowed before
- version 1.10
-> compiled  camltc.0.9.8
Processing 198/269: [camlp4: make all] [ppxlib: dune build]
-> installed camltc.0.9.8
Processing 199/269: [camlp4: make all] [ppxlib: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "ppxlib" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppxlib.0.8.1)
-> compiled  ppxlib.0.8.1
Processing 199/269: [camlp4: make all]
-> installed ppxlib.0.8.1
Processing 200/269: [camlp4: make all]
Processing 201/269: [camlp4: make all] [fieldslib: jbuilder build]
Processing 202/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build]
Processing 203/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build]
Processing 204/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build]
Processing 205/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build]
Processing 206/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build]
Processing 207/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build]
Processing 208/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build]
Processing 209/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build]
Processing 210/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build]
Processing 211/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build]
Processing 212/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build]
Processing 213/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [variantslib: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "variantslib" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/variantslib.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  variantslib.v0.11.0
Processing 213/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build]
-> installed variantslib.v0.11.0
Processing 214/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build]
Processing 215/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_optional: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_optional" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_optional.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_optional.v0.11.0
Processing 215/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_optional.v0.11.0
Processing 216/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_enumerate: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_enumerate" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_enumerate.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_enumerate.v0.11.1
Processing 216/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_enumerate.v0.11.1
Processing 217/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_optcomp: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_optcomp" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_optcomp.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_optcomp.v0.11.0
Processing 217/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_optcomp.v0.11.0
Processing 218/269: [camlp4: make all] [fieldslib: jbuilder build] [ppx_compare: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "fieldslib" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/fieldslib.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  fieldslib.v0.11.0
Processing 218/269: [camlp4: make all] [ppx_compare: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed fieldslib.v0.11.0
Processing 219/269: [camlp4: make all] [ppx_compare: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 220/269: [camlp4: make all] [ppx_compare: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_let: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_let" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_let.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_let.v0.11.0
Processing 220/269: [camlp4: make all] [ppx_compare: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_let.v0.11.0
Processing 221/269: [camlp4: make all] [ppx_compare: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_here: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_here" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_here.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_here.v0.11.0
Processing 221/269: [camlp4: make all] [ppx_compare: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_here.v0.11.0
Processing 222/269: [camlp4: make all] [ppx_compare: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 223/269: [camlp4: make all] [ppx_compare: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_typerep_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_typerep_conv" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_typerep_conv.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_typerep_conv.v0.11.1
Processing 223/269: [camlp4: make all] [ppx_compare: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_typerep_conv.v0.11.1
Processing 224/269: [camlp4: make all] [ppx_compare: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_compare" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_compare.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_compare.v0.11.1
Processing 224/269: [camlp4: make all] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_compare.v0.11.1
Processing 225/269: [camlp4: make all] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_conv: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_sexp_conv" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_sexp_conv.v0.11.2)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_sexp_conv.v0.11.2
Processing 225/269: [camlp4: make all] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_sexp_conv.v0.11.2
Processing 226/269: [camlp4: make all] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 227/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 228/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 229/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 230/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 231/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_js_style: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_js_style" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_js_style.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_js_style.v0.11.0
Processing 231/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_js_style.v0.11.0
Processing 232/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_inline_test: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_inline_test" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_inline_test.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "drop/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "libname/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runner/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runner/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_inline_test.v0.11.0
Processing 232/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_inline_test.v0.11.0
Processing 233/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
Processing 234/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_pipebang: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_pipebang" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_pipebang.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_pipebang.v0.11.0
Processing 234/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
-> installed ppx_pipebang.v0.11.0
Processing 235/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build] [ppx_variants_conv: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_variants_conv" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_variants_conv.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_variants_conv.v0.11.1
Processing 235/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_variants_conv.v0.11.1
Processing 236/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_fields_conv: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_fields_conv" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_fields_conv.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_fields_conv.v0.11.0
Processing 236/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_fields_conv.v0.11.0
Processing 237/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_fail: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_fail" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_fail.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_fail.v0.11.0
Processing 237/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_fail.v0.11.0
Processing 238/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_hash: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_hash" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_hash.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expander/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/siphash/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_hash.v0.11.1
Processing 238/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_hash.v0.11.1
Processing 239/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
Processing 240/269: [camlp4: make all] [ppx_assert: jbuilder build] [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_assert" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_assert.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_assert.v0.11.0
Processing 240/269: [camlp4: make all] [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_assert.v0.11.0
Processing 241/269: [camlp4: make all] [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_sexp_message: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_sexp_message" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_sexp_message.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_sexp_message.v0.11.0
Processing 241/269: [camlp4: make all] [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_sexp_value: jbuilder build]
-> installed ppx_sexp_message.v0.11.0
Processing 242/269: [camlp4: make all] [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build] [ppx_sexp_value: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_sexp_value" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_sexp_value.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_sexp_value.v0.11.0
Processing 242/269: [camlp4: make all] [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build]
-> installed ppx_sexp_value.v0.11.0
Processing 243/269: [camlp4: make all] [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_custom_printf: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_custom_printf" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_custom_printf.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/gen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_custom_printf.v0.11.0
Processing 243/269: [camlp4: make all] [ppx_base: jbuilder build] [ppx_bench: jbuilder build]
-> installed ppx_custom_printf.v0.11.0
Processing 244/269: [camlp4: make all] [ppx_base: jbuilder build] [ppx_bench: jbuilder build]
Processing 245/269: [bin_prot: jbuilder build] [camlp4: make all] [ppx_base: jbuilder build] [ppx_bench: jbuilder build]
Processing 246/269: [bin_prot: jbuilder build] [camlp4: make all] [ppx_base: jbuilder build] [ppx_bench: jbuilder build] [ppx_expect: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_bench" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_bench.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "runtime-lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_bench.v0.11.0
Processing 246/269: [bin_prot: jbuilder build] [camlp4: make all] [ppx_base: jbuilder build] [ppx_expect: jbuilder build]
-> installed ppx_bench.v0.11.0
Processing 247/269: [bin_prot: jbuilder build] [camlp4: make all] [ppx_base: jbuilder build] [ppx_expect: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_base" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_base.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_base.v0.11.0
Processing 247/269: [bin_prot: jbuilder build] [camlp4: make all] [ppx_expect: jbuilder build]
-> installed ppx_base.v0.11.0
Processing 248/269: [bin_prot: jbuilder build] [camlp4: make all] [ppx_expect: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "bin_prot" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/bin_prot.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "xen/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  bin_prot.v0.11.0
Processing 248/269: [camlp4: make all] [ppx_expect: jbuilder build]
-> installed bin_prot.v0.11.0
Processing 249/269: [camlp4: make all] [ppx_expect: jbuilder build]
Processing 250/269: [camlp4: make all] [ppx_bin_prot: jbuilder build] [ppx_expect: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_expect" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_expect.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "collector/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "common/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "evaluator/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expect_payload/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "matcher/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/disabling/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/disabling/lib/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/exit-in-test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "negative-tests/exit-in-test/broken-test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/no-output-patterns/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-       ocamlc matcher/.expect_test_matcher.objs/byte/expect_test_matcher__Reconcile.{cmo,cmt}
- File "matcher/reconcile.ml", line 29, characters 11-23:
- Warning 3: deprecated: module Re_glob
- Use Re.Glob
- File "matcher/reconcile.ml", line 38, characters 25-36:
- Warning 3: deprecated: module Re_emacs
- Use Re.Emacs
-     ocamlopt matcher/.expect_test_matcher.objs/native/expect_test_matcher__Reconcile.{cmx,o}
- File "matcher/reconcile.ml", line 29, characters 11-23:
- Warning 3: deprecated: module Re_glob
- Use Re.Glob
- File "matcher/reconcile.ml", line 38, characters 25-36:
- Warning 3: deprecated: module Re_emacs
- Use Re.Emacs
-> compiled  ppx_expect.v0.11.1
Processing 250/269: [camlp4: make all] [ppx_bin_prot: jbuilder build]
-> installed ppx_expect.v0.11.1
Processing 251/269: [camlp4: make all] [ppx_bin_prot: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_bin_prot" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_bin_prot.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "expect_tests/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/example0/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "shape/test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_bin_prot.v0.11.1
Processing 251/269: [camlp4: make all]
-> installed ppx_bin_prot.v0.11.1
Processing 252/269: [camlp4: make all]
Processing 253/269: [camlp4: make all] [ppx_jane: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "ppx_jane" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/ppx_jane.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "kernel/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  ppx_jane.v0.11.0
Processing 253/269: [camlp4: make all]
-> installed ppx_jane.v0.11.0
Processing 254/269: [camlp4: make all]
Processing 255/269: [camlp4: make all] [splittable_random: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "splittable_random" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/splittable_random.v0.11.0)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  splittable_random.v0.11.0
Processing 255/269: [camlp4: make all]
-> installed splittable_random.v0.11.0
Processing 256/269: [camlp4: make all]
Processing 257/269: [camlp4: make all] [core_kernel: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "core_kernel" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/core_kernel.v0.11.1)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "base_for_tests/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench-bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "replace_caml_modify_for_testing/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test-build-info/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test-build-info/bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-> compiled  core_kernel.v0.11.1
Processing 257/269: [camlp4: make all]
-> installed core_kernel.v0.11.1
Processing 258/269: [camlp4: make all]
Processing 259/269: [camlp4: make all] [core: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "all" (CWD=/home/opam/.opam/4.04/.opam-switch/build/camlp4.4.04+1)
- ocamlbuild -classic-display -no-ocamlfind `sh ./build/camlp4-byte-only.sh`
- + echo camlp4/Camlp4.cmo camlp4/Camlp4Top.cmo camlp4/camlp4prof.byte camlp4/mkcamlp4.byte camlp4/camlp4.byte camlp4/camlp4fulllib.cma camlp4/camlp4boot.byte camlp4/camlp4boot.cma camlp4/camlp4r.byte camlp4/camlp4r.cma camlp4/camlp4rf.byte camlp4/camlp4rf.cma camlp4/camlp4o.byte camlp4/camlp4o.cma camlp4/camlp4of.byte camlp4/camlp4of.cma camlp4/camlp4oof.byte camlp4/camlp4oof.cma camlp4/camlp4orf.byte camlp4/camlp4orf.cma camlp4/Camlp4Parsers/Camlp4AstLoader.cmo camlp4/Camlp4Parsers/Camlp4DebugParser.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmo camlp4/Camlp4Printers/Camlp4AstDumper.cmo camlp4/Camlp4Printers/Camlp4AutoPrinter.cmo camlp4/Camlp4Printers/Camlp4NullDumper.cmo camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmo camlp4/Camlp4Printers/Camlp4OCamlPrinter.cmo camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.cmo camlp4/Camlp4Filters/Camlp4AstLifter.cmo camlp4/Camlp4Filters/Camlp4ExceptionTracer.cmo camlp4/Camlp4Filters/Camlp4FoldGenerator.cmo camlp4/Camlp4Filters/Camlp4LocationStripper.cmo camlp4/Camlp4Filters/Camlp4MapGenerator.cmo camlp4/Camlp4Filters/Camlp4MetaGenerator.cmo camlp4/Camlp4Filters/Camlp4Profiler.cmo camlp4/Camlp4Filters/Camlp4TrashRemover.cmo
- /home/opam/.opam/4.04/bin/ocamlopt.opt unix.cmxa -I /home/opam/.opam/4.04/lib/ocamlbuild /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuildlib.cmxa myocamlbuild_config.ml myocamlbuild.ml /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules camlp4/boot/camlp4boot.ml > camlp4/boot/camlp4boot.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules camlp4/boot/Camlp4.ml > camlp4/boot/Camlp4.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules camlp4/config/Camlp4_config.mli > camlp4/config/Camlp4_config.mli.depends
- cp /home/opam/.opam/4.04/lib/ocaml/compiler-libs/warnings.cmi camlp4/import/warnings.cmi
- cp /home/opam/.opam/4.04/lib/ocaml/compiler-libs/location.cmi camlp4/import/location.cmi
- cp /home/opam/.opam/4.04/lib/ocaml/compiler-libs/longident.cmi camlp4/import/longident.cmi
- cp /home/opam/.opam/4.04/lib/ocaml/compiler-libs/asttypes.cmi camlp4/import/asttypes.cmi
- cp /home/opam/.opam/4.04/lib/ocaml/compiler-libs/parsetree.cmi camlp4/import/parsetree.cmi
- cp /home/opam/.opam/4.04/lib/ocaml/compiler-libs/outcometree.cmi camlp4/import/outcometree.cmi
- cp /home/opam/.opam/4.04/lib/ocaml/compiler-libs/oprint.cmi camlp4/import/oprint.cmi
- cp /home/opam/.opam/4.04/lib/ocaml/compiler-libs/toploop.cmi camlp4/import/toploop.cmi
- cp /home/opam/.opam/4.04/lib/ocaml/compiler-libs/topdirs.cmi camlp4/import/topdirs.cmi
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -I camlp4/config -I camlp4 -o camlp4/config/Camlp4_config.cmi camlp4/config/Camlp4_config.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w a -I camlp4/import -I camlp4/config -I camlp4/boot -o camlp4/boot/Camlp4.cmo camlp4/boot/Camlp4.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w a -I camlp4/import -I camlp4/config -I camlp4/boot -o camlp4/boot/camlp4boot.cmo camlp4/boot/camlp4boot.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules camlp4/config/Camlp4_config.ml > camlp4/config/Camlp4_config.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules camlp4/config/gen_import.ml > camlp4/config/gen_import.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I +compiler-libs -I camlp4/import -I camlp4/config -I camlp4 -o camlp4/config/gen_import.cmo camlp4/config/gen_import.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma -g -I +compiler-libs ocamlcommon.cma -I camlp4/config camlp4/config/gen_import.cmo -o camlp4/config/gen_import.byte
- camlp4/config/gen_import.byte /home/opam/.opam/4.04/lib/ocaml
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules camlp4/config/Camlp4_import.ml > camlp4/config/Camlp4_import.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -I camlp4/config -I camlp4 -o camlp4/config/Camlp4_import.cmo camlp4/config/Camlp4_import.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -I camlp4/config -I camlp4 -o camlp4/config/Camlp4_config.cmo camlp4/config/Camlp4_config.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma -g -I camlp4/config -I camlp4/boot camlp4/config/Camlp4_import.cmo camlp4/config/Camlp4_config.cmo camlp4/boot/Camlp4.cmo camlp4/boot/camlp4boot.cmo -o camlp4/boot/camlp4boot.byte
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Debug.mli > camlp4/Camlp4/Debug.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Debug.cmi camlp4/Camlp4/Debug.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Debug.ml > camlp4/Camlp4/Debug.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/ErrorHandler.mli > camlp4/Camlp4/ErrorHandler.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Sig.ml > camlp4/Camlp4/Sig.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Sig.cmo camlp4/Camlp4/Sig.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/ErrorHandler.cmi camlp4/Camlp4/ErrorHandler.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/ErrorHandler.ml > camlp4/Camlp4/ErrorHandler.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Utils.mli > camlp4/Camlp4/Utils.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Utils.cmi camlp4/Camlp4/Utils.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/OCamlInitSyntax.ml > camlp4/Camlp4/OCamlInitSyntax.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Options.mli > camlp4/Camlp4/Options.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Options.cmi camlp4/Camlp4/Options.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Options.ml > camlp4/Camlp4/Options.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/PreCast.mli > camlp4/Camlp4/PreCast.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/PreCast.cmi camlp4/Camlp4/PreCast.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/PreCast.ml > camlp4/Camlp4/PreCast.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/OCamlInitSyntax.cmo camlp4/Camlp4/OCamlInitSyntax.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Printers/DumpCamlp4Ast.mli > camlp4/Camlp4/Printers/DumpCamlp4Ast.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/DumpCamlp4Ast.cmi camlp4/Camlp4/Printers/DumpCamlp4Ast.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Printers/DumpCamlp4Ast.ml > camlp4/Camlp4/Printers/DumpCamlp4Ast.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Printers/DumpOCamlAst.mli > camlp4/Camlp4/Printers/DumpOCamlAst.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/DumpOCamlAst.cmi camlp4/Camlp4/Printers/DumpOCamlAst.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Printers/DumpOCamlAst.ml > camlp4/Camlp4/Printers/DumpOCamlAst.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/AstFilters.ml > camlp4/Camlp4/Struct/AstFilters.ml.depends
- cp -p camlp4/boot/Camlp4Ast.ml camlp4/Camlp4/Struct/Camlp4Ast.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Camlp4Ast.ml > camlp4/Camlp4/Struct/Camlp4Ast.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.mli > camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.cmi camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.ml > camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Loc.mli > camlp4/Camlp4/Struct/Loc.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Token.mli > camlp4/Camlp4/Struct/Token.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Loc.cmi camlp4/Camlp4/Struct/Loc.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Token.cmi camlp4/Camlp4/Struct/Token.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/CleanAst.ml > camlp4/Camlp4/Struct/CleanAst.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/CommentFilter.mli > camlp4/Camlp4/Struct/CommentFilter.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/CommentFilter.cmi camlp4/Camlp4/Struct/CommentFilter.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/CommentFilter.ml > camlp4/Camlp4/Struct/CommentFilter.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/DynLoader.mli > camlp4/Camlp4/Struct/DynLoader.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/DynLoader.cmi camlp4/Camlp4/Struct/DynLoader.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/DynLoader.ml > camlp4/Camlp4/Struct/DynLoader.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/EmptyError.mli > camlp4/Camlp4/Struct/EmptyError.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/EmptyError.cmi camlp4/Camlp4/Struct/EmptyError.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/EmptyError.ml > camlp4/Camlp4/Struct/EmptyError.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/EmptyPrinter.mli > camlp4/Camlp4/Struct/EmptyPrinter.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/EmptyPrinter.cmi camlp4/Camlp4/Struct/EmptyPrinter.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/EmptyPrinter.ml > camlp4/Camlp4/Struct/EmptyPrinter.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/FreeVars.mli > camlp4/Camlp4/Struct/FreeVars.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/FreeVars.cmi camlp4/Camlp4/Struct/FreeVars.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/FreeVars.ml > camlp4/Camlp4/Struct/FreeVars.ml.depends
- /home/opam/.opam/4.04/bin/ocamllex.opt -q camlp4/Camlp4/Struct/Lexer.mll
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules camlp4/Camlp4/Struct/Lexer.ml > camlp4/Camlp4/Struct/Lexer.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Loc.ml > camlp4/Camlp4/Struct/Loc.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Quotation.ml > camlp4/Camlp4/Struct/Quotation.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/DynAst.ml > camlp4/Camlp4/Struct/DynAst.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/DynAst.cmo camlp4/Camlp4/Struct/DynAst.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Token.ml > camlp4/Camlp4/Struct/Token.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Delete.ml > camlp4/Camlp4/Struct/Grammar/Delete.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Parser.mli > camlp4/Camlp4/Struct/Grammar/Parser.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Structure.ml > camlp4/Camlp4/Struct/Grammar/Structure.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Structure.cmo camlp4/Camlp4/Struct/Grammar/Structure.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Print.mli > camlp4/Camlp4/Struct/Grammar/Print.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Tools.ml > camlp4/Camlp4/Struct/Grammar/Tools.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Parser.cmi camlp4/Camlp4/Struct/Grammar/Parser.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Print.cmi camlp4/Camlp4/Struct/Grammar/Print.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Tools.cmo camlp4/Camlp4/Struct/Grammar/Tools.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Dynamic.ml > camlp4/Camlp4/Struct/Grammar/Dynamic.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Delete.cmo camlp4/Camlp4/Struct/Grammar/Delete.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Entry.ml > camlp4/Camlp4/Struct/Grammar/Entry.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Fold.mli > camlp4/Camlp4/Struct/Grammar/Fold.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Insert.ml > camlp4/Camlp4/Struct/Grammar/Insert.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Entry.cmo camlp4/Camlp4/Struct/Grammar/Entry.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Fold.cmi camlp4/Camlp4/Struct/Grammar/Fold.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Insert.cmo camlp4/Camlp4/Struct/Grammar/Insert.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Failed.ml > camlp4/Camlp4/Struct/Grammar/Failed.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Search.ml > camlp4/Camlp4/Struct/Grammar/Search.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Search.cmo camlp4/Camlp4/Struct/Grammar/Search.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Find.ml > camlp4/Camlp4/Struct/Grammar/Find.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Fold.ml > camlp4/Camlp4/Struct/Grammar/Fold.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Failed.cmo camlp4/Camlp4/Struct/Grammar/Failed.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Parser.ml > camlp4/Camlp4/Struct/Grammar/Parser.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Print.ml > camlp4/Camlp4/Struct/Grammar/Print.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Struct/Grammar/Static.ml > camlp4/Camlp4/Struct/Grammar/Static.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Dynamic.cmo camlp4/Camlp4/Struct/Grammar/Dynamic.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Find.cmo camlp4/Camlp4/Struct/Grammar/Find.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Fold.cmo camlp4/Camlp4/Struct/Grammar/Fold.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Parser.cmo camlp4/Camlp4/Struct/Grammar/Parser.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Print.cmo camlp4/Camlp4/Struct/Grammar/Print.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Static.cmo camlp4/Camlp4/Struct/Grammar/Static.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/AstFilters.cmo camlp4/Camlp4/Struct/AstFilters.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Camlp4Ast.cmo camlp4/Camlp4/Struct/Camlp4Ast.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.cmo camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/CleanAst.cmo camlp4/Camlp4/Struct/CleanAst.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/CommentFilter.cmo camlp4/Camlp4/Struct/CommentFilter.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/DynLoader.cmo camlp4/Camlp4/Struct/DynLoader.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/EmptyError.cmo camlp4/Camlp4/Struct/EmptyError.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/EmptyPrinter.cmo camlp4/Camlp4/Struct/EmptyPrinter.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/FreeVars.cmo camlp4/Camlp4/Struct/FreeVars.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w a -I camlp4/import -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Lexer.cmo camlp4/Camlp4/Struct/Lexer.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Loc.cmo camlp4/Camlp4/Struct/Loc.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Quotation.cmo camlp4/Camlp4/Struct/Quotation.ml
- + /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Quotation.cmo camlp4/Camlp4/Struct/Quotation.ml
- File "camlp4/Camlp4/Struct/Quotation.ml", line 120, characters 15-22:
- Warning 3: deprecated: Format.bprintf
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Token.cmo camlp4/Camlp4/Struct/Token.ml
- + /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Token.cmo camlp4/Camlp4/Struct/Token.ml
- File "camlp4/Camlp4/Struct/Token.ml", line 94, characters 15-22:
- Warning 3: deprecated: Format.bprintf
- /home/opam/.opam/4.04/bin/ocamlc.opt -pack -g camlp4/Camlp4/Struct/Grammar/Structure.cmo camlp4/Camlp4/Struct/Grammar/Print.cmo camlp4/Camlp4/Struct/Grammar/Search.cmo camlp4/Camlp4/Struct/Grammar/Tools.cmo camlp4/Camlp4/Struct/Grammar/Failed.cmo camlp4/Camlp4/Struct/Grammar/Parser.cmo camlp4/Camlp4/Struct/Grammar/Delete.cmo camlp4/Camlp4/Struct/Grammar/Entry.cmo camlp4/Camlp4/Struct/Grammar/Fold.cmo camlp4/Camlp4/Struct/Grammar/Insert.cmo camlp4/Camlp4/Struct/Grammar/Dynamic.cmo camlp4/Camlp4/Struct/Grammar/Find.cmo camlp4/Camlp4/Struct/Grammar/Static.cmo -o camlp4/Camlp4/Struct/Grammar.cmo
- /home/opam/.opam/4.04/bin/ocamlc.opt -pack -g camlp4/Camlp4/Struct/AstFilters.cmo camlp4/Camlp4/Struct/Camlp4Ast.cmo camlp4/Camlp4/Struct/Loc.cmo camlp4/Camlp4/Struct/Token.cmo camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.cmo camlp4/Camlp4/Struct/CleanAst.cmo camlp4/Camlp4/Struct/CommentFilter.cmo camlp4/Camlp4/Struct/DynLoader.cmo camlp4/Camlp4/Struct/EmptyError.cmo camlp4/Camlp4/Struct/EmptyPrinter.cmo camlp4/Camlp4/Struct/FreeVars.cmo camlp4/Camlp4/Struct/Lexer.cmo camlp4/Camlp4/Struct/DynAst.cmo camlp4/Camlp4/Struct/Quotation.cmo camlp4/Camlp4/Struct/Grammar.cmo -o camlp4/Camlp4/Struct.cmo
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Printers/Null.mli > camlp4/Camlp4/Printers/Null.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/Null.cmi camlp4/Camlp4/Printers/Null.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Printers/Null.ml > camlp4/Camlp4/Printers/Null.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Printers/OCaml.mli > camlp4/Camlp4/Printers/OCaml.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/OCaml.cmi camlp4/Camlp4/Printers/OCaml.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Printers/OCaml.ml > camlp4/Camlp4/Printers/OCaml.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Printers/OCamlr.mli > camlp4/Camlp4/Printers/OCamlr.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/OCamlr.cmi camlp4/Camlp4/Printers/OCamlr.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Printers/OCamlr.ml > camlp4/Camlp4/Printers/OCamlr.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/DumpCamlp4Ast.cmo camlp4/Camlp4/Printers/DumpCamlp4Ast.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/DumpOCamlAst.cmo camlp4/Camlp4/Printers/DumpOCamlAst.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/Null.cmo camlp4/Camlp4/Printers/Null.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/OCaml.cmo camlp4/Camlp4/Printers/OCaml.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/OCamlr.cmo camlp4/Camlp4/Printers/OCamlr.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -pack -g camlp4/Camlp4/Printers/DumpCamlp4Ast.cmo camlp4/Camlp4/Printers/DumpOCamlAst.cmo camlp4/Camlp4/Printers/Null.cmo camlp4/Camlp4/Printers/OCaml.cmo camlp4/Camlp4/Printers/OCamlr.cmo -o camlp4/Camlp4/Printers.cmo
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Register.mli > camlp4/Camlp4/Register.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Register.cmi camlp4/Camlp4/Register.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Register.ml > camlp4/Camlp4/Register.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4/Utils.ml > camlp4/Camlp4/Utils.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Debug.cmo camlp4/Camlp4/Debug.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/ErrorHandler.cmo camlp4/Camlp4/ErrorHandler.ml
- + /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/ErrorHandler.cmo camlp4/Camlp4/ErrorHandler.ml
- File "camlp4/Camlp4/ErrorHandler.ml", line 168, characters 11-18:
- Warning 3: deprecated: Format.bprintf
- File "camlp4/Camlp4/ErrorHandler.ml", line 173, characters 11-18:
- Warning 3: deprecated: Format.bprintf
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Options.cmo camlp4/Camlp4/Options.ml
- + /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Options.cmo camlp4/Camlp4/Options.ml
- File "camlp4/Camlp4/Options.ml", line 30, characters 31-47:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 34, characters 27-43:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 55, characters 22-37:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 59, characters 18-33:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 65, characters 22-37:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 69, characters 18-33:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 184, characters 14-23:
- Warning 3: deprecated: Sort.list
- Use List.sort instead.
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/PreCast.cmo camlp4/Camlp4/PreCast.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Register.cmo camlp4/Camlp4/Register.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Utils.cmo camlp4/Camlp4/Utils.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -pack -g camlp4/Camlp4/Debug.cmo camlp4/Camlp4/Sig.cmo camlp4/Camlp4/Utils.cmo camlp4/Camlp4/ErrorHandler.cmo camlp4/Camlp4/OCamlInitSyntax.cmo camlp4/Camlp4/Options.cmo camlp4/Camlp4/Struct.cmo camlp4/Camlp4/Printers.cmo camlp4/Camlp4/PreCast.cmo camlp4/Camlp4/Register.cmo -o camlp4/Camlp4.cmo
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Top/Top.ml > camlp4/Camlp4Top/Top.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Top/Rprint.ml > camlp4/Camlp4Top/Rprint.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4 -I camlp4/config -I camlp4/Camlp4Top -o camlp4/Camlp4Top/Top.cmo camlp4/Camlp4Top/Top.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4 -I camlp4/config -I camlp4/Camlp4Top -o camlp4/Camlp4Top/Rprint.cmo camlp4/Camlp4Top/Rprint.ml
- + /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4 -I camlp4/config -I camlp4/Camlp4Top -o camlp4/Camlp4Top/Rprint.cmo camlp4/Camlp4Top/Rprint.ml
- File "camlp4/Camlp4Top/Rprint.ml", line 72, characters 27-42:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4Top/Rprint.ml", line 159, characters 2-2194:
- Warning 8: this pattern-matching is not exhaustive.
- Here is an example of a case that is not matched:
- Otyp_attribute (_, _)
- /home/opam/.opam/4.04/bin/ocamlc.opt -pack -g camlp4/Camlp4Top/Top.cmo camlp4/Camlp4Top/Rprint.cmo -o camlp4/Camlp4Top.cmo
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/camlp4prof.mli > camlp4/camlp4prof.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4 -I camlp4/config -o camlp4/camlp4prof.cmi camlp4/camlp4prof.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/camlp4prof.ml > camlp4/camlp4prof.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4 -I camlp4/config -o camlp4/camlp4prof.cmo camlp4/camlp4prof.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma unix.cma -g -I camlp4 camlp4/camlp4prof.cmo -o camlp4/camlp4prof.byte
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/mkcamlp4.ml > camlp4/mkcamlp4.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4 -I camlp4/config -o camlp4/mkcamlp4.cmo camlp4/mkcamlp4.ml
- + /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4 -I camlp4/config -o camlp4/mkcamlp4.cmo camlp4/mkcamlp4.ml
- File "camlp4/mkcamlp4.ml", line 37, characters 23-40:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- /home/opam/.opam/4.04/bin/ocamlc.opt -a -I camlp4/config -I camlp4 camlp4/config/Camlp4_import.cmo camlp4/config/Camlp4_config.cmo camlp4/Camlp4.cmo -o camlp4/camlp4lib.cma
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma unix.cma -g -I camlp4 camlp4/camlp4lib.cma camlp4/mkcamlp4.cmo -o camlp4/mkcamlp4.byte
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Bin.ml > camlp4/Camlp4Bin.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4 -I camlp4/config -o camlp4/Camlp4Bin.cmo camlp4/Camlp4Bin.ml
- + /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4 -I camlp4/config -o camlp4/Camlp4Bin.cmo camlp4/Camlp4Bin.ml
- File "camlp4/Camlp4Bin.ml", line 70, characters 14-30:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma unix.cma camlp4/camlp4lib.cma -linkall camlp4/Camlp4Bin.cmo -o camlp4/camlp4.byte
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4AstLoader.ml > camlp4/Camlp4Parsers/Camlp4AstLoader.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4DebugParser.ml > camlp4/Camlp4Parsers/Camlp4DebugParser.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4GrammarParser.ml > camlp4/Camlp4Parsers/Camlp4GrammarParser.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4ListComprehension.ml > camlp4/Camlp4Parsers/Camlp4ListComprehension.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4MacroParser.ml > camlp4/Camlp4Parsers/Camlp4MacroParser.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.ml > camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4OCamlParser.ml > camlp4/Camlp4Parsers/Camlp4OCamlParser.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.ml > camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4QuotationCommon.ml > camlp4/Camlp4Parsers/Camlp4QuotationCommon.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4OCamlParserParser.ml > camlp4/Camlp4Parsers/Camlp4OCamlParserParser.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.ml > camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.ml > camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4QuotationExpander.ml > camlp4/Camlp4Parsers/Camlp4QuotationExpander.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Printers/Camlp4AstDumper.ml > camlp4/Camlp4Printers/Camlp4AstDumper.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Printers/Camlp4AutoPrinter.ml > camlp4/Camlp4Printers/Camlp4AutoPrinter.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Printers/Camlp4NullDumper.ml > camlp4/Camlp4Printers/Camlp4NullDumper.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Printers/Camlp4OCamlAstDumper.ml > camlp4/Camlp4Printers/Camlp4OCamlAstDumper.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Printers/Camlp4OCamlPrinter.ml > camlp4/Camlp4Printers/Camlp4OCamlPrinter.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.ml > camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Filters/Camlp4AstLifter.ml > camlp4/Camlp4Filters/Camlp4AstLifter.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Filters/Camlp4ExceptionTracer.ml > camlp4/Camlp4Filters/Camlp4ExceptionTracer.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Filters/Camlp4FoldGenerator.ml > camlp4/Camlp4Filters/Camlp4FoldGenerator.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Filters/Camlp4LocationStripper.ml > camlp4/Camlp4Filters/Camlp4LocationStripper.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Filters/Camlp4MapGenerator.ml > camlp4/Camlp4Filters/Camlp4MapGenerator.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Filters/Camlp4MetaGenerator.ml > camlp4/Camlp4Filters/Camlp4MetaGenerator.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Filters/Camlp4Profiler.ml > camlp4/Camlp4Filters/Camlp4Profiler.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Filters/Camlp4TrashRemover.ml > camlp4/Camlp4Filters/Camlp4TrashRemover.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4AstLoader.cmo camlp4/Camlp4Parsers/Camlp4AstLoader.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4DebugParser.cmo camlp4/Camlp4Parsers/Camlp4DebugParser.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.ml
- + /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.ml
- File "camlp4/Camlp4Parsers/Camlp4GrammarParser.ml", line 38, characters 13-27:
- Warning 3: deprecated: Format.bprintf
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4QuotationExpander.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4AstDumper.cmo camlp4/Camlp4Printers/Camlp4AstDumper.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4AutoPrinter.cmo camlp4/Camlp4Printers/Camlp4AutoPrinter.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4NullDumper.cmo camlp4/Camlp4Printers/Camlp4NullDumper.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmo camlp4/Camlp4Printers/Camlp4OCamlAstDumper.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4OCamlPrinter.cmo camlp4/Camlp4Printers/Camlp4OCamlPrinter.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.cmo camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4AstLifter.cmo camlp4/Camlp4Filters/Camlp4AstLifter.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4ExceptionTracer.cmo camlp4/Camlp4Filters/Camlp4ExceptionTracer.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4FoldGenerator.cmo camlp4/Camlp4Filters/Camlp4FoldGenerator.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4LocationStripper.cmo camlp4/Camlp4Filters/Camlp4LocationStripper.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4MapGenerator.cmo camlp4/Camlp4Filters/Camlp4MapGenerator.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4MetaGenerator.cmo camlp4/Camlp4Filters/Camlp4MetaGenerator.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4Profiler.cmo camlp4/Camlp4Filters/Camlp4Profiler.ml
- + /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4Profiler.cmo camlp4/Camlp4Filters/Camlp4Profiler.ml
- File "camlp4/Camlp4Filters/Camlp4Profiler.ml", line 58, characters 13-27:
- Warning 3: deprecated: Format.bprintf
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4TrashRemover.cmo camlp4/Camlp4Filters/Camlp4TrashRemover.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -a -I camlp4/config -I camlp4 -I camlp4/Camlp4Parsers -I camlp4/Camlp4Printers -I camlp4/Camlp4Filters camlp4/config/Camlp4_import.cmo camlp4/config/Camlp4_config.cmo camlp4/Camlp4.cmo camlp4/Camlp4Parsers/Camlp4AstLoader.cmo camlp4/Camlp4Parsers/Camlp4DebugParser.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmo camlp4/Camlp4Printers/Camlp4AstDumper.cmo camlp4/Camlp4Printers/Camlp4AutoPrinter.cmo camlp4/Camlp4Printers/Camlp4NullDumper.cmo camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmo camlp4/Camlp4Printers/Camlp4OCamlPrinter.cmo camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.cmo camlp4/Camlp4Filters/Camlp4AstLifter.cmo camlp4/Camlp4Filters/Camlp4ExceptionTracer.cmo camlp4/Camlp4Filters/Camlp4FoldGenerator.cmo camlp4/Camlp4Filters/Camlp4LocationStripper.cmo camlp4/Camlp4Filters/Camlp4MapGenerator.cmo camlp4/Camlp4Filters/Camlp4MetaGenerator.cmo camlp4/Camlp4Filters/Camlp4Profiler.cmo camlp4/Camlp4Filters/Camlp4TrashRemover.cmo camlp4/Camlp4Top.cmo -o camlp4/camlp4fulllib.cma
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4DebugParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmo camlp4/Camlp4Bin.cmo -o camlp4/camlp4boot.byte
- /home/opam/.opam/4.04/bin/ocamlc.opt -a camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4DebugParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Top/Rprint.cmo camlp4/Camlp4Top/Top.cmo -o camlp4/camlp4boot.cma
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma unix.cma camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Printers/Camlp4AutoPrinter.cmo camlp4/Camlp4Bin.cmo -o camlp4/camlp4r.byte
- /home/opam/.opam/4.04/bin/ocamlc.opt -a camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Top/Rprint.cmo camlp4/Camlp4Top/Top.cmo -o camlp4/camlp4r.cma
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma unix.cma camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Printers/Camlp4AutoPrinter.cmo camlp4/Camlp4Bin.cmo -o camlp4/camlp4rf.byte
- /home/opam/.opam/4.04/bin/ocamlc.opt -a camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Top/Rprint.cmo camlp4/Camlp4Top/Top.cmo -o camlp4/camlp4rf.cma
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma unix.cma camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Printers/Camlp4AutoPrinter.cmo camlp4/Camlp4Bin.cmo -o camlp4/camlp4o.byte
- /home/opam/.opam/4.04/bin/ocamlc.opt -a camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Top/Top.cmo -o camlp4/camlp4o.cma
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma unix.cma camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Printers/Camlp4AutoPrinter.cmo camlp4/Camlp4Bin.cmo -o camlp4/camlp4of.byte
- /home/opam/.opam/4.04/bin/ocamlc.opt -a camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Top/Top.cmo -o camlp4/camlp4of.cma
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma unix.cma camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Printers/Camlp4AutoPrinter.cmo camlp4/Camlp4Bin.cmo -o camlp4/camlp4oof.byte
- /home/opam/.opam/4.04/bin/ocamlc.opt -a camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Top/Top.cmo -o camlp4/camlp4oof.cma
- /home/opam/.opam/4.04/bin/ocamlc.opt dynlink.cma unix.cma camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Printers/Camlp4AutoPrinter.cmo camlp4/Camlp4Bin.cmo -o camlp4/camlp4orf.byte
- /home/opam/.opam/4.04/bin/ocamlc.opt -a camlp4/camlp4lib.cma -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmo camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo camlp4/Camlp4Parsers/Camlp4MacroParser.cmo camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo camlp4/Camlp4Top/Top.cmo -o camlp4/camlp4orf.cma
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp 'camlp4/boot/camlp4boot.byte -D OPT' -modules camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.ml > camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -g -safe-string -w Z -I camlp4/import -pp camlp4/boot/camlp4boot.byte -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.cmo camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.ml
- ocamlbuild -classic-display -no-ocamlfind `sh ./build/camlp4-native-only.sh`
- + echo camlp4/Camlp4.cmx camlp4/camlp4prof.native camlp4/mkcamlp4.native camlp4/camlp4.native camlp4/camlp4fulllib.cmxa camlp4/camlp4boot.native camlp4/camlp4r.native camlp4/camlp4rf.native camlp4/camlp4o.native camlp4/camlp4of.native camlp4/camlp4oof.native camlp4/camlp4orf.native camlp4/Camlp4Parsers/Camlp4AstLoader.cmx camlp4/Camlp4Parsers/Camlp4AstLoader.o camlp4/Camlp4Parsers/Camlp4DebugParser.cmx camlp4/Camlp4Parsers/Camlp4DebugParser.o camlp4/Camlp4Parsers/Camlp4GrammarParser.cmx camlp4/Camlp4Parsers/Camlp4GrammarParser.o camlp4/Camlp4Parsers/Camlp4ListComprehension.cmx camlp4/Camlp4Parsers/Camlp4ListComprehension.o camlp4/Camlp4Parsers/Camlp4MacroParser.cmx camlp4/Camlp4Parsers/Camlp4MacroParser.o camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.o camlp4/Camlp4Parsers/Camlp4OCamlParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParser.o camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParserParser.o camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.o camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.o camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.o camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.o camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmx camlp4/Camlp4Parsers/Camlp4QuotationCommon.o camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4QuotationExpander.o camlp4/Camlp4Printers/Camlp4AstDumper.cmx camlp4/Camlp4Printers/Camlp4AstDumper.o camlp4/Camlp4Printers/Camlp4AutoPrinter.cmx camlp4/Camlp4Printers/Camlp4AutoPrinter.o camlp4/Camlp4Printers/Camlp4NullDumper.cmx camlp4/Camlp4Printers/Camlp4NullDumper.o camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmx camlp4/Camlp4Printers/Camlp4OCamlAstDumper.o camlp4/Camlp4Printers/Camlp4OCamlPrinter.cmx camlp4/Camlp4Printers/Camlp4OCamlPrinter.o camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.cmx camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.o camlp4/Camlp4Filters/Camlp4AstLifter.cmx camlp4/Camlp4Filters/Camlp4AstLifter.o camlp4/Camlp4Filters/Camlp4ExceptionTracer.cmx camlp4/Camlp4Filters/Camlp4ExceptionTracer.o camlp4/Camlp4Filters/Camlp4FoldGenerator.cmx camlp4/Camlp4Filters/Camlp4FoldGenerator.o camlp4/Camlp4Filters/Camlp4LocationStripper.cmx camlp4/Camlp4Filters/Camlp4LocationStripper.o camlp4/Camlp4Filters/Camlp4MapGenerator.cmx camlp4/Camlp4Filters/Camlp4MapGenerator.o camlp4/Camlp4Filters/Camlp4MetaGenerator.cmx camlp4/Camlp4Filters/Camlp4MetaGenerator.o camlp4/Camlp4Filters/Camlp4Profiler.cmx camlp4/Camlp4Filters/Camlp4Profiler.o camlp4/Camlp4Filters/Camlp4TrashRemover.cmx camlp4/Camlp4Filters/Camlp4TrashRemover.o
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4 -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Sig.cmx camlp4/Camlp4/Sig.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4 -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Utils.cmx camlp4/Camlp4/Utils.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4 -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/OCamlInitSyntax.cmx camlp4/Camlp4/OCamlInitSyntax.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -I camlp4/config -I camlp4 -o camlp4/config/Camlp4_import.cmx camlp4/config/Camlp4_import.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -I camlp4/config -I camlp4 -o camlp4/config/Camlp4_config.cmx camlp4/config/Camlp4_config.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4 -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/ErrorHandler.cmx camlp4/Camlp4/ErrorHandler.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4 -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/ErrorHandler.cmx camlp4/Camlp4/ErrorHandler.ml
- File "camlp4/Camlp4/ErrorHandler.ml", line 168, characters 11-18:
- Warning 3: deprecated: Format.bprintf
- File "camlp4/Camlp4/ErrorHandler.ml", line 173, characters 11-18:
- Warning 3: deprecated: Format.bprintf
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Loc.cmx camlp4/Camlp4/Struct/Loc.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Token.cmx camlp4/Camlp4/Struct/Token.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Token.cmx camlp4/Camlp4/Struct/Token.ml
- File "camlp4/Camlp4/Struct/Token.ml", line 94, characters 15-22:
- Warning 3: deprecated: Format.bprintf
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/DynAst.cmx camlp4/Camlp4/Struct/DynAst.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Structure.cmx camlp4/Camlp4/Struct/Grammar/Structure.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Print.cmx camlp4/Camlp4/Struct/Grammar/Print.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Search.cmx camlp4/Camlp4/Struct/Grammar/Search.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Tools.cmx camlp4/Camlp4/Struct/Grammar/Tools.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Failed.cmx camlp4/Camlp4/Struct/Grammar/Failed.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Parser.cmx camlp4/Camlp4/Struct/Grammar/Parser.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Delete.cmx camlp4/Camlp4/Struct/Grammar/Delete.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Entry.cmx camlp4/Camlp4/Struct/Grammar/Entry.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Fold.cmx camlp4/Camlp4/Struct/Grammar/Fold.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Insert.cmx camlp4/Camlp4/Struct/Grammar/Insert.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Dynamic.cmx camlp4/Camlp4/Struct/Grammar/Dynamic.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Find.cmx camlp4/Camlp4/Struct/Grammar/Find.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct.Grammar -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct/Grammar -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Grammar/Static.cmx camlp4/Camlp4/Struct/Grammar/Static.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/AstFilters.cmx camlp4/Camlp4/Struct/AstFilters.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Camlp4Ast.cmx camlp4/Camlp4/Struct/Camlp4Ast.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.cmx camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/CleanAst.cmx camlp4/Camlp4/Struct/CleanAst.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/CommentFilter.cmx camlp4/Camlp4/Struct/CommentFilter.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/DynLoader.cmx camlp4/Camlp4/Struct/DynLoader.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/EmptyError.cmx camlp4/Camlp4/Struct/EmptyError.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/EmptyPrinter.cmx camlp4/Camlp4/Struct/EmptyPrinter.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/FreeVars.cmx camlp4/Camlp4/Struct/FreeVars.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w a -I camlp4/import -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Lexer.cmx camlp4/Camlp4/Struct/Lexer.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Quotation.cmx camlp4/Camlp4/Struct/Quotation.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Struct -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Struct -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Struct/Quotation.cmx camlp4/Camlp4/Struct/Quotation.ml
- File "camlp4/Camlp4/Struct/Quotation.ml", line 120, characters 15-22:
- Warning 3: deprecated: Format.bprintf
- touch camlp4/Camlp4/Struct/Grammar.mli  ; if  /home/opam/.opam/4.04/bin/ocamlopt.opt -pack -for-pack Camlp4.Struct -g -I camlp4/Camlp4/Struct/Grammar camlp4/Camlp4/Struct/Grammar/Structure.cmx camlp4/Camlp4/Struct/Grammar/Print.cmx camlp4/Camlp4/Struct/Grammar/Search.cmx camlp4/Camlp4/Struct/Grammar/Tools.cmx camlp4/Camlp4/Struct/Grammar/Failed.cmx camlp4/Camlp4/Struct/Grammar/Parser.cmx camlp4/Camlp4/Struct/Grammar/Delete.cmx camlp4/Camlp4/Struct/Grammar/Entry.cmx camlp4/Camlp4/Struct/Grammar/Fold.cmx camlp4/Camlp4/Struct/Grammar/Insert.cmx camlp4/Camlp4/Struct/Grammar/Dynamic.cmx camlp4/Camlp4/Struct/Grammar/Find.cmx camlp4/Camlp4/Struct/Grammar/Static.cmx -o camlp4/Camlp4/Struct/Grammar.cmx  ; then  rm -f camlp4/Camlp4/Struct/Grammar.mli  ; else  rm -f camlp4/Camlp4/Struct/Grammar.mli  ; exit 1; fi
- touch camlp4/Camlp4/Struct.mli  ; if  /home/opam/.opam/4.04/bin/ocamlopt.opt -pack -for-pack Camlp4 -g -I camlp4/Camlp4/Struct camlp4/Camlp4/Struct/AstFilters.cmx camlp4/Camlp4/Struct/Camlp4Ast.cmx camlp4/Camlp4/Struct/Loc.cmx camlp4/Camlp4/Struct/Token.cmx camlp4/Camlp4/Struct/Camlp4Ast2OCamlAst.cmx camlp4/Camlp4/Struct/CleanAst.cmx camlp4/Camlp4/Struct/CommentFilter.cmx camlp4/Camlp4/Struct/DynLoader.cmx camlp4/Camlp4/Struct/EmptyError.cmx camlp4/Camlp4/Struct/EmptyPrinter.cmx camlp4/Camlp4/Struct/FreeVars.cmx camlp4/Camlp4/Struct/Lexer.cmx camlp4/Camlp4/Struct/DynAst.cmx camlp4/Camlp4/Struct/Quotation.cmx camlp4/Camlp4/Struct/Grammar.cmx -o camlp4/Camlp4/Struct.cmx  ; then  rm -f camlp4/Camlp4/Struct.mli  ; else  rm -f camlp4/Camlp4/Struct.mli  ; exit 1; fi
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4 -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Options.cmx camlp4/Camlp4/Options.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4 -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Options.cmx camlp4/Camlp4/Options.ml
- File "camlp4/Camlp4/Options.ml", line 30, characters 31-47:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 34, characters 27-43:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 55, characters 22-37:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 59, characters 18-33:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 65, characters 22-37:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 69, characters 18-33:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4/Options.ml", line 184, characters 14-23:
- Warning 3: deprecated: Sort.list
- Use List.sort instead.
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Printers -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/OCaml.cmx camlp4/Camlp4/Printers/OCaml.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Printers -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/DumpCamlp4Ast.cmx camlp4/Camlp4/Printers/DumpCamlp4Ast.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Printers -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/DumpOCamlAst.cmx camlp4/Camlp4/Printers/DumpOCamlAst.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Printers -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/Null.cmx camlp4/Camlp4/Printers/Null.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4.Printers -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4/Printers -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Printers/OCamlr.cmx camlp4/Camlp4/Printers/OCamlr.ml
- touch camlp4/Camlp4/Printers.mli  ; if  /home/opam/.opam/4.04/bin/ocamlopt.opt -pack -for-pack Camlp4 -g -I camlp4/Camlp4/Printers camlp4/Camlp4/Printers/DumpCamlp4Ast.cmx camlp4/Camlp4/Printers/DumpOCamlAst.cmx camlp4/Camlp4/Printers/Null.cmx camlp4/Camlp4/Printers/OCaml.cmx camlp4/Camlp4/Printers/OCamlr.cmx -o camlp4/Camlp4/Printers.cmx  ; then  rm -f camlp4/Camlp4/Printers.mli  ; else  rm -f camlp4/Camlp4/Printers.mli  ; exit 1; fi
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4 -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/PreCast.cmx camlp4/Camlp4/PreCast.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4 -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Debug.cmx camlp4/Camlp4/Debug.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4 -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4 -I camlp4/config -I camlp4 -o camlp4/Camlp4/Register.cmx camlp4/Camlp4/Register.ml
- touch camlp4/Camlp4.mli  ; if  /home/opam/.opam/4.04/bin/ocamlopt.opt -pack -g -I camlp4/Camlp4 camlp4/Camlp4/Debug.cmx camlp4/Camlp4/Sig.cmx camlp4/Camlp4/Utils.cmx camlp4/Camlp4/ErrorHandler.cmx camlp4/Camlp4/OCamlInitSyntax.cmx camlp4/Camlp4/Options.cmx camlp4/Camlp4/Struct.cmx camlp4/Camlp4/Printers.cmx camlp4/Camlp4/PreCast.cmx camlp4/Camlp4/Register.cmx -o camlp4/Camlp4.cmx  ; then  rm -f camlp4/Camlp4.mli  ; else  rm -f camlp4/Camlp4.mli  ; exit 1; fi
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4 -I camlp4/config -o camlp4/camlp4prof.cmx camlp4/camlp4prof.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt dynlink.cmxa unix.cmxa -g -I camlp4 camlp4/camlp4prof.cmx -o camlp4/camlp4prof.native
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4 -I camlp4/config -o camlp4/mkcamlp4.cmx camlp4/mkcamlp4.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4 -I camlp4/config -o camlp4/mkcamlp4.cmx camlp4/mkcamlp4.ml
- File "camlp4/mkcamlp4.ml", line 37, characters 23-40:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- /home/opam/.opam/4.04/bin/ocamlopt.opt -a -I camlp4/config -I camlp4 camlp4/config/Camlp4_import.cmx camlp4/config/Camlp4_config.cmx camlp4/Camlp4.cmx -o camlp4/camlp4lib.cmxa
- /home/opam/.opam/4.04/bin/ocamlopt.opt dynlink.cmxa unix.cmxa -g -I camlp4 camlp4/camlp4lib.cmxa camlp4/mkcamlp4.cmx -o camlp4/mkcamlp4.native
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4 -I camlp4/config -o camlp4/Camlp4Bin.cmx camlp4/Camlp4Bin.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4 -I camlp4/config -o camlp4/Camlp4Bin.cmx camlp4/Camlp4Bin.ml
- File "camlp4/Camlp4Bin.ml", line 70, characters 14-30:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- /home/opam/.opam/4.04/bin/ocamlopt.opt dynlink.cmxa unix.cmxa -g camlp4/camlp4lib.cmxa -linkall camlp4/Camlp4Bin.cmx -o camlp4/camlp4.native
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParser.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmx camlp4/Camlp4Parsers/Camlp4QuotationCommon.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4Top -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4 -I camlp4/config -I camlp4/Camlp4Top -o camlp4/Camlp4Top/Top.cmx camlp4/Camlp4Top/Top.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4Top -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4 -I camlp4/config -I camlp4/Camlp4Top -o camlp4/Camlp4Top/Top.cmx camlp4/Camlp4Top/Top.ml
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Topdirs, and its interface was not compiled with -opaque
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Toploop, and its interface was not compiled with -opaque
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4Top -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4 -I camlp4/config -I camlp4/Camlp4Top -o camlp4/Camlp4Top/Rprint.cmx camlp4/Camlp4Top/Rprint.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Camlp4Top -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4 -I camlp4/config -I camlp4/Camlp4Top -o camlp4/Camlp4Top/Rprint.cmx camlp4/Camlp4Top/Rprint.ml
- File "camlp4/Camlp4Top/Rprint.ml", line 72, characters 27-42:
- Warning 52: Code should not depend on the actual values of
- this constructor's arguments. They are only for information
- and may change in future versions. (See manual section 8.5)
- File "camlp4/Camlp4Top/Rprint.ml", line 159, characters 2-2194:
- Warning 8: this pattern-matching is not exhaustive.
- Here is an example of a case that is not matched:
- Otyp_attribute (_, _)
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Toploop, and its interface was not compiled with -opaque
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4AstLoader.cmx camlp4/Camlp4Parsers/Camlp4AstLoader.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4DebugParser.cmx camlp4/Camlp4Parsers/Camlp4DebugParser.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4GrammarParser.cmx camlp4/Camlp4Parsers/Camlp4GrammarParser.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4GrammarParser.cmx camlp4/Camlp4Parsers/Camlp4GrammarParser.ml
- File "camlp4/Camlp4Parsers/Camlp4GrammarParser.ml", line 38, characters 13-27:
- Warning 3: deprecated: Format.bprintf
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4ListComprehension.cmx camlp4/Camlp4Parsers/Camlp4ListComprehension.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4MacroParser.cmx camlp4/Camlp4Parsers/Camlp4MacroParser.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParserParser.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4QuotationExpander.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4AstDumper.cmx camlp4/Camlp4Printers/Camlp4AstDumper.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4AutoPrinter.cmx camlp4/Camlp4Printers/Camlp4AutoPrinter.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4NullDumper.cmx camlp4/Camlp4Printers/Camlp4NullDumper.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmx camlp4/Camlp4Printers/Camlp4OCamlAstDumper.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4OCamlPrinter.cmx camlp4/Camlp4Printers/Camlp4OCamlPrinter.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Printers -I camlp4 -I camlp4/config -o camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.cmx camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4AstLifter.cmx camlp4/Camlp4Filters/Camlp4AstLifter.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4ExceptionTracer.cmx camlp4/Camlp4Filters/Camlp4ExceptionTracer.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4FoldGenerator.cmx camlp4/Camlp4Filters/Camlp4FoldGenerator.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4LocationStripper.cmx camlp4/Camlp4Filters/Camlp4LocationStripper.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4MapGenerator.cmx camlp4/Camlp4Filters/Camlp4MapGenerator.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4MetaGenerator.cmx camlp4/Camlp4Filters/Camlp4MetaGenerator.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4Profiler.cmx camlp4/Camlp4Filters/Camlp4Profiler.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4Profiler.cmx camlp4/Camlp4Filters/Camlp4Profiler.ml
- File "camlp4/Camlp4Filters/Camlp4Profiler.ml", line 58, characters 13-27:
- Warning 3: deprecated: Format.bprintf
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Filters -I camlp4 -I camlp4/config -o camlp4/Camlp4Filters/Camlp4TrashRemover.cmx camlp4/Camlp4Filters/Camlp4TrashRemover.ml
- touch camlp4/Camlp4Top.mli  ; if  /home/opam/.opam/4.04/bin/ocamlopt.opt -pack -g -I camlp4/Camlp4Top camlp4/Camlp4Top/Top.cmx camlp4/Camlp4Top/Rprint.cmx -o camlp4/Camlp4Top.cmx  ; then  rm -f camlp4/Camlp4Top.mli  ; else  rm -f camlp4/Camlp4Top.mli  ; exit 1; fi
- /home/opam/.opam/4.04/bin/ocamlopt.opt -a -I camlp4/config -I camlp4 -I camlp4/Camlp4Parsers -I camlp4/Camlp4Printers -I camlp4/Camlp4Filters camlp4/config/Camlp4_import.cmx camlp4/config/Camlp4_config.cmx camlp4/Camlp4.cmx camlp4/Camlp4Parsers/Camlp4AstLoader.cmx camlp4/Camlp4Parsers/Camlp4DebugParser.cmx camlp4/Camlp4Parsers/Camlp4GrammarParser.cmx camlp4/Camlp4Parsers/Camlp4ListComprehension.cmx camlp4/Camlp4Parsers/Camlp4MacroParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmx camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmx camlp4/Camlp4Printers/Camlp4AstDumper.cmx camlp4/Camlp4Printers/Camlp4AutoPrinter.cmx camlp4/Camlp4Printers/Camlp4NullDumper.cmx camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmx camlp4/Camlp4Printers/Camlp4OCamlPrinter.cmx camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.cmx camlp4/Camlp4Filters/Camlp4AstLifter.cmx camlp4/Camlp4Filters/Camlp4ExceptionTracer.cmx camlp4/Camlp4Filters/Camlp4FoldGenerator.cmx camlp4/Camlp4Filters/Camlp4LocationStripper.cmx camlp4/Camlp4Filters/Camlp4MapGenerator.cmx camlp4/Camlp4Filters/Camlp4MetaGenerator.cmx camlp4/Camlp4Filters/Camlp4Profiler.cmx camlp4/Camlp4Filters/Camlp4TrashRemover.cmx camlp4/Camlp4Top.cmx -o camlp4/camlp4fulllib.cmxa
- /home/opam/.opam/4.04/bin/ocamlopt.opt dynlink.cmxa -g camlp4/camlp4lib.cmxa -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmx camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx camlp4/Camlp4Parsers/Camlp4GrammarParser.cmx camlp4/Camlp4Parsers/Camlp4MacroParser.cmx camlp4/Camlp4Parsers/Camlp4DebugParser.cmx camlp4/Camlp4Parsers/Camlp4ListComprehension.cmx camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmx camlp4/Camlp4Bin.cmx -o camlp4/camlp4boot.native
- /home/opam/.opam/4.04/bin/ocamlopt.opt dynlink.cmxa unix.cmxa -g camlp4/camlp4lib.cmxa -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx camlp4/Camlp4Printers/Camlp4AutoPrinter.cmx camlp4/Camlp4Bin.cmx -o camlp4/camlp4r.native
- /home/opam/.opam/4.04/bin/ocamlopt.opt dynlink.cmxa unix.cmxa -g camlp4/camlp4lib.cmxa -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmx camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx camlp4/Camlp4Parsers/Camlp4GrammarParser.cmx camlp4/Camlp4Parsers/Camlp4MacroParser.cmx camlp4/Camlp4Parsers/Camlp4ListComprehension.cmx camlp4/Camlp4Printers/Camlp4AutoPrinter.cmx camlp4/Camlp4Bin.cmx -o camlp4/camlp4rf.native
- /home/opam/.opam/4.04/bin/ocamlopt.opt dynlink.cmxa unix.cmxa -g camlp4/camlp4lib.cmxa -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmx camlp4/Camlp4Printers/Camlp4AutoPrinter.cmx camlp4/Camlp4Bin.cmx -o camlp4/camlp4o.native
- /home/opam/.opam/4.04/bin/ocamlopt.opt dynlink.cmxa unix.cmxa -g camlp4/camlp4lib.cmxa -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmx camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4OCamlParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmx camlp4/Camlp4Parsers/Camlp4GrammarParser.cmx camlp4/Camlp4Parsers/Camlp4MacroParser.cmx camlp4/Camlp4Parsers/Camlp4ListComprehension.cmx camlp4/Camlp4Printers/Camlp4AutoPrinter.cmx camlp4/Camlp4Bin.cmx -o camlp4/camlp4of.native
- /home/opam/.opam/4.04/bin/ocamlopt.opt dynlink.cmxa unix.cmxa -g camlp4/camlp4lib.cmxa -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmx camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmx camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4GrammarParser.cmx camlp4/Camlp4Parsers/Camlp4MacroParser.cmx camlp4/Camlp4Parsers/Camlp4ListComprehension.cmx camlp4/Camlp4Printers/Camlp4AutoPrinter.cmx camlp4/Camlp4Bin.cmx -o camlp4/camlp4oof.native
- /home/opam/.opam/4.04/bin/ocamlopt.opt dynlink.cmxa unix.cmxa -g camlp4/camlp4lib.cmxa -linkall camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmx camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmx camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmx camlp4/Camlp4Parsers/Camlp4GrammarParser.cmx camlp4/Camlp4Parsers/Camlp4MacroParser.cmx camlp4/Camlp4Parsers/Camlp4ListComprehension.cmx camlp4/Camlp4Printers/Camlp4AutoPrinter.cmx camlp4/Camlp4Bin.cmx -o camlp4/camlp4orf.native
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -g -safe-string -w Z -I camlp4/import -pp 'camlp4/boot/camlp4boot.byte -D OPT' -I camlp4/Camlp4Parsers -I camlp4 -I camlp4/config -o camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.cmx camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.ml
-> compiled  camlp4.4.04+1
Processing 259/269: [core: jbuilder build]
Processing 260/269: [core: jbuilder build] [camlp4: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" "install-META" (CWD=/home/opam/.opam/4.04/.opam-switch/build/camlp4.4.04+1)
- env DESTDIR= sh ./build/install.sh
- Installing camlp4...
-   install binary /home/opam/.opam/4.04/bin/camlp4prof
-   install binary /home/opam/.opam/4.04/bin/mkcamlp4
-   install binary /home/opam/.opam/4.04/bin/camlp4
-   install binary /home/opam/.opam/4.04/bin/camlp4boot
-   install binary /home/opam/.opam/4.04/bin/camlp4o
-   install binary /home/opam/.opam/4.04/bin/camlp4of
-   install binary /home/opam/.opam/4.04/bin/camlp4oof
-   install binary /home/opam/.opam/4.04/bin/camlp4orf
-   install binary /home/opam/.opam/4.04/bin/camlp4r
-   install binary /home/opam/.opam/4.04/bin/camlp4rf
-   install binary /home/opam/.opam/4.04/bin/camlp4o.opt
-   install binary /home/opam/.opam/4.04/bin/camlp4of.opt
-   install binary /home/opam/.opam/4.04/bin/camlp4oof.opt
-   install binary /home/opam/.opam/4.04/bin/camlp4orf.opt
-   install binary /home/opam/.opam/4.04/bin/camlp4r.opt
-   install binary /home/opam/.opam/4.04/bin/camlp4rf.opt
- Installing Camlp4Parsers...
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4AstLoader.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4AstLoader.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4AstLoader.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4DebugParser.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4DebugParser.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4DebugParser.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4GrammarParser.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4GrammarParser.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4GrammarParser.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4ListComprehension.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4ListComprehension.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4ListComprehension.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4MacroParser.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4MacroParser.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4MacroParser.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlParser.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlParser.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlParser.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlParserParser.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4QuotationCommon.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4QuotationExpander.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4AstLoader.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4DebugParser.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4GrammarParser.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4ListComprehension.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4MacroParser.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlOriginalQuotationExpander.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlParser.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlParserParser.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlReloadedParser.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedParser.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedParserParser.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4OCamlRevisedQuotationExpander.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4QuotationCommon.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers/Camlp4QuotationExpander.o
- Installing Camlp4Printers...
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4AstDumper.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4AstDumper.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4AstDumper.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4AutoPrinter.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4AutoPrinter.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4AutoPrinter.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4NullDumper.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4NullDumper.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4NullDumper.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlAstDumper.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlPrinter.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlPrinter.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlPrinter.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4AstDumper.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4AutoPrinter.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4NullDumper.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlAstDumper.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlPrinter.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers/Camlp4OCamlRevisedPrinter.o
- Installing Camlp4Filters...
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4AstLifter.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4AstLifter.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4AstLifter.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4ExceptionTracer.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4ExceptionTracer.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4ExceptionTracer.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4FoldGenerator.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4FoldGenerator.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4FoldGenerator.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4LocationStripper.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4LocationStripper.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4LocationStripper.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4MapGenerator.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4MapGenerator.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4MapGenerator.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4MetaGenerator.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4MetaGenerator.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4MetaGenerator.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4Profiler.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4Profiler.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4Profiler.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4TrashRemover.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4TrashRemover.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4TrashRemover.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4AstLifter.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4ExceptionTracer.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4FoldGenerator.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4LocationStripper.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4MapGenerator.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4MetaGenerator.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4Profiler.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters/Camlp4TrashRemover.o
- Installing Camlp4Top...
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Top/Rprint.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Top/Rprint.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Top/Rprint.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Top/Top.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Top/Top.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Top/Top.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Top/Rprint.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Top/Top.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4lib.cma
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4lib.cmxa
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4fulllib.cma
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4fulllib.cmxa
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4o.cma
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4of.cma
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4oof.cma
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4orf.cma
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4r.cma
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4rf.cma
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Bin.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Bin.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Bin.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Bin.o
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Top.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Top.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4_config.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4prof.cmi
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4prof.cmo
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4prof.cmx
-   install /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4prof.o
-   install library /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4lib.a
-   install library /home/opam/.opam/4.04/lib/ocaml/camlp4/camlp4fulllib.a
- sed -e s/@@VERSION@@/"4.04.2"/g camlp4/META.in > camlp4/META
- mkdir -p "/home/opam/.opam/4.04/lib"/camlp4/
- cp -f camlp4/META "/home/opam/.opam/4.04/lib"/camlp4/
-> installed camlp4.4.04+1
Processing 260/269: [core: jbuilder build]
Processing 261/269: [bisect: sh configure] [core: jbuilder build]
Processing 262/269: [bisect: sh configure] [core: jbuilder build] [optcomp: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "sh" "configure" "-ocaml-prefix" "/home/opam/.opam/4.04" "-ocamlfind" "/home/opam/.opam/4.04/bin/ocamlfind" (CWD=/home/opam/.opam/4.04/.opam-switch/build/bisect.1.3.1)
- Makefile.config successfully created
Processing 262/269: [bisect: make all] [core: jbuilder build] [optcomp: ./configure]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./configure" "--prefix" "/home/opam/.opam/4.04" (CWD=/home/opam/.opam/4.04/.opam-switch/build/optcomp.1.6)
- File "./setup.ml", line 252, characters 8-26:
- Warning 3: deprecated: String.set
- Use Bytes.set instead.
- File "./setup.ml", line 325, characters 20-36:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 325, characters 42-58:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 334, characters 14-30:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 334, characters 38-54:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 337, characters 25-41:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 375, characters 10-26:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 481, characters 13-29:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 1825, characters 16-33:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "./setup.ml", line 1831, characters 16-35:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "./setup.ml", line 2507, characters 6-24:
- Warning 3: deprecated: Lazy.lazy_from_fun
- Use Lazy.from_fun instead.
- File "setup.ml", line 5857, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 5858, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "setup.ml", line 5859, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 5860, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "setup.ml", line 5925, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 5926, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "setup.ml", line 5927, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 5928, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- 
- Configuration: 
- ocamlfind: ........................................... /home/opam/.opam/4.04/bin/ocamlfind
- ocamlc: .............................................. /home/opam/.opam/4.04/bin/ocamlc.opt
- ocamlopt: ............................................ /home/opam/.opam/4.04/bin/ocamlopt.opt
- ocamlbuild: .......................................... /home/opam/.opam/4.04/bin/ocamlbuild
- Package name: ........................................ optcomp
- Package version: ..................................... 1.6
- os_type: ............................................. Unix
- system: .............................................. linux
- architecture: ........................................ amd64
- ccomp_type: .......................................... cc
- ocaml_version: ....................................... 4.04.2
- standard_library_default: ............................ /home/opam/.opam/4.04/lib/ocaml
- standard_library: .................................... /home/opam/.opam/4.04/lib/ocaml
- standard_runtime: .................................... /home/opam/.opam/4.04/bin/ocamlrun
- bytecomp_c_compiler: ................................. gcc -std=gnu99 -O2 -fno-strict-aliasing -fwrapv -fcommon -Wall -D_FILE_OFFSET_BITS=64 -D_REENTRANT -fPIC
- native_c_compiler: ................................... gcc -std=gnu99 -O2 -fno-strict-aliasing -fwrapv -fcommon -Wall -D_FILE_OFFSET_BITS=64 -D_REENTRANT
- model: ............................................... default
- ext_obj: ............................................. .o
- ext_asm: ............................................. .s
- ext_lib: ............................................. .a
- ext_dll: ............................................. .so
- default_executable_name: ............................. a.out
- systhread_supported: ................................. true
- Install architecture-independent files dir: .......... /home/opam/.opam/4.04
- Install architecture-dependent files in dir: ......... $prefix
- User executables: .................................... $exec_prefix/bin
- System admin executables: ............................ $exec_prefix/sbin
- Program executables: ................................. $exec_prefix/libexec
- Read-only single-machine data: ....................... $prefix/etc
- Modifiable architecture-independent data: ............ $prefix/com
- Modifiable single-machine data: ...................... $prefix/var
- Object code libraries: ............................... $exec_prefix/lib
- Read-only arch-independent data root: ................ $prefix/share
- Read-only architecture-independent data: ............. $datarootdir
- Info documentation: .................................. $datarootdir/info
- Locale-dependent data: ............................... $datarootdir/locale
- Man documentation: ................................... $datarootdir/man
- Documentation root: .................................. $datarootdir/doc/$pkg_name
- HTML documentation: .................................. $docdir
- DVI documentation: ................................... $docdir
- PDF documentation: ................................... $docdir
- PS documentation: .................................... $docdir
- findlib_version: ..................................... 1.9.5
- is_native: ........................................... true
- suffix_program: ...................................... 
- Remove a file.: ...................................... rm -f
- Remove a directory.: ................................. rm -rf
- Turn ocaml debug flag on: ............................ true
- Turn ocaml profile flag on: .......................... false
- Compiler support generation of .cmxs.: ............... true
- OCamlbuild additional flags: ......................... 
- Build binaries: ...................................... true
- Create documentations: ............................... true
- Compile tests executable and library and run them: ... false
- pkg_camlp4: .......................................... /home/opam/.opam/4.04/lib/ocaml/camlp4
- pkg_camlp4_quotations_o: ............................. /home/opam/.opam/4.04/lib/ocaml/camlp4
- pkg_camlp4_lib: ...................................... /home/opam/.opam/4.04/lib/ocaml/camlp4
- ocamldoc: ............................................ /home/opam/.opam/4.04/bin/ocamldoc
- 
Processing 262/269: [bisect: make all] [core: jbuilder build] [optcomp: make]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" "all" (CWD=/home/opam/.opam/4.04/.opam-switch/build/bisect.1.3.1)
- echo 'bisect.cma' > bisect.itarget
- (which ocamlopt && echo 'bisect.cmxa' >> bisect.itarget) || true
- /home/opam/.opam/4.04/bin/ocamlopt
- (which ocamljava && echo 'bisect.cmja' >> bisect.itarget) || true
- WARNINGS=FALSE PATH_OCAML_PREFIX=/home/opam/.opam/4.04 ocamlbuild -classic-display -no-links bisect.otarget
- /home/opam/.opam/4.04/bin/ocamlopt.opt unix.cmxa -I /home/opam/.opam/4.04/lib/ocamlbuild /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuildlib.cmxa myocamlbuild.ml /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
- File "_tags", line 33, characters 19-27:
- Warning: the tag "warnings" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/library/common.mli > src/library/common.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/common.cmi src/library/common.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/library/common.ml > src/library/common.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/library/runtime.mli > src/library/runtime.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/runtime.cmi src/library/runtime.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/library/runtime.ml > src/library/runtime.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/common.cmo src/library/common.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/runtime.cmo src/library/runtime.ml
- + /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/runtime.cmo src/library/runtime.ml
- File "src/library/runtime.ml", line 34, characters 10-26:
- Warning 3: deprecated: String.uppercase
- Use String.uppercase_ascii instead.
- /home/opam/.opam/4.04/bin/ocamlc.opt -pack src/library/common.cmo src/library/runtime.cmo -o bisect.cmo
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/common.cmx src/library/common.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/runtime.cmx src/library/runtime.ml
- + /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/runtime.cmx src/library/runtime.ml
- File "src/library/runtime.ml", line 34, characters 10-26:
- Warning 3: deprecated: String.uppercase
- Use String.uppercase_ascii instead.
- touch bisect.mli  ; if  /home/opam/.opam/4.04/bin/ocamlopt.opt -pack -I src/library src/library/common.cmx src/library/runtime.cmx -o bisect.cmx  ; then  rm -f bisect.mli  ; else  rm -f bisect.mli  ; exit 1; fi
- /home/opam/.opam/4.04/bin/ocamlc.opt -a bisect.cmo -o bisect.cma
- /home/opam/.opam/4.04/bin/ocamlopt.opt -a bisect.cmx -o bisect.cmxa
- + /home/opam/.opam/4.04/bin/ocamlopt.opt unix.cmxa -I /home/opam/.opam/4.04/lib/ocamlbuild /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuildlib.cmxa myocamlbuild.ml /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
- File "myocamlbuild.ml", line 45, characters 25-42:
- Warning 3: deprecated: Ocamlbuild_plugin.String.capitalize
- Use String.capitalize_ascii instead.
- File "myocamlbuild.ml", line 77, characters 11-27:
- Warning 3: deprecated: Ocamlbuild_plugin.String.uppercase
- Use String.uppercase_ascii instead.
- if [ "FALSE" = "FALSE" ]; then \
-   WARNINGS=FALSE PATH_OCAML_PREFIX=/home/opam/.opam/4.04 ocamlbuild -classic-display -no-links bisect_pp.cmo; \
- fi
- File "_tags", line 33, characters 19-27:
- Warning: the tag "warnings" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/exclusions.mli > src/syntax/exclusions.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/exclusions.cmi src/syntax/exclusions.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/exclusions.ml > src/syntax/exclusions.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/exclude.mli > src/syntax/exclude.mli.depends
- /home/opam/.opam/4.04/bin/ocamllex.opt -q src/syntax/excludeLexer.mll
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/excludeLexer.ml > src/syntax/excludeLexer.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/exclude.cmi src/syntax/exclude.mli
- /home/opam/.opam/4.04/bin/ocamlyacc src/syntax/excludeParser.mly
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/excludeParser.mli > src/syntax/excludeParser.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/excludeParser.cmi src/syntax/excludeParser.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/excludeLexer.cmo src/syntax/excludeLexer.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/instrumentState.mli > src/syntax/instrumentState.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/instrumentState.cmi src/syntax/instrumentState.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/instrumentState.ml > src/syntax/instrumentState.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/instrumentArgs.mli > src/syntax/instrumentArgs.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/instrumentArgs.cmi src/syntax/instrumentArgs.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/instrumentArgs.ml > src/syntax/instrumentArgs.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/commentsCamlp4.mli > src/syntax/commentsCamlp4.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/commentsCamlp4.cmi src/syntax/commentsCamlp4.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/commentsCamlp4.ml > src/syntax/commentsCamlp4.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -pp camlp4of -modules src/syntax/instrumentCamlp4.ml > src/syntax/instrumentCamlp4.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/exclude.ml > src/syntax/exclude.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/syntax/excludeParser.ml > src/syntax/excludeParser.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/exclusions.cmo src/syntax/exclusions.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/instrumentState.cmo src/syntax/instrumentState.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/instrumentArgs.cmo src/syntax/instrumentArgs.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -I /home/opam/.opam/4.04/lib/ocaml/camlp4 -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/commentsCamlp4.cmo src/syntax/commentsCamlp4.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -I /home/opam/.opam/4.04/lib/ocaml/camlp4 -pp camlp4of -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/instrumentCamlp4.cmo src/syntax/instrumentCamlp4.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/exclude.cmo src/syntax/exclude.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/syntax -I src -I src/threads -I src/report -I src/library -o src/syntax/excludeParser.cmo src/syntax/excludeParser.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -pack src/library/common.cmo src/syntax/exclude.cmo src/syntax/excludeParser.cmo src/syntax/excludeLexer.cmo src/syntax/exclusions.cmo src/syntax/instrumentState.cmo src/syntax/instrumentArgs.cmo src/syntax/commentsCamlp4.cmo src/syntax/instrumentCamlp4.cmo -o bisect_pp.cmo
- if [ "FALSE" = "TRUE" ]; then \
-   WARNINGS=FALSE PATH_OCAML_PREFIX=/home/opam/.opam/4.04 ocamlbuild -classic-display -no-links bisect_ppx.byte; \
- fi
- WARNINGS=FALSE PATH_OCAML_PREFIX=/home/opam/.opam/4.04 ocamlbuild -classic-display -no-links bisectThread.cmo
- File "_tags", line 33, characters 19-27:
- Warning: the tag "warnings" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/threads/bisectThread.mli > src/threads/bisectThread.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/threads -I src -I src/syntax -I src/report -I src/library -o src/threads/bisectThread.cmi src/threads/bisectThread.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/threads/bisectThread.ml > src/threads/bisectThread.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -thread -for-pack Bisect -I src/threads -I src -I src/syntax -I src/report -I src/library -o src/threads/bisectThread.cmo src/threads/bisectThread.ml
- WARNINGS=FALSE PATH_OCAML_PREFIX=/home/opam/.opam/4.04 ocamlbuild -classic-display -no-links bisectThread.cmx
- File "_tags", line 33, characters 19-27:
- Warning: the tag "warnings" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -thread -for-pack Bisect -I src/threads -I src -I src/syntax -I src/report -I src/library -o src/threads/bisectThread.cmx src/threads/bisectThread.ml
- WARNINGS=FALSE PATH_OCAML_PREFIX=/home/opam/.opam/4.04 ocamlbuild -classic-display -no-links report.byte
- File "_tags", line 33, characters 19-27:
- Warning: the tag "warnings" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/report.ml > src/report/report.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/combine.mli > src/report/combine.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportArgs.mli > src/report/reportArgs.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportCSV.mli > src/report/reportCSV.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportGeneric.mli > src/report/reportGeneric.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportStat.mli > src/report/reportStat.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportStat.cmi src/report/reportStat.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportGeneric.cmi src/report/reportGeneric.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportDump.mli > src/report/reportDump.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportHTML.mli > src/report/reportHTML.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportText.mli > src/report/reportText.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportUtils.mli > src/report/reportUtils.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportXML.mli > src/report/reportXML.mli.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportXMLEmma.mli > src/report/reportXMLEmma.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combine.cmi src/report/combine.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportArgs.cmi src/report/reportArgs.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportCSV.cmi src/report/reportCSV.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportDump.cmi src/report/reportDump.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportHTML.cmi src/report/reportHTML.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportText.cmi src/report/reportText.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportUtils.cmi src/report/reportUtils.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportXML.cmi src/report/reportXML.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportXMLEmma.cmi src/report/reportXMLEmma.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/report.cmo src/report/report.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/combine.ml > src/report/combine.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/combineAST.mli > src/report/combineAST.mli.depends
- /home/opam/.opam/4.04/bin/ocamllex.opt -q src/report/combineLexer.mll
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/combineLexer.ml > src/report/combineLexer.ml.depends
- /home/opam/.opam/4.04/bin/ocamlyacc src/report/combineParser.mly
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/combineParser.mli > src/report/combineParser.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combineAST.cmi src/report/combineAST.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combineParser.cmi src/report/combineParser.mli
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combineLexer.cmo src/report/combineLexer.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportArgs.ml > src/report/reportArgs.ml.depends
- cp /opam-tmp/versionf090f5.ml src/library/version.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/library/version.mli > src/library/version.mli.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/version.cmi src/library/version.mli
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportCSV.ml > src/report/reportCSV.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportDump.ml > src/report/reportDump.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportGeneric.ml > src/report/reportGeneric.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportHTML.ml > src/report/reportHTML.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportText.ml > src/report/reportText.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportUtils.ml > src/report/reportUtils.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportXML.ml > src/report/reportXML.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportXMLEmma.ml > src/report/reportXMLEmma.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combine.cmo src/report/combine.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportArgs.cmo src/report/reportArgs.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportCSV.cmo src/report/reportCSV.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportDump.cmo src/report/reportDump.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportGeneric.cmo src/report/reportGeneric.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportHTML.cmo src/report/reportHTML.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportText.cmo src/report/reportText.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportUtils.cmo src/report/reportUtils.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportXML.cmo src/report/reportXML.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportXMLEmma.cmo src/report/reportXMLEmma.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/combineAST.ml > src/report/combineAST.ml.depends
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/combineParser.ml > src/report/combineParser.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combineAST.cmo src/report/combineAST.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combineParser.cmo src/report/combineParser.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/library/version.ml > src/library/version.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/version.cmo src/library/version.ml
- /home/opam/.opam/4.04/bin/ocamldep.opt -modules src/report/reportStat.ml > src/report/reportStat.ml.depends
- /home/opam/.opam/4.04/bin/ocamlc.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportStat.cmo src/report/reportStat.ml
- /home/opam/.opam/4.04/bin/ocamlc.opt unix.cma str.cma -I src/library -I src/report src/library/common.cmo src/report/combineAST.cmo src/report/combineParser.cmo src/report/combineLexer.cmo src/report/reportUtils.cmo src/report/combine.cmo src/library/version.cmo src/report/reportStat.cmo src/report/reportGeneric.cmo src/report/reportXML.cmo src/report/reportArgs.cmo src/report/reportCSV.cmo src/report/reportDump.cmo src/report/reportHTML.cmo src/report/reportText.cmo src/report/reportXMLEmma.cmo src/report/report.cmo -o src/report/report.byte
- WARNINGS=FALSE PATH_OCAML_PREFIX=/home/opam/.opam/4.04 ocamlbuild -classic-display -no-links report.native
- File "_tags", line 33, characters 19-27:
- Warning: the tag "warnings" is not used in any flag or dependency declaration, so it will have no effect; it may be a typo. Otherwise you can use `mark_tag_used` in your myocamlbuild.ml to disable this warning.
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combineAST.cmx src/report/combineAST.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combineParser.cmx src/report/combineParser.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combineLexer.cmx src/report/combineLexer.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportUtils.cmx src/report/reportUtils.ml
- cp /opam-tmp/versione79999.ml src/library/version.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportStat.cmx src/report/reportStat.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/library -I src -I src/threads -I src/syntax -I src/report -o src/library/version.cmx src/library/version.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportGeneric.cmx src/report/reportGeneric.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportXML.cmx src/report/reportXML.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/combine.cmx src/report/combine.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportArgs.cmx src/report/reportArgs.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportCSV.cmx src/report/reportCSV.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportDump.cmx src/report/reportDump.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportHTML.cmx src/report/reportHTML.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportText.cmx src/report/reportText.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/reportXMLEmma.cmx src/report/reportXMLEmma.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt -c -for-pack Bisect -I src/report -I src -I src/threads -I src/syntax -I src/library -o src/report/report.cmx src/report/report.ml
- /home/opam/.opam/4.04/bin/ocamlopt.opt unix.cmxa str.cmxa -I src/library -I src/report src/library/common.cmx src/library/version.cmx src/report/combineAST.cmx src/report/combineParser.cmx src/report/combineLexer.cmx src/report/reportUtils.cmx src/report/combine.cmx src/report/reportStat.cmx src/report/reportGeneric.cmx src/report/reportXML.cmx src/report/reportArgs.cmx src/report/reportCSV.cmx src/report/reportDump.cmx src/report/reportHTML.cmx src/report/reportText.cmx src/report/reportXMLEmma.cmx src/report/report.cmx -o src/report/report.native
-> compiled  bisect.1.3.1
Processing 262/269: [core: jbuilder build] [optcomp: make]
Processing 263/269: [core: jbuilder build] [optcomp: make] [bisect: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/bisect.1.3.1)
- cp `pwd`/_build/src/report/report.byte /home/opam/.opam/4.04/bin/bisect-report; \
- if [ "FALSE" = "TRUE" ]; then \
-   cp `pwd`/_build/src/syntax/bisect_ppx.byte /home/opam/.opam/4.04/bin; \
- fi; \
- (which ocamlopt && cp `pwd`/_build/src/report/report.native /home/opam/.opam/4.04/bin/bisect-report.opt || true); \
- if [ -x "/home/opam/.opam/4.04/bin/ocamlfind" ]; then \
-   /home/opam/.opam/4.04/bin/ocamlfind query bisect && /home/opam/.opam/4.04/bin/ocamlfind remove bisect || true; \
-   /home/opam/.opam/4.04/bin/ocamlfind install bisect META -optional \
-     `pwd`/_build/bisect_pp.cmo \
-     `pwd`/_build/src/threads/bisectThread.cm* \
-     `pwd`/_build/src/threads/bisectThread.o \
-     `pwd`/_build/src/threads/bisectThread.jo \
-     `pwd`/_build/bisect.a \
-     `pwd`/_build/bisect.o \
-     `pwd`/_build/bisect.cma \
-     `pwd`/_build/bisect.cmi \
-     `pwd`/_build/bisect.cmo \
-     `pwd`/_build/bisect.cmx \
-     `pwd`/_build/bisect.cmxa \
-     `pwd`/_build/bisect.cmja \
-     `pwd`/_build/bisect.ja; \
- else \
-   mkdir -p /home/opam/.opam/4.04/lib/ocaml/bisect; \
-   if [ "FALSE" = "FALSE" ]; then \
-     cp `pwd`/_build/bisect_pp.cmo /home/opam/.opam/4.04/lib/ocaml/bisect; \
-   fi; \
-   for ext in cmi cmo cmx o cmj jo; do \
-     test -f `pwd`/_build/src/threads/bisectThread.$ext && cp `pwd`/_build/src/threads/bisectThread.$ext /home/opam/.opam/4.04/lib/ocaml/bisect || true; \
-   done; \
-   for ext in a cmi cmo cmx cma cmxa cmja ja; do \
-     test -f `pwd`/_build/bisect.$ext && cp `pwd`/_build/bisect.$ext /home/opam/.opam/4.04/lib/ocaml/bisect || true; \
-   done \
- fi
- /home/opam/.opam/4.04/bin/ocamlopt
- ocamlfind: Package `bisect' not found
- Installed /home/opam/.opam/4.04/lib/bisect/bisect.cmxa
- Installed /home/opam/.opam/4.04/lib/bisect/bisect.cmx
- Installed /home/opam/.opam/4.04/lib/bisect/bisect.cmo
- Installed /home/opam/.opam/4.04/lib/bisect/bisect.cmi
- Installed /home/opam/.opam/4.04/lib/bisect/bisect.cma
- Installed /home/opam/.opam/4.04/lib/bisect/bisect.o
- Installed /home/opam/.opam/4.04/lib/bisect/bisect.a
- Installed /home/opam/.opam/4.04/lib/bisect/bisectThread.o
- Installed /home/opam/.opam/4.04/lib/bisect/bisectThread.cmx
- Installed /home/opam/.opam/4.04/lib/bisect/bisectThread.cmo
- Installed /home/opam/.opam/4.04/lib/bisect/bisectThread.cmi
- Installed /home/opam/.opam/4.04/lib/bisect/bisect_pp.cmo
- Installed /home/opam/.opam/4.04/lib/bisect/META
-> installed bisect.1.3.1
Processing 263/269: [core: jbuilder build] [optcomp: make]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" (CWD=/home/opam/.opam/4.04/.opam-switch/build/optcomp.1.6)
- ocamlopt.opt -o setup.exe setup.ml || ocamlopt -o setup.exe setup.ml || ocamlc -o setup.exe setup.ml
- File "setup.ml", line 252, characters 8-26:
- Warning 3: deprecated: String.set
- Use Bytes.set instead.
- File "setup.ml", line 325, characters 20-36:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "setup.ml", line 325, characters 42-58:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "setup.ml", line 334, characters 14-30:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "setup.ml", line 334, characters 38-54:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "setup.ml", line 337, characters 25-41:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "setup.ml", line 375, characters 10-26:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "setup.ml", line 481, characters 13-29:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "setup.ml", line 1825, characters 16-33:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "setup.ml", line 1831, characters 16-35:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 2507, characters 6-24:
- Warning 3: deprecated: Lazy.lazy_from_fun
- Use Lazy.from_fun instead.
- File "setup.ml", line 5857, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 5858, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "setup.ml", line 5859, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 5860, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "setup.ml", line 5925, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 5926, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "setup.ml", line 5927, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 5928, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo
- ./setup.exe -configure  
- 
- Configuration: 
- ocamlfind: ........................................... /home/opam/.opam/4.04/bin/ocamlfind
- ocamlc: .............................................. /home/opam/.opam/4.04/bin/ocamlc.opt
- ocamlopt: ............................................ /home/opam/.opam/4.04/bin/ocamlopt.opt
- ocamlbuild: .......................................... /home/opam/.opam/4.04/bin/ocamlbuild
- Package name: ........................................ optcomp
- Package version: ..................................... 1.6
- os_type: ............................................. Unix
- system: .............................................. linux
- architecture: ........................................ amd64
- ccomp_type: .......................................... cc
- ocaml_version: ....................................... 4.04.2
- standard_library_default: ............................ /home/opam/.opam/4.04/lib/ocaml
- standard_library: .................................... /home/opam/.opam/4.04/lib/ocaml
- standard_runtime: .................................... /home/opam/.opam/4.04/bin/ocamlrun
- bytecomp_c_compiler: ................................. gcc -std=gnu99 -O2 -fno-strict-aliasing -fwrapv -fcommon -Wall -D_FILE_OFFSET_BITS=64 -D_REENTRANT -fPIC
- native_c_compiler: ................................... gcc -std=gnu99 -O2 -fno-strict-aliasing -fwrapv -fcommon -Wall -D_FILE_OFFSET_BITS=64 -D_REENTRANT
- model: ............................................... default
- ext_obj: ............................................. .o
- ext_asm: ............................................. .s
- ext_lib: ............................................. .a
- ext_dll: ............................................. .so
- default_executable_name: ............................. a.out
- systhread_supported: ................................. true
- Install architecture-independent files dir: .......... /home/opam/.opam/4.04
- Install architecture-dependent files in dir: ......... $prefix
- User executables: .................................... $exec_prefix/bin
- System admin executables: ............................ $exec_prefix/sbin
- Program executables: ................................. $exec_prefix/libexec
- Read-only single-machine data: ....................... $prefix/etc
- Modifiable architecture-independent data: ............ $prefix/com
- Modifiable single-machine data: ...................... $prefix/var
- Object code libraries: ............................... $exec_prefix/lib
- Read-only arch-independent data root: ................ $prefix/share
- Read-only architecture-independent data: ............. $datarootdir
- Info documentation: .................................. $datarootdir/info
- Locale-dependent data: ............................... $datarootdir/locale
- Man documentation: ................................... $datarootdir/man
- Documentation root: .................................. $datarootdir/doc/$pkg_name
- HTML documentation: .................................. $docdir
- DVI documentation: ................................... $docdir
- PDF documentation: ................................... $docdir
- PS documentation: .................................... $docdir
- findlib_version: ..................................... 1.9.5
- is_native: ........................................... true
- suffix_program: ...................................... 
- Remove a file.: ...................................... rm -f
- Remove a directory.: ................................. rm -rf
- Turn ocaml debug flag on: ............................ true
- Turn ocaml profile flag on: .......................... false
- Compiler support generation of .cmxs.: ............... true
- OCamlbuild additional flags: ......................... 
- Build binaries: ...................................... true
- Create documentations: ............................... true
- Compile tests executable and library and run them: ... false
- pkg_camlp4: .......................................... /home/opam/.opam/4.04/lib/ocaml/camlp4
- pkg_camlp4_quotations_o: ............................. /home/opam/.opam/4.04/lib/ocaml/camlp4
- pkg_camlp4_lib: ...................................... /home/opam/.opam/4.04/lib/ocaml/camlp4
- ocamldoc: ............................................ /home/opam/.opam/4.04/bin/ocamldoc
- 
- ./setup.exe -build 
- /home/opam/.opam/4.04/bin/ocamlopt.opt unix.cmxa -I /home/opam/.opam/4.04/lib/ocamlbuild /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuildlib.cmxa myocamlbuild.ml /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -modules src/pa_optcomp.mli > src/pa_optcomp.mli.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/pa_optcomp.cmi src/pa_optcomp.mli
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -syntax camlp4o -modules src/pa_optcomp.ml > src/pa_optcomp.ml.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -syntax camlp4o -I src -o src/pa_optcomp.cmo src/pa_optcomp.ml
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -a -I src src/pa_optcomp.cmo -o src/optcomp.cma
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -syntax camlp4o -I src -o src/pa_optcomp.cmx src/pa_optcomp.ml
- + /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -syntax camlp4o -I src -o src/pa_optcomp.cmx src/pa_optcomp.ml
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Camlp4, and its interface was not compiled with -opaque
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -a -I src src/pa_optcomp.cmx -o src/optcomp.cmxa
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -shared -I src src/optcomp.cmxa src/pa_optcomp.cmx -o src/optcomp.cmxs
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -modules src/optcomp_o.ml > src/optcomp_o.ml.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -modules src/optcomp.ml > src/optcomp.ml.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/optcomp.cmo src/optcomp.ml
- + /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/optcomp.cmo src/optcomp.ml
- File "src/optcomp.ml", line 87, characters 26-39:
- Warning 3: deprecated: String.create
- Use Bytes.create instead.
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -I /home/opam/.opam/4.04/lib/ocaml/camlp4 -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/optcomp_o.cmo src/optcomp_o.ml
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/optcomp.cmx src/optcomp.ml
- + /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/optcomp.cmx src/optcomp.ml
- File "src/optcomp.ml", line 87, characters 26-39:
- Warning 3: deprecated: String.create
- Use Bytes.create instead.
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Camlp4, and its interface was not compiled with -opaque
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -I /home/opam/.opam/4.04/lib/ocaml/camlp4 -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/optcomp_o.cmx src/optcomp_o.ml
- + /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -I /home/opam/.opam/4.04/lib/ocaml/camlp4 -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/optcomp_o.cmx src/optcomp_o.ml
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Camlp4, and its interface was not compiled with -opaque
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -I /home/opam/.opam/4.04/lib/ocaml/camlp4 camlp4fulllib.cmxa -g -linkpkg -package camlp4 -package camlp4.lib -package camlp4.quotations.o -I src src/optcomp.cmxa src/optcomp.cmx src/optcomp_o.cmx -o src/optcomp_o.native
- /home/opam/.opam/4.04/bin/ocamlfind ocamldep -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -modules src/optcomp_r.ml > src/optcomp_r.ml.depends
- /home/opam/.opam/4.04/bin/ocamlfind ocamlc -c -I /home/opam/.opam/4.04/lib/ocaml/camlp4 -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/optcomp_r.cmo src/optcomp_r.ml
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -I /home/opam/.opam/4.04/lib/ocaml/camlp4 -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/optcomp_r.cmx src/optcomp_r.ml
- + /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -c -I /home/opam/.opam/4.04/lib/ocaml/camlp4 -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Parsers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Printers -I /home/opam/.opam/4.04/lib/ocaml/camlp4/Camlp4Filters -g -I src -package camlp4 -package camlp4.lib -syntax camlp4o -package camlp4.quotations.o -I src -o src/optcomp_r.cmx src/optcomp_r.ml
- File "_none_", line 1:
- Warning 58: no cmx file was found in path for module Camlp4, and its interface was not compiled with -opaque
- /home/opam/.opam/4.04/bin/ocamlfind ocamlopt -I /home/opam/.opam/4.04/lib/ocaml/camlp4 camlp4fulllib.cmxa -g -linkpkg -package camlp4 -package camlp4.lib -package camlp4.quotations.o -I src src/optcomp.cmxa src/optcomp.cmx src/optcomp_r.cmx -o src/optcomp_r.native
- + /home/opam/.opam/4.04/bin/ocamlopt.opt unix.cmxa -I /home/opam/.opam/4.04/lib/ocamlbuild /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuildlib.cmxa myocamlbuild.ml /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
- File "myocamlbuild.ml", line 507, characters 43-62:
- Warning 3: deprecated: Ocamlbuild_plugin.String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "myocamlbuild.ml", line 520, characters 51-70:
- Warning 3: deprecated: Ocamlbuild_plugin.String.uncapitalize
- Use String.uncapitalize_ascii instead.
-> compiled  optcomp.1.6
Processing 263/269: [core: jbuilder build]
Processing 264/269: [core: jbuilder build] [optcomp: make install]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "make" "install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/optcomp.1.6)
- ./setup.exe -install 
- Installed /home/opam/.opam/4.04/lib/optcomp/pa_optcomp.mli
- Installed /home/opam/.opam/4.04/lib/optcomp/optcomp.cma
- Installed /home/opam/.opam/4.04/lib/optcomp/optcomp.cmxa
- Installed /home/opam/.opam/4.04/lib/optcomp/optcomp.a
- Installed /home/opam/.opam/4.04/lib/optcomp/optcomp.cmxs
- Installed /home/opam/.opam/4.04/lib/optcomp/pa_optcomp.cmi
- Installed /home/opam/.opam/4.04/lib/optcomp/pa_optcomp.cmx
- Installed /home/opam/.opam/4.04/lib/optcomp/META
-> installed optcomp.1.6
Processing 264/269: [core: jbuilder build]
Processing 265/269: [core: jbuilder build] [quickcheck: ocaml setup.ml]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "setup.ml" "-configure" "--prefix" "/home/opam/.opam/4.04" (CWD=/home/opam/.opam/4.04/.opam-switch/build/quickcheck.1.0.2)
- File "./setup.ml", line 213, characters 8-26:
- Warning 3: deprecated: String.set
- Use Bytes.set instead.
- File "./setup.ml", line 246, characters 20-36:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 246, characters 42-58:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 254, characters 14-30:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 254, characters 38-54:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 257, characters 25-41:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 287, characters 10-26:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 384, characters 13-29:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 1253, characters 16-33:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "./setup.ml", line 1258, characters 16-35:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "./setup.ml", line 1793, characters 6-24:
- Warning 3: deprecated: Lazy.lazy_from_fun
- Use Lazy.from_fun instead.
- File "setup.ml", line 4920, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 4921, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "setup.ml", line 4922, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 4923, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- 
- Configuration: 
- ocamlfind: ........................................... /home/opam/.opam/4.04/bin/ocamlfind
- ocamlc: .............................................. /home/opam/.opam/4.04/bin/ocamlc.opt
- ocamlopt: ............................................ /home/opam/.opam/4.04/bin/ocamlopt.opt
- ocamlbuild: .......................................... /home/opam/.opam/4.04/bin/ocamlbuild
- Package name: ........................................ quickcheck
- Package version: ..................................... 1.0.2
- os_type: ............................................. Unix
- system: .............................................. linux
- architecture: ........................................ amd64
- ccomp_type: .......................................... cc
- ocaml_version: ....................................... 4.04.2
- standard_library_default: ............................ /home/opam/.opam/4.04/lib/ocaml
- standard_library: .................................... /home/opam/.opam/4.04/lib/ocaml
- standard_runtime: .................................... /home/opam/.opam/4.04/bin/ocamlrun
- bytecomp_c_compiler: ................................. gcc -std=gnu99 -O2 -fno-strict-aliasing -fwrapv -fcommon -Wall -D_FILE_OFFSET_BITS=64 -D_REENTRANT -fPIC
- native_c_compiler: ................................... gcc -std=gnu99 -O2 -fno-strict-aliasing -fwrapv -fcommon -Wall -D_FILE_OFFSET_BITS=64 -D_REENTRANT
- model: ............................................... default
- ext_obj: ............................................. .o
- ext_asm: ............................................. .s
- ext_lib: ............................................. .a
- ext_dll: ............................................. .so
- default_executable_name: ............................. a.out
- systhread_supported: ................................. true
- Install architecture-independent files dir: .......... /home/opam/.opam/4.04
- Install architecture-dependent files in dir: ......... $prefix
- User executables: .................................... $exec_prefix/bin
- System admin executables: ............................ $exec_prefix/sbin
- Program executables: ................................. $exec_prefix/libexec
- Read-only single-machine data: ....................... $prefix/etc
- Modifiable architecture-independent data: ............ $prefix/com
- Modifiable single-machine data: ...................... $prefix/var
- Object code libraries: ............................... $exec_prefix/lib
- Read-only arch-independent data root: ................ $prefix/share
- Read-only architecture-independent data: ............. $datarootdir
- Info documentation: .................................. $datarootdir/info
- Locale-dependent data: ............................... $datarootdir/locale
- Man documentation: ................................... $datarootdir/man
- Documentation root: .................................. $datarootdir/doc/$pkg_name
- HTML documentation: .................................. $docdir
- DVI documentation: ................................... $docdir
- PDF documentation: ................................... $docdir
- PS documentation: .................................... $docdir
- findlib_version: ..................................... 1.9.5
- is_native: ........................................... true
- suffix_program: ...................................... 
- Remove a file.: ...................................... rm -f
- Remove a directory.: ................................. rm -rf
- Turn ocaml debug flag on: ............................ true
- Turn ocaml profile flag on: .......................... false
- Compiler support generation of .cmxs.: ............... true
- OCamlbuild additional flags: ......................... 
- Create documentations: ............................... true
- Compile tests executable and library and run them: ... false
- pkg_optcomp: ......................................... /home/opam/.opam/4.04/lib/optcomp
- 
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "setup.ml" "-build" (CWD=/home/opam/.opam/4.04/.opam-switch/build/quickcheck.1.0.2)
- File "./setup.ml", line 213, characters 8-26:
- Warning 3: deprecated: String.set
- Use Bytes.set instead.
- File "./setup.ml", line 246, characters 20-36:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 246, characters 42-58:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 254, characters 14-30:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 254, characters 38-54:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 257, characters 25-41:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 287, characters 10-26:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 384, characters 13-29:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 1253, characters 16-33:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "./setup.ml", line 1258, characters 16-35:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "./setup.ml", line 1793, characters 6-24:
- Warning 3: deprecated: Lazy.lazy_from_fun
- Use Lazy.from_fun instead.
- File "setup.ml", line 4920, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 4921, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "setup.ml", line 4922, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 4923, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- /home/opam/.opam/4.04/bin/ocamlopt.opt unix.cmxa -I /home/opam/.opam/4.04/lib/ocamlbuild /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuildlib.cmxa myocamlbuild.ml /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
- ocamlfind ocamldep -package optcomp -modules src/quickCheck.mli > src/quickCheck.mli.depends
- ocamlfind ocamldep -package optcomp -modules src/quickCheck_gen.mli > src/quickCheck_gen.mli.depends
- ocamlfind ocamlc -c -g -w @a -g -package optcomp -I src -o src/quickCheck_gen.cmi src/quickCheck_gen.mli
- ocamlfind ocamlc -c -g -w @a -g -package optcomp -I src -o src/quickCheck.cmi src/quickCheck.mli
- ocamlfind ocamldep -package optcomp -modules src/quickCheck.ml > src/quickCheck.ml.depends
- ocamlfind ocamldep -package optcomp -syntax camlp4o -modules src/quickCheck_util.mli > src/quickCheck_util.mli.depends
- ocamlfind ocamlc -c -g -w @a -g -package optcomp -syntax camlp4o -I src -o src/quickCheck_util.cmi src/quickCheck_util.mli
- ocamlfind ocamldep -package optcomp -modules src/quickCheck_gen.ml > src/quickCheck_gen.ml.depends
- ocamlfind ocamldep -package optcomp -syntax camlp4o -modules src/quickCheck_util.ml > src/quickCheck_util.ml.depends
- ocamlfind ocamlc -c -g -w @a -g -package optcomp -I src -o src/quickCheck.cmo src/quickCheck.ml
- ocamlfind ocamlc -c -g -w @a -g -package optcomp -I src -o src/quickCheck_gen.cmo src/quickCheck_gen.ml
- ocamlfind ocamlc -c -g -w @a -g -package optcomp -syntax camlp4o -I src -o src/quickCheck_util.cmo src/quickCheck_util.ml
- ocamlfind ocamlc -a -w @a -g -I src src/quickCheck_util.cmo src/quickCheck_gen.cmo src/quickCheck.cmo -o src/quickcheck.cma
- ocamlfind ocamlopt -c -g -w @a -g -package optcomp -syntax camlp4o -I src -o src/quickCheck_util.cmx src/quickCheck_util.ml
- ocamlfind ocamlopt -c -g -w @a -g -package optcomp -I src -o src/quickCheck_gen.cmx src/quickCheck_gen.ml
- ocamlfind ocamlopt -c -g -w @a -g -package optcomp -I src -o src/quickCheck.cmx src/quickCheck.ml
- ocamlfind ocamlopt -a -w @a -g -I src src/quickCheck_util.cmx src/quickCheck_gen.cmx src/quickCheck.cmx -o src/quickcheck.cmxa
- ocamlfind ocamlopt -shared -linkall -I src src/quickcheck.cmxa -o src/quickcheck.cmxs
- ocamlfind ocamldep -package optcomp -modules tests/test.ml > tests/test.ml.depends
- ocamlfind ocamlc -c -g -I src -package optcomp -I tests -I src -o tests/test.cmo tests/test.ml
- + ocamlfind ocamlc -c -g -I src -package optcomp -I tests -I src -o tests/test.cmo tests/test.ml
- File "tests/test.ml", line 11, characters 27-38:
- Warning 3: deprecated: String.copy
- ocamlfind ocamlopt -c -g -I src -package optcomp -I tests -I src -o tests/test.cmx tests/test.ml
- + ocamlfind ocamlopt -c -g -I src -package optcomp -I tests -I src -o tests/test.cmx tests/test.ml
- File "tests/test.ml", line 11, characters 27-38:
- Warning 3: deprecated: String.copy
- ocamlfind ocamlopt -g -linkpkg -package optcomp -I src -I tests src/quickcheck.cmxa tests/test.cmx -o tests/test.native
-> compiled  quickcheck.1.0.2
Processing 265/269: [core: jbuilder build]
Processing 266/269: [core: jbuilder build] [quickcheck: ocaml setup.ml]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "ocaml" "setup.ml" "-install" (CWD=/home/opam/.opam/4.04/.opam-switch/build/quickcheck.1.0.2)
- File "./setup.ml", line 213, characters 8-26:
- Warning 3: deprecated: String.set
- Use Bytes.set instead.
- File "./setup.ml", line 246, characters 20-36:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 246, characters 42-58:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 254, characters 14-30:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 254, characters 38-54:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 257, characters 25-41:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 287, characters 10-26:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 384, characters 13-29:
- Warning 3: deprecated: String.lowercase
- Use String.lowercase_ascii instead.
- File "./setup.ml", line 1253, characters 16-33:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "./setup.ml", line 1258, characters 16-35:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "./setup.ml", line 1793, characters 6-24:
- Warning 3: deprecated: Lazy.lazy_from_fun
- Use Lazy.from_fun instead.
- File "setup.ml", line 4920, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 4921, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- File "setup.ml", line 4922, characters 31-50:
- Warning 3: deprecated: String.uncapitalize
- Use String.uncapitalize_ascii instead.
- File "setup.ml", line 4923, characters 31-48:
- Warning 3: deprecated: String.capitalize
- Use String.capitalize_ascii instead.
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickCheck.mli
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickCheck_gen.mli
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickCheck_util.mli
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickcheck.cma
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickcheck.cmxa
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickcheck.a
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickcheck.cmxs
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickCheck.cmi
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickCheck_gen.cmi
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickCheck_util.cmi
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickCheck.cmx
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickCheck_gen.cmx
- Installed /home/opam/.opam/4.04/lib/quickcheck/quickCheck_util.cmx
- Installed /home/opam/.opam/4.04/lib/quickcheck/META
-> installed quickcheck.1.0.2
Processing 266/269: [core: jbuilder build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "jbuilder" "build" "-p" "core" "-j" "31" (CWD=/home/opam/.opam/4.04/.opam-switch/build/core.v0.11.3)
- The jbuilder binary is deprecated and will cease to be maintained in July 2019.
- Please switch to dune instead.
- File "jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "bench/bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/command/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/quickcheck/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "example/unix/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "src/config/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/bin/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/bin/manual/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "test/src/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
- File "top/jbuild", line 1, characters 0-0:
- Warning: jbuild files are deprecated, please convert this file to a dune file
- instead.
- Note: You can use "dune upgrade" to convert your project to dune.
-       ocamlc src/md5_stubs.o
- md5_stubs.c:10:32: warning: '-pedantic' is not an option that controls warnings [-Wpragmas]
-    10 | #pragma GCC diagnostic ignored "-pedantic"
-       |                                ^~~~~~~~~~~
-     ocamlopt src/.core.objs/native/core__Iobuf.{cmx,o}
- File "src/iobuf.ml", line 1033, characters 4-62:
- Warning 55: Cannot inline: Function information unavailable
-> compiled  core.v0.11.3
-> installed core.v0.11.3
Processing 268/269: [arakoon: make]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "make" (CWD=/home/opam/.opam/4.04/.opam-switch/build/arakoon.1.9.17)
[ERROR] The compilation of arakoon.1.9.17 failed at "make".

#=== ERROR while compiling arakoon.1.9.17 =====================================#
# context              2.2.0~alpha~dev | linux/x86_64 | ocaml-base-compiler.4.04.2 | file:///home/opam/opam-repository
# path                 ~/.opam/4.04/.opam-switch/build/arakoon.1.9.17
# command              ~/.opam/opam-init/hooks/sandbox.sh build make
# exit-code            2
# env-file             ~/.opam/log/arakoon-9-f35ca0.env
# output-file          ~/.opam/log/arakoon-9-f35ca0.out
### output ###
# ocamlbuild -j 4 -use-ocamlfind arakoon.byte arakoon.native arakoon_client.cma arakoon_client.cmxa arakoon_client.a arakoon_client.cmxs plugin_helper.cmi
# ocamlfind ocamlopt unix.cmxa -I /home/opam/.opam/4.04/lib/ocamlbuild /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuildlib.cmxa -linkpkg myocamlbuild.ml /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
# ocamlfind ocamldep -package lwt -package core -package redis.lwt -package redis -package uri -package ocplib-endian -package snappy -pp camlp4of -package quickcheck -package dynlink -package camltc -package str -package bz2 -package oUnit -package lwt_ssl -package lwt.unix -package lwt.preemptive -modules logger_macro.ml > logger_macro.ml.depends
# + ocamlfind ocamldep -package lwt -package core -package redis.lwt -package redis -package uri -package ocplib-endian -package snappy -pp camlp4of -package quickcheck -package dynlink -package camltc -package str -package bz2 -package oUnit -package lwt_ssl -package lwt.unix -package lwt.preemptive -modules logger_macro.ml > logger_macro.ml.depends
# ocamlfind: Package `lwt.preemptive' not found
# Command exited with code 2.
# make: *** [Makefile:19: build] Error 10

- ocamlbuild -j 4 -use-ocamlfind arakoon.byte arakoon.native arakoon_client.cma arakoon_client.cmxa arakoon_client.a arakoon_client.cmxs plugin_helper.cmi
- ocamlfind ocamlopt unix.cmxa -I /home/opam/.opam/4.04/lib/ocamlbuild /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuildlib.cmxa -linkpkg myocamlbuild.ml /home/opam/.opam/4.04/lib/ocamlbuild/ocamlbuild.cmx -o myocamlbuild
- ocamlfind ocamldep -package lwt -package core -package redis.lwt -package redis -package uri -package ocplib-endian -package snappy -pp camlp4of -package quickcheck -package dynlink -package camltc -package str -package bz2 -package oUnit -package lwt_ssl -package lwt.unix -package lwt.preemptive -modules logger_macro.ml > logger_macro.ml.depends
- + ocamlfind ocamldep -package lwt -package core -package redis.lwt -package redis -package uri -package ocplib-endian -package snappy -pp camlp4of -package quickcheck -package dynlink -package camltc -package str -package bz2 -package oUnit -package lwt_ssl -package lwt.unix -package lwt.preemptive -modules logger_macro.ml > logger_macro.ml.depends
- ocamlfind: Package `lwt.preemptive' not found
- Command exited with code 2.
- make: *** [Makefile:19: build] Error 10


<><> Error report <><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
+- The following actions failed
| - build arakoon 1.9.17
+- 
+- The following changes have been performed
| - install angstrom                0.14.1
| - install base                    v0.11.1
| - install base-bytes              base
| - install base-num                base
| - install bigarray-compat         1.1.0
| - install bigstringaf             0.6.1
| - install bin_prot                v0.11.0
| - install bisect                  1.3.1
| - install camlbz2                 0.7.0
| - install camlp4                  4.04+1
| - install camltc                  0.9.8
| - install conf-aclocal            2
| - install conf-autoconf           0.1
| - install conf-automake           1
| - install conf-libbz2             1
| - install conf-libev              4-12
| - install conf-libssl             4
| - install conf-pkg-config         2
| - install conf-snappy             1
| - install conf-which              1
| - install configurator            v0.11.0
| - install core                    v0.11.3
| - install core_kernel             v0.11.1
| - install cppo                    1.6.9
| - install dune                    1.11.4
| - install dune-configurator       1.0.0
| - install fieldslib               v0.11.0
| - install jane-street-headers     v0.11.0
| - install jbuilder                transition
| - install logs                    0.7.0
| - install lwt                     5.2.0
| - install lwt_ssl                 1.1.3
| - install mmap                    1.2.0
| - install num                     0
| - install ocaml-compiler-libs     v0.12.3
| - install ocaml-migrate-parsetree 1.8.0
| - install ocamlbuild              0.14.2
| - install ocamlfind               1.9.5
| - install ocplib-endian           1.2
| - install octavius                1.2.2
| - install optcomp                 1.6
| - install ounit                   2.2.6
| - install ounit2                  2.2.6
| - install parsexp                 v0.11.0
| - install ppx_assert              v0.11.0
| - install ppx_base                v0.11.0
| - install ppx_bench               v0.11.0
| - install ppx_bin_prot            v0.11.1
| - install ppx_compare             v0.11.1
| - install ppx_custom_printf       v0.11.0
| - install ppx_derivers            1.2.1
| - install ppx_enumerate           v0.11.1
| - install ppx_expect              v0.11.1
| - install ppx_fail                v0.11.0
| - install ppx_fields_conv         v0.11.0
| - install ppx_hash                v0.11.1
| - install ppx_here                v0.11.0
| - install ppx_inline_test         v0.11.0
| - install ppx_jane                v0.11.0
| - install ppx_js_style            v0.11.0
| - install ppx_let                 v0.11.0
| - install ppx_optcomp             v0.11.0
| - install ppx_optional            v0.11.0
| - install ppx_pipebang            v0.11.0
| - install ppx_sexp_conv           v0.11.2
| - install ppx_sexp_message        v0.11.0
| - install ppx_sexp_value          v0.11.0
| - install ppx_typerep_conv        v0.11.1
| - install ppx_variants_conv       v0.11.1
| - install ppxlib                  0.8.1
| - install quickcheck              1.0.2
| - install re                      1.9.0
| - install redis                   0.3.3
| - install result                  1.5
| - install seq                     0.2.2
| - install sexplib                 v0.11.0
| - install sexplib0                v0.11.0
| - install snappy                  0.1.2
| - install spawn                   v0.13.0
| - install splittable_random       v0.11.0
| - install ssl                     0.5.9
| - install stdio                   v0.11.0
| - install stdlib-shims            0.3.0
| - install stringext               1.6.0
| - install topkg                   1.0.4
| - install typerep                 v0.11.0
| - install uri                     4.2.0
| - install uuidm                   0.9.7
| - install variantslib             v0.11.0
+- 

<><> jbuilder.transition installed successfully <><><><><><><><><><><><><><><><>
=> Jbuilder has been renamed and the jbuilder package is now a transition package. Use the dune package instead.

<><> configurator.v0.11.0 installed successfully ><><><><><><><><><><><><><><><>
=> Note: This package is deprecated.
=> configurator is deprecated. Please use dune-configurator in new code and consider switching to it in existing projects.
# Run eval $(opam env) to update the current shell environment

The former state can be restored with:
    /usr/bin/opam switch import "/home/opam/.opam/4.04/.opam-switch/backup/state-20221115082016.export"
'opam install -vy arakoon.1.9.17' failed.
"/bin/bash" "-c"
"
opam remove -y "arakoon.1.9.17"
opam install -vy "arakoon.1.9.17"
res=$?
if [ $res = 31 ]; then
    if opam show -f x-ci-accept-failures: "arakoon.1.9.17" | grep -q '"debian-unstable"'; then
        echo "This package failed and has been disabled for CI using the 'x-ci-accept-failures' field."
        exit 69
    fi
fi


exit $res
" failed with exit status 31
Failed: Build failed